#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0xec527e58, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x8f929d28, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x67b79d6e, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0x2b2a3b98, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0xb954b164, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x15b93c76, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0xf33bf211, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x5cbcc55c, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0xf28c4329, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0xd7bb3a25, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0xd0a7659e, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0x994f69bf, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0xffa96884, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0xec79783b, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0xa3f797f0, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0x717fff41, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0xbca24c53, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0xa284cee0, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0x3bd9afef, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0x21d58efb, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0xddcd0c0b, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0x1a007603, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0x98a3a438, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0x318fa225, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0xd85e8a48, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0xd1df0bc1, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0x078719ed, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0x535025f9, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0x190e31d9, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0xa9449032, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x8d3420d0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6036ba59, "rt_spin_lock" },
	{ 0x268d5fab, "rt_spin_unlock" },
	{ 0x5171aad0, "kthread_queue_work" },
	{ 0x7125ebfe, "_dev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5e623f23, "_dev_warn" },
	{ 0x83547558, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x535791c4, "rt_mutex_base_init" },
	{ 0x4a8beb95, "kthread_create_worker" },
	{ 0x1ae40711, "_dev_info" },
	{ 0x74ee59ba, "sched_set_fifo" },
	{ 0x69635073, "kthread_destroy_worker" },
	{ 0xe42f5b57, "crypto_register_aead" },
	{ 0x949645ff, "crypto_unregister_aead" },
	{ 0x4432a265, "crypto_register_ahash" },
	{ 0xed47b17e, "crypto_unregister_ahash" },
	{ 0xa933aa85, "crypto_register_akcipher" },
	{ 0x90e38662, "crypto_unregister_akcipher" },
	{ 0x59fafed7, "crypto_register_kpp" },
	{ 0x292555a1, "crypto_unregister_kpp" },
	{ 0x325498fe, "crypto_register_skcipher" },
	{ 0x7081ea18, "crypto_unregister_skcipher" },
	{ 0xc68ba8be, "crypto_enqueue_request" },
	{ 0xb7ee65bf, "crypto_dequeue_request" },
	{ 0xa5e05c02, "crypto_enqueue_request_head" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5388079424D07DA9929859C");
MODULE_INFO(rhelversion, "9.6");
