#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(devm_aperture_acquire_from_firmware, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_framebuffers, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_pci_framebuffers, "", "");
KSYMTAB_FUNC(__drm_crtc_commit_free, "", "");
KSYMTAB_FUNC(drm_crtc_commit_wait, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_release, "", "");
KSYMTAB_FUNC(drm_atomic_state_init, "", "");
KSYMTAB_FUNC(drm_atomic_state_alloc, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_clear, "", "");
KSYMTAB_FUNC(drm_atomic_state_clear, "", "");
KSYMTAB_FUNC(__drm_atomic_state_free, "", "");
KSYMTAB_FUNC(drm_atomic_get_crtc_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_init, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_fini, "", "");
KSYMTAB_FUNC(drm_atomic_get_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_add_encoder_bridges, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_connectors, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_planes, "", "");
KSYMTAB_FUNC(drm_atomic_check_only, "", "");
KSYMTAB_FUNC(drm_atomic_commit, "", "");
KSYMTAB_FUNC(drm_atomic_nonblocking_commit, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_print_new_state, "", "");
KSYMTAB_FUNC(drm_state_dump, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_prop_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_fb_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_connector, "", "");
KSYMTAB_FUNC(drm_is_current_master, "", "");
KSYMTAB_FUNC(drm_master_get, "", "");
KSYMTAB_FUNC(drm_file_get_master, "", "");
KSYMTAB_FUNC(drm_master_put, "", "");
KSYMTAB_FUNC(drm_master_internal_acquire, "", "");
KSYMTAB_FUNC(drm_master_internal_release, "", "");
KSYMTAB_FUNC(drm_plane_create_alpha_property, "", "");
KSYMTAB_FUNC(drm_plane_create_rotation_property, "", "");
KSYMTAB_FUNC(drm_rotation_simplify, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_property, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_immutable_property, "", "");
KSYMTAB_FUNC(drm_atomic_normalize_zpos, "", "");
KSYMTAB_FUNC(drm_plane_create_blend_mode_property, "", "");
KSYMTAB_FUNC(drm_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_bridge_add, "", "");
KSYMTAB_FUNC(drm_bridge_remove, "", "");
KSYMTAB_FUNC(drm_bridge_attach, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_valid, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_set, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_post_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_pre_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_check, "", "");
KSYMTAB_FUNC(drm_bridge_detect, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_modes, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_edid_read, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_enable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_disable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_notify, "_gpl", "");
KSYMTAB_FUNC(of_drm_find_bridge, "", "");
KSYMTAB_FUNC(drm_clflush_pages, "", "");
KSYMTAB_FUNC(drm_clflush_sg, "", "");
KSYMTAB_FUNC(drm_clflush_virt_range, "", "");
KSYMTAB_FUNC(drm_need_swiotlb, "", "");
KSYMTAB_FUNC(drm_memcpy_from_wc, "", "");
KSYMTAB_FUNC(drm_client_init, "", "");
KSYMTAB_FUNC(drm_client_register, "", "");
KSYMTAB_FUNC(drm_client_release, "", "");
KSYMTAB_FUNC(drm_client_dev_unregister, "", "");
KSYMTAB_FUNC(drm_client_dev_hotplug, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap_local, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap_local, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_delete, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_flush, "", "");
KSYMTAB_FUNC(drm_client_modeset_probe, "", "");
KSYMTAB_FUNC(drm_client_rotation, "", "");
KSYMTAB_FUNC(drm_client_modeset_check, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit_locked, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit, "", "");
KSYMTAB_FUNC(drm_client_modeset_dpms, "", "");
KSYMTAB_FUNC(drm_color_ctm_s31_32_to_qm_n, "", "");
KSYMTAB_FUNC(drm_crtc_enable_color_mgmt, "", "");
KSYMTAB_FUNC(drm_mode_crtc_set_gamma_size, "", "");
KSYMTAB_FUNC(drm_plane_create_color_properties, "", "");
KSYMTAB_FUNC(drm_color_lut_check, "", "");
KSYMTAB_FUNC(drm_get_connector_type_name, "", "");
KSYMTAB_FUNC(drm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_init_with_ddc, "", "");
KSYMTAB_FUNC(drmm_connector_init, "", "");
KSYMTAB_FUNC(drmm_connector_hdmi_init, "", "");
KSYMTAB_FUNC(drm_connector_attach_edid_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_encoder, "", "");
KSYMTAB_FUNC(drm_connector_has_possible_encoder, "", "");
KSYMTAB_FUNC(drm_connector_cleanup, "", "");
KSYMTAB_FUNC(drm_connector_register, "", "");
KSYMTAB_FUNC(drm_connector_unregister, "", "");
KSYMTAB_FUNC(drm_get_connector_status_name, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_begin, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_next, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_end, "", "");
KSYMTAB_FUNC(drm_get_subpixel_order_name, "", "");
KSYMTAB_FUNC(drm_display_info_set_bus_formats, "", "");
KSYMTAB_FUNC(drm_get_tv_mode_from_name, "", "");
KSYMTAB_FUNC(drm_hdmi_connector_get_broadcast_rgb_name, "", "");
KSYMTAB_FUNC(drm_hdmi_connector_get_output_format_name, "", "");
KSYMTAB_FUNC(drm_mode_create_dvi_i_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_dp_subconnector_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_content_type_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties_legacy, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_mode_create_aspect_ratio_property, "", "");
KSYMTAB_FUNC(drm_mode_create_hdmi_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_dp_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_content_type_property, "", "");
KSYMTAB_FUNC(drm_mode_create_suggested_offset_properties, "", "");
KSYMTAB_FUNC(drm_connector_set_path_property, "", "");
KSYMTAB_FUNC(drm_connector_set_tile_property, "", "");
KSYMTAB_FUNC(drm_connector_set_link_status_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_max_bpc_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_hdr_output_metadata_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_broadcast_rgb_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_colorspace_property, "", "");
KSYMTAB_FUNC(drm_connector_atomic_hdr_metadata_equal, "", "");
KSYMTAB_FUNC(drm_connector_set_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation_with_quirk, "", "");
KSYMTAB_FUNC(drm_connector_set_orientation_from_panel, "", "");
KSYMTAB_FUNC(drm_connector_create_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_provider, "", "");
KSYMTAB_FUNC(drm_connector_update_privacy_screen, "", "");
KSYMTAB_FUNC(drm_connector_oob_hotplug_event, "", "");
KSYMTAB_FUNC(drm_mode_put_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_get_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_create_tile_group, "", "");
KSYMTAB_FUNC(drm_crtc_from_index, "", "");
KSYMTAB_FUNC(drm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(drmm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(__drmm_crtc_alloc_with_planes, "", "");
KSYMTAB_FUNC(drm_crtc_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_set_config_internal, "", "");
KSYMTAB_FUNC(drm_crtc_check_viewport, "", "");
KSYMTAB_FUNC(drm_crtc_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_put_dev, "", "");
KSYMTAB_FUNC(drm_dev_enter, "", "");
KSYMTAB_FUNC(drm_dev_exit, "", "");
KSYMTAB_FUNC(drm_dev_unplug, "", "");
KSYMTAB_FUNC(__devm_drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_get, "", "");
KSYMTAB_FUNC(drm_dev_put, "", "");
KSYMTAB_FUNC(drm_dev_register, "", "");
KSYMTAB_FUNC(drm_dev_unregister, "", "");
KSYMTAB_FUNC(drm_edid_header_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_valid, "", "");
KSYMTAB_FUNC(drm_edid_override_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_raw, "", "");
KSYMTAB_FUNC(drm_edid_alloc, "", "");
KSYMTAB_FUNC(drm_edid_dup, "", "");
KSYMTAB_FUNC(drm_edid_free, "", "");
KSYMTAB_FUNC(drm_probe_ddc, "", "");
KSYMTAB_FUNC(drm_get_edid, "", "");
KSYMTAB_FUNC(drm_edid_read_custom, "", "");
KSYMTAB_FUNC(drm_edid_read_ddc, "", "");
KSYMTAB_FUNC(drm_edid_read, "", "");
KSYMTAB_FUNC(drm_edid_get_product_id, "", "");
KSYMTAB_FUNC(drm_edid_print_product_id, "", "");
KSYMTAB_FUNC(drm_edid_get_panel_id, "", "");
KSYMTAB_FUNC(drm_edid_read_base_block, "", "");
KSYMTAB_FUNC(drm_get_edid_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_read_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_find_dmt, "", "");
KSYMTAB_FUNC(drm_match_cea_mode, "", "");
KSYMTAB_FUNC(drm_display_mode_from_cea_vic, "", "");
KSYMTAB_FUNC(drm_edid_match, "", "");
KSYMTAB_FUNC(drm_edid_get_monitor_name, "", "");
KSYMTAB_FUNC(drm_edid_to_sad, "", "");
KSYMTAB_FUNC(drm_edid_to_speaker_allocation, "", "");
KSYMTAB_FUNC(drm_av_sync_delay, "", "");
KSYMTAB_FUNC(drm_detect_hdmi_monitor, "", "");
KSYMTAB_FUNC(drm_detect_monitor_audio, "", "");
KSYMTAB_FUNC(drm_default_rgb_quant_range, "", "");
KSYMTAB_FUNC(drm_edid_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_connector_add_modes, "", "");
KSYMTAB_FUNC(drm_connector_update_edid_property, "", "");
KSYMTAB_FUNC(drm_add_edid_modes, "", "");
KSYMTAB_FUNC(drm_add_modes_noedid, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_quant_range, "", "");
KSYMTAB_FUNC(drm_hdmi_vendor_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_edid_is_digital, "", "");
KSYMTAB_FUNC(drm_eld_sad_get, "", "");
KSYMTAB_FUNC(drm_eld_sad_set, "", "");
KSYMTAB_FUNC(drm_encoder_init, "", "");
KSYMTAB_FUNC(drm_encoder_cleanup, "", "");
KSYMTAB_FUNC(__drmm_encoder_alloc, "", "");
KSYMTAB_FUNC(drmm_encoder_init, "", "");
KSYMTAB_FUNC(drm_open, "", "");
KSYMTAB_FUNC(drm_release, "", "");
KSYMTAB_FUNC(drm_release_noglobal, "", "");
KSYMTAB_FUNC(drm_read, "", "");
KSYMTAB_FUNC(drm_poll, "", "");
KSYMTAB_FUNC(drm_event_reserve_init_locked, "", "");
KSYMTAB_FUNC(drm_event_reserve_init, "", "");
KSYMTAB_FUNC(drm_event_cancel_free, "", "");
KSYMTAB_FUNC(drm_send_event_timestamp_locked, "", "");
KSYMTAB_FUNC(drm_send_event_locked, "", "");
KSYMTAB_FUNC(drm_send_event, "", "");
KSYMTAB_FUNC(drm_print_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_fdinfo, "", "");
KSYMTAB_FUNC(mock_drm_getfile, "", "");
KSYMTAB_FUNC(drm_mode_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_driver_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_format_info, "", "");
KSYMTAB_FUNC(drm_get_format_info, "", "");
KSYMTAB_FUNC(drm_format_info_block_width, "", "");
KSYMTAB_FUNC(drm_format_info_block_height, "", "");
KSYMTAB_FUNC(drm_format_info_bpp, "", "");
KSYMTAB_FUNC(drm_format_info_min_pitch, "", "");
KSYMTAB_FUNC(drm_internal_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_framebuffer_init, "", "");
KSYMTAB_FUNC(drm_framebuffer_lookup, "", "");
KSYMTAB_FUNC(drm_framebuffer_unregister_private, "", "");
KSYMTAB_FUNC(drm_framebuffer_cleanup, "", "");
KSYMTAB_FUNC(drm_framebuffer_remove, "", "");
KSYMTAB_FUNC(drm_gem_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_fini, "", "");
KSYMTAB_FUNC(drm_gem_handle_delete, "", "");
KSYMTAB_FUNC(drm_gem_dumb_map_offset, "_gpl", "");
KSYMTAB_FUNC(drm_gem_handle_create, "", "");
KSYMTAB_FUNC(drm_gem_free_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset_size, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_get_pages, "", "");
KSYMTAB_FUNC(drm_gem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_objects_lookup, "", "");
KSYMTAB_FUNC(drm_gem_object_lookup, "", "");
KSYMTAB_FUNC(drm_gem_dma_resv_wait, "", "");
KSYMTAB_FUNC(drm_gem_object_release, "", "");
KSYMTAB_FUNC(drm_gem_object_free, "", "");
KSYMTAB_FUNC(drm_gem_vm_open, "", "");
KSYMTAB_FUNC(drm_gem_vm_close, "", "");
KSYMTAB_FUNC(drm_gem_mmap_obj, "", "");
KSYMTAB_FUNC(drm_gem_mmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_lock, "", "");
KSYMTAB_FUNC(drm_gem_unlock, "", "");
KSYMTAB_FUNC(drm_gem_vmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_vunmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_lock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_unlock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_lru_init, "", "");
KSYMTAB_FUNC(drm_gem_lru_remove, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail_locked, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail, "", "");
KSYMTAB_FUNC(drm_gem_lru_scan, "", "");
KSYMTAB_FUNC(drm_gem_evict, "", "");
KSYMTAB_FUNC(drm_noop, "", "");
KSYMTAB_FUNC(drm_invalid_op, "", "");
KSYMTAB_FUNC(drm_ioctl_kernel, "", "");
KSYMTAB_FUNC(drm_ioctl, "", "");
KSYMTAB_FUNC(drm_ioctl_flags, "", "");
KSYMTAB_FUNC(__drmm_add_action, "", "");
KSYMTAB_FUNC(__drmm_add_action_or_reset, "", "");
KSYMTAB_FUNC(drmm_release_action, "", "");
KSYMTAB_FUNC(drmm_kmalloc, "", "");
KSYMTAB_FUNC(drmm_kstrdup, "_gpl", "");
KSYMTAB_FUNC(drmm_kfree, "", "");
KSYMTAB_FUNC(__drmm_mutex_release, "", "");
KSYMTAB_FUNC(__drm_mm_interval_first, "", "");
KSYMTAB_FUNC(drm_mm_reserve_node, "", "");
KSYMTAB_FUNC(drm_mm_insert_node_in_range, "", "");
KSYMTAB_FUNC(drm_mm_remove_node, "", "");
KSYMTAB_FUNC(drm_mm_scan_init_with_range, "", "");
KSYMTAB_FUNC(drm_mm_scan_add_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_remove_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_color_evict, "", "");
KSYMTAB_FUNC(drm_mm_init, "", "");
KSYMTAB_FUNC(drm_mm_takedown, "", "");
KSYMTAB_FUNC(drm_mm_print, "", "");
KSYMTAB_FUNC(drm_mode_config_reset, "", "");
KSYMTAB_FUNC(drmm_mode_config_init, "", "");
KSYMTAB_FUNC(drm_mode_config_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_object_find, "", "");
KSYMTAB_FUNC(drm_mode_object_put, "", "");
KSYMTAB_FUNC(drm_mode_object_get, "", "");
KSYMTAB_FUNC(drm_object_attach_property, "", "");
KSYMTAB_FUNC(drm_object_property_set_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_default_value, "", "");
KSYMTAB_FUNC(drm_mode_obj_find_prop_id, "", "");
KSYMTAB_FUNC(drm_mode_debug_printmodeline, "", "");
KSYMTAB_FUNC(drm_mode_create, "", "");
KSYMTAB_FUNC(drm_mode_destroy, "", "");
KSYMTAB_FUNC(drm_mode_probed_add, "", "");
KSYMTAB_FUNC(drm_analog_tv_mode, "", "");
KSYMTAB_FUNC(drm_cvt_mode, "", "");
KSYMTAB_FUNC(drm_gtf_mode_complex, "", "");
KSYMTAB_FUNC(drm_gtf_mode, "", "");
KSYMTAB_FUNC(drm_mode_set_name, "", "");
KSYMTAB_FUNC(drm_mode_vrefresh, "", "");
KSYMTAB_FUNC(drm_mode_get_hv_timing, "", "");
KSYMTAB_FUNC(drm_mode_set_crtcinfo, "", "");
KSYMTAB_FUNC(drm_mode_copy, "", "");
KSYMTAB_FUNC(drm_mode_init, "", "");
KSYMTAB_FUNC(drm_mode_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_match, "", "");
KSYMTAB_FUNC(drm_mode_equal, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks_no_stereo, "", "");
KSYMTAB_FUNC(drm_mode_validate_driver, "", "");
KSYMTAB_FUNC(drm_mode_validate_size, "", "");
KSYMTAB_FUNC(drm_mode_validate_ycbcr420, "", "");
KSYMTAB_FUNC(drm_mode_prune_invalid, "", "");
KSYMTAB_FUNC(drm_mode_sort, "", "");
KSYMTAB_FUNC(drm_connector_list_update, "", "");
KSYMTAB_FUNC(drm_mode_parse_command_line_for_connector, "", "");
KSYMTAB_FUNC(drm_mode_create_from_cmdline_mode, "", "");
KSYMTAB_FUNC(drm_mode_is_420_only, "", "");
KSYMTAB_FUNC(drm_mode_is_420_also, "", "");
KSYMTAB_FUNC(drm_mode_is_420, "", "");
KSYMTAB_FUNC(drm_set_preferred_mode, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all, "", "");
KSYMTAB_FUNC(drm_modeset_unlock_all, "", "");
KSYMTAB_FUNC(drm_warn_on_modeset_not_all_locked, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_init, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_fini, "", "");
KSYMTAB_FUNC(drm_modeset_drop_locks, "", "");
KSYMTAB_FUNC(drm_modeset_backoff, "", "");
KSYMTAB_FUNC(drm_modeset_lock_init, "", "");
KSYMTAB_FUNC(drm_modeset_lock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_single_interruptible, "", "");
KSYMTAB_FUNC(drm_modeset_unlock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all_ctx, "", "");
KSYMTAB_FUNC(drm_universal_plane_init, "", "");
KSYMTAB_FUNC(__drmm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(__drm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(drm_plane_cleanup, "", "");
KSYMTAB_FUNC(drm_plane_from_index, "", "");
KSYMTAB_FUNC(drm_plane_force_disable, "", "");
KSYMTAB_FUNC(drm_mode_plane_set_obj_prop, "", "");
KSYMTAB_FUNC(drm_plane_has_format, "", "");
KSYMTAB_FUNC(drm_any_plane_has_format, "", "");
KSYMTAB_FUNC(drm_plane_enable_fb_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips_count, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_plane_add_size_hints_property, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_export, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_release, "", "");
KSYMTAB_FUNC(drm_gem_prime_fd_to_handle, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_dmabuf, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_fd, "", "");
KSYMTAB_FUNC(drm_gem_map_attach, "", "");
KSYMTAB_FUNC(drm_gem_map_detach, "", "");
KSYMTAB_FUNC(drm_gem_map_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_unmap_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_prime_mmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_mmap, "", "");
KSYMTAB_FUNC(drm_prime_pages_to_sg, "", "");
KSYMTAB_FUNC(drm_prime_get_contiguous_size, "", "");
KSYMTAB_FUNC(drm_gem_prime_export, "", "");
KSYMTAB_FUNC(drm_gem_prime_import_dev, "", "");
KSYMTAB_FUNC(drm_gem_prime_import, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_page_array, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_dma_addr_array, "", "");
KSYMTAB_FUNC(drm_prime_gem_destroy, "", "");
KSYMTAB_DATA(__drm_debug, "", "");
KSYMTAB_FUNC(__drm_puts_coredump, "", "");
KSYMTAB_FUNC(__drm_printfn_coredump, "", "");
KSYMTAB_FUNC(__drm_puts_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_info, "", "");
KSYMTAB_FUNC(__drm_printfn_dbg, "", "");
KSYMTAB_FUNC(__drm_printfn_err, "", "");
KSYMTAB_FUNC(drm_puts, "", "");
KSYMTAB_FUNC(drm_printf, "", "");
KSYMTAB_FUNC(drm_print_bits, "", "");
KSYMTAB_FUNC(drm_dev_printk, "", "");
KSYMTAB_FUNC(__drm_dev_dbg, "", "");
KSYMTAB_FUNC(__drm_err, "", "");
KSYMTAB_FUNC(drm_print_regset32, "", "");
KSYMTAB_FUNC(drm_property_create, "", "");
KSYMTAB_FUNC(drm_property_create_enum, "", "");
KSYMTAB_FUNC(drm_property_create_bitmask, "", "");
KSYMTAB_FUNC(drm_property_create_range, "", "");
KSYMTAB_FUNC(drm_property_create_signed_range, "", "");
KSYMTAB_FUNC(drm_property_create_object, "", "");
KSYMTAB_FUNC(drm_property_create_bool, "", "");
KSYMTAB_FUNC(drm_property_add_enum, "", "");
KSYMTAB_FUNC(drm_property_destroy, "", "");
KSYMTAB_FUNC(drm_property_create_blob, "", "");
KSYMTAB_FUNC(drm_property_blob_put, "", "");
KSYMTAB_FUNC(drm_property_blob_get, "", "");
KSYMTAB_FUNC(drm_property_lookup_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_global_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob_from_id, "", "");
KSYMTAB_FUNC(drm_syncobj_find, "", "");
KSYMTAB_FUNC(drm_syncobj_add_point, "", "");
KSYMTAB_FUNC(drm_syncobj_replace_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_find_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_free, "", "");
KSYMTAB_FUNC(drm_syncobj_create, "", "");
KSYMTAB_FUNC(drm_syncobj_get_handle, "", "");
KSYMTAB_FUNC(drm_syncobj_get_fd, "", "");
KSYMTAB_FUNC(drm_timeout_abs_to_jiffies, "", "");
KSYMTAB_FUNC(drm_sysfs_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_property_event, "", "");
KSYMTAB_FUNC(drm_class_device_register, "_gpl", "");
KSYMTAB_FUNC(drm_class_device_unregister, "_gpl", "");
KSYMTAB_FUNC(drm_crtc_vblank_crtc, "", "");
KSYMTAB_FUNC(drm_crtc_accurate_vblank_count, "", "");
KSYMTAB_FUNC(drm_vblank_init, "", "");
KSYMTAB_FUNC(drm_dev_has_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_waitqueue, "", "");
KSYMTAB_FUNC(drm_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count_and_time, "", "");
KSYMTAB_FUNC(drm_crtc_next_vblank_start, "", "");
KSYMTAB_FUNC(drm_crtc_arm_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_send_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_get, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_put, "", "");
KSYMTAB_FUNC(drm_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_off, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_reset, "", "");
KSYMTAB_FUNC(drm_crtc_set_max_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on_config, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_restore, "", "");
KSYMTAB_FUNC(drm_handle_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_handle_vblank, "", "");
KSYMTAB_FUNC(drm_vblank_work_schedule, "", "");
KSYMTAB_FUNC(drm_vblank_work_cancel_sync, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush_all, "", "");
KSYMTAB_FUNC(drm_vblank_work_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_destroy, "", "");
KSYMTAB_FUNC(drm_vma_offset_lookup_locked, "", "");
KSYMTAB_FUNC(drm_vma_offset_add, "", "");
KSYMTAB_FUNC(drm_vma_offset_remove, "", "");
KSYMTAB_FUNC(drm_vma_node_allow, "", "");
KSYMTAB_FUNC(drm_vma_node_allow_once, "", "");
KSYMTAB_FUNC(drm_vma_node_revoke, "", "");
KSYMTAB_FUNC(drm_vma_node_is_allowed, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init_with_encoder, "", "");
KSYMTAB_FUNC(drm_writeback_prepare_job, "", "");
KSYMTAB_FUNC(drm_writeback_queue_job, "", "");
KSYMTAB_FUNC(drm_writeback_cleanup_job, "", "");
KSYMTAB_FUNC(drm_writeback_signal_completion, "", "");
KSYMTAB_FUNC(drm_writeback_get_out_fence, "", "");
KSYMTAB_FUNC(drm_prandom_u32_max_state, "", "");
KSYMTAB_FUNC(drm_random_reorder, "", "");
KSYMTAB_FUNC(drm_random_order, "", "");
KSYMTAB_FUNC(drm_panel_init, "", "");
KSYMTAB_FUNC(drm_panel_add, "", "");
KSYMTAB_FUNC(drm_panel_remove, "", "");
KSYMTAB_FUNC(drm_panel_prepare, "", "");
KSYMTAB_FUNC(drm_panel_unprepare, "", "");
KSYMTAB_FUNC(drm_panel_enable, "", "");
KSYMTAB_FUNC(drm_panel_disable, "", "");
KSYMTAB_FUNC(drm_panel_get_modes, "", "");
KSYMTAB_FUNC(of_drm_find_panel, "", "");
KSYMTAB_FUNC(of_drm_get_panel_orientation, "", "");
KSYMTAB_FUNC(drm_is_panel_follower, "", "");
KSYMTAB_FUNC(drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_remove_follower, "", "");
KSYMTAB_FUNC(devm_drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_of_backlight, "", "");
KSYMTAB_FUNC(drm_of_crtc_port_mask, "", "");
KSYMTAB_FUNC(drm_of_find_possible_crtcs, "", "");
KSYMTAB_FUNC(drm_of_component_match_add, "_gpl", "");
KSYMTAB_FUNC(drm_of_component_probe, "", "");
KSYMTAB_FUNC(drm_of_encoder_active_endpoint, "_gpl", "");
KSYMTAB_FUNC(drm_of_find_panel_or_bridge, "_gpl", "");
KSYMTAB_FUNC(drm_of_lvds_get_dual_link_pixel_order, "_gpl", "");
KSYMTAB_FUNC(drm_of_lvds_get_data_mapping, "_gpl", "");
KSYMTAB_FUNC(drm_of_get_data_lanes_count, "_gpl", "");
KSYMTAB_FUNC(drm_of_get_data_lanes_count_ep, "_gpl", "");
KSYMTAB_FUNC(drm_of_get_dsi_bus, "_gpl", "");
KSYMTAB_FUNC(drm_debugfs_gpuva_info, "", "");
KSYMTAB_FUNC(drm_debugfs_create_files, "", "");
KSYMTAB_FUNC(drm_debugfs_remove_files, "", "");
KSYMTAB_FUNC(drm_debugfs_add_file, "", "");
KSYMTAB_FUNC(drm_debugfs_add_files, "", "");
KSYMTAB_FUNC(drm_crtc_add_crc_entry, "_gpl", "");

SYMBOL_CRC(devm_aperture_acquire_from_firmware, 0xe90e27c3, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_framebuffers, 0xf3859718, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_pci_framebuffers, 0x5c099ec3, "");
SYMBOL_CRC(__drm_crtc_commit_free, 0xae277372, "");
SYMBOL_CRC(drm_crtc_commit_wait, 0xf0e9fdc3, "");
SYMBOL_CRC(drm_atomic_state_default_release, 0x65b44ca9, "");
SYMBOL_CRC(drm_atomic_state_init, 0x89d8d45a, "");
SYMBOL_CRC(drm_atomic_state_alloc, 0x44772951, "");
SYMBOL_CRC(drm_atomic_state_default_clear, 0x206bbd6b, "");
SYMBOL_CRC(drm_atomic_state_clear, 0xf8df818f, "");
SYMBOL_CRC(__drm_atomic_state_free, 0xb9cad492, "");
SYMBOL_CRC(drm_atomic_get_crtc_state, 0xfe8ff637, "");
SYMBOL_CRC(drm_atomic_get_plane_state, 0x54f6f53e, "");
SYMBOL_CRC(drm_atomic_private_obj_init, 0x132fa901, "");
SYMBOL_CRC(drm_atomic_private_obj_fini, 0xfaf7bceb, "");
SYMBOL_CRC(drm_atomic_get_private_obj_state, 0xdcf51827, "");
SYMBOL_CRC(drm_atomic_get_old_private_obj_state, 0x2456af40, "");
SYMBOL_CRC(drm_atomic_get_new_private_obj_state, 0xa527ed57, "");
SYMBOL_CRC(drm_atomic_get_old_connector_for_encoder, 0xb564fee4, "");
SYMBOL_CRC(drm_atomic_get_new_connector_for_encoder, 0x3415bcf3, "");
SYMBOL_CRC(drm_atomic_get_old_crtc_for_encoder, 0x48a07537, "");
SYMBOL_CRC(drm_atomic_get_new_crtc_for_encoder, 0x42f2dd25, "");
SYMBOL_CRC(drm_atomic_get_connector_state, 0x37f84907, "");
SYMBOL_CRC(drm_atomic_get_bridge_state, 0x66e128e8, "");
SYMBOL_CRC(drm_atomic_get_old_bridge_state, 0x276c01cf, "");
SYMBOL_CRC(drm_atomic_get_new_bridge_state, 0xd4df222f, "");
SYMBOL_CRC(drm_atomic_add_encoder_bridges, 0x463016fd, "");
SYMBOL_CRC(drm_atomic_add_affected_connectors, 0xeef8459a, "");
SYMBOL_CRC(drm_atomic_add_affected_planes, 0x58e9ede2, "");
SYMBOL_CRC(drm_atomic_check_only, 0xac87e135, "");
SYMBOL_CRC(drm_atomic_commit, 0x5955f9e0, "");
SYMBOL_CRC(drm_atomic_nonblocking_commit, 0x1973da60, "");
SYMBOL_CRC(__drm_atomic_helper_disable_plane, 0x25f46793, "");
SYMBOL_CRC(__drm_atomic_helper_set_config, 0x670fcb9a, "");
SYMBOL_CRC(drm_atomic_print_new_state, 0xa569e63f, "");
SYMBOL_CRC(drm_state_dump, 0xa7111a32, "");
SYMBOL_CRC(drm_atomic_set_mode_for_crtc, 0x9d3ce6e0, "");
SYMBOL_CRC(drm_atomic_set_mode_prop_for_crtc, 0x8dd39f5a, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_plane, 0x5f486360, "");
SYMBOL_CRC(drm_atomic_set_fb_for_plane, 0xdd631b56, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_connector, 0x7cfc9a51, "");
SYMBOL_CRC(drm_is_current_master, 0xa647f0fc, "");
SYMBOL_CRC(drm_master_get, 0x081ab53b, "");
SYMBOL_CRC(drm_file_get_master, 0x1e00dddd, "");
SYMBOL_CRC(drm_master_put, 0xb62a5a87, "");
SYMBOL_CRC(drm_master_internal_acquire, 0x42319a92, "");
SYMBOL_CRC(drm_master_internal_release, 0x988030b5, "");
SYMBOL_CRC(drm_plane_create_alpha_property, 0x32581a79, "");
SYMBOL_CRC(drm_plane_create_rotation_property, 0xc479752a, "");
SYMBOL_CRC(drm_rotation_simplify, 0xdf666902, "");
SYMBOL_CRC(drm_plane_create_zpos_property, 0x3940addf, "");
SYMBOL_CRC(drm_plane_create_zpos_immutable_property, 0x009b9f98, "");
SYMBOL_CRC(drm_atomic_normalize_zpos, 0xdb0645b1, "");
SYMBOL_CRC(drm_plane_create_blend_mode_property, 0x1bf1ce81, "");
SYMBOL_CRC(drm_bridge_add, 0xcc0aef08, "");
SYMBOL_CRC(devm_drm_bridge_add, 0x9fda7049, "");
SYMBOL_CRC(drm_bridge_remove, 0xe1dc3d26, "");
SYMBOL_CRC(drm_bridge_attach, 0x211fca0a, "");
SYMBOL_CRC(drm_bridge_chain_mode_valid, 0xa2bdd315, "");
SYMBOL_CRC(drm_bridge_chain_mode_set, 0xb74356be, "");
SYMBOL_CRC(drm_atomic_bridge_chain_disable, 0x8484c888, "");
SYMBOL_CRC(drm_atomic_bridge_chain_post_disable, 0xf6912bca, "");
SYMBOL_CRC(drm_atomic_bridge_chain_pre_enable, 0x699de3f6, "");
SYMBOL_CRC(drm_atomic_bridge_chain_enable, 0x160dc8b5, "");
SYMBOL_CRC(drm_atomic_bridge_chain_check, 0xd7bdacb5, "");
SYMBOL_CRC(drm_bridge_detect, 0xf3ebd42c, "_gpl");
SYMBOL_CRC(drm_bridge_get_modes, 0xd0f48e9c, "_gpl");
SYMBOL_CRC(drm_bridge_edid_read, 0xcd6d5962, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_enable, 0x25287295, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_disable, 0xf31f2cda, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_notify, 0x554dc81c, "_gpl");
SYMBOL_CRC(of_drm_find_bridge, 0x6984608c, "");
SYMBOL_CRC(drm_clflush_pages, 0x1ea403f4, "");
SYMBOL_CRC(drm_clflush_sg, 0x69e1bf40, "");
SYMBOL_CRC(drm_clflush_virt_range, 0x0a72f765, "");
SYMBOL_CRC(drm_need_swiotlb, 0xb6127243, "");
SYMBOL_CRC(drm_memcpy_from_wc, 0xa38c4c94, "");
SYMBOL_CRC(drm_client_init, 0x20637068, "");
SYMBOL_CRC(drm_client_register, 0xc19df80c, "");
SYMBOL_CRC(drm_client_release, 0x3c3b71c5, "");
SYMBOL_CRC(drm_client_dev_unregister, 0xe34bb38c, "");
SYMBOL_CRC(drm_client_dev_hotplug, 0x6fee1767, "");
SYMBOL_CRC(drm_client_buffer_vmap_local, 0x834d0549, "");
SYMBOL_CRC(drm_client_buffer_vunmap_local, 0xbd957189, "");
SYMBOL_CRC(drm_client_buffer_vmap, 0x294a7ab9, "");
SYMBOL_CRC(drm_client_buffer_vunmap, 0x8c6c6f99, "");
SYMBOL_CRC(drm_client_framebuffer_create, 0xfc21397f, "");
SYMBOL_CRC(drm_client_framebuffer_delete, 0x67362f2b, "");
SYMBOL_CRC(drm_client_framebuffer_flush, 0x20d4a56a, "");
SYMBOL_CRC(drm_client_modeset_probe, 0x70496c5f, "");
SYMBOL_CRC(drm_client_rotation, 0x79938c3d, "");
SYMBOL_CRC(drm_client_modeset_check, 0xfc2887ed, "");
SYMBOL_CRC(drm_client_modeset_commit_locked, 0x46c9ca85, "");
SYMBOL_CRC(drm_client_modeset_commit, 0xdf19aef7, "");
SYMBOL_CRC(drm_client_modeset_dpms, 0x5c728e6d, "");
SYMBOL_CRC(drm_color_ctm_s31_32_to_qm_n, 0xad4e902b, "");
SYMBOL_CRC(drm_crtc_enable_color_mgmt, 0x096fb5be, "");
SYMBOL_CRC(drm_mode_crtc_set_gamma_size, 0x35a8b3a9, "");
SYMBOL_CRC(drm_plane_create_color_properties, 0x0b480681, "");
SYMBOL_CRC(drm_color_lut_check, 0x9ad1f3fa, "");
SYMBOL_CRC(drm_get_connector_type_name, 0xf406e46a, "");
SYMBOL_CRC(drm_connector_init, 0xcd76427f, "");
SYMBOL_CRC(drm_connector_init_with_ddc, 0x499bb5dd, "");
SYMBOL_CRC(drmm_connector_init, 0xb00e62cb, "");
SYMBOL_CRC(drmm_connector_hdmi_init, 0xa45d7939, "");
SYMBOL_CRC(drm_connector_attach_edid_property, 0xedf8bd6d, "");
SYMBOL_CRC(drm_connector_attach_encoder, 0x2aeec16f, "");
SYMBOL_CRC(drm_connector_has_possible_encoder, 0x0b19d859, "");
SYMBOL_CRC(drm_connector_cleanup, 0x4c19f805, "");
SYMBOL_CRC(drm_connector_register, 0xd1475075, "");
SYMBOL_CRC(drm_connector_unregister, 0xe3bd5ee2, "");
SYMBOL_CRC(drm_get_connector_status_name, 0x0fd60df2, "");
SYMBOL_CRC(drm_connector_list_iter_begin, 0xde516f1c, "");
SYMBOL_CRC(drm_connector_list_iter_next, 0xb7b41238, "");
SYMBOL_CRC(drm_connector_list_iter_end, 0x5425039b, "");
SYMBOL_CRC(drm_get_subpixel_order_name, 0x107742a9, "");
SYMBOL_CRC(drm_display_info_set_bus_formats, 0xd4099a0b, "");
SYMBOL_CRC(drm_get_tv_mode_from_name, 0xf095dc96, "");
SYMBOL_CRC(drm_hdmi_connector_get_broadcast_rgb_name, 0x4e966c75, "");
SYMBOL_CRC(drm_hdmi_connector_get_output_format_name, 0x273dc9d6, "");
SYMBOL_CRC(drm_mode_create_dvi_i_properties, 0xec6fff91, "");
SYMBOL_CRC(drm_connector_attach_dp_subconnector_property, 0x86af533c, "");
SYMBOL_CRC(drm_connector_attach_content_type_property, 0xb12390b9, "");
SYMBOL_CRC(drm_connector_attach_tv_margin_properties, 0x49c8ed90, "");
SYMBOL_CRC(drm_mode_create_tv_margin_properties, 0x441e3d1e, "");
SYMBOL_CRC(drm_mode_create_tv_properties_legacy, 0x8190f43a, "");
SYMBOL_CRC(drm_mode_create_tv_properties, 0x8641209b, "");
SYMBOL_CRC(drm_mode_create_scaling_mode_property, 0x39efbd8e, "");
SYMBOL_CRC(drm_connector_attach_vrr_capable_property, 0xff87e961, "");
SYMBOL_CRC(drm_connector_attach_scaling_mode_property, 0x6a9206d5, "");
SYMBOL_CRC(drm_mode_create_aspect_ratio_property, 0x70a213c2, "");
SYMBOL_CRC(drm_mode_create_hdmi_colorspace_property, 0xb6b86d2e, "");
SYMBOL_CRC(drm_mode_create_dp_colorspace_property, 0xcd8b9dbc, "");
SYMBOL_CRC(drm_mode_create_content_type_property, 0x676711e8, "");
SYMBOL_CRC(drm_mode_create_suggested_offset_properties, 0x2ce9d113, "");
SYMBOL_CRC(drm_connector_set_path_property, 0xedae5ba6, "");
SYMBOL_CRC(drm_connector_set_tile_property, 0x8287b204, "");
SYMBOL_CRC(drm_connector_set_link_status_property, 0x2754c6dc, "");
SYMBOL_CRC(drm_connector_attach_max_bpc_property, 0x0a5cff52, "");
SYMBOL_CRC(drm_connector_attach_hdr_output_metadata_property, 0x41066a7d, "");
SYMBOL_CRC(drm_connector_attach_broadcast_rgb_property, 0x35d0a355, "");
SYMBOL_CRC(drm_connector_attach_colorspace_property, 0xf2f2d985, "");
SYMBOL_CRC(drm_connector_atomic_hdr_metadata_equal, 0x98cd8957, "");
SYMBOL_CRC(drm_connector_set_vrr_capable_property, 0x2001e0dc, "");
SYMBOL_CRC(drm_connector_set_panel_orientation, 0x63106f0b, "");
SYMBOL_CRC(drm_connector_set_panel_orientation_with_quirk, 0xbebb8403, "");
SYMBOL_CRC(drm_connector_set_orientation_from_panel, 0x46fdd2a1, "");
SYMBOL_CRC(drm_connector_create_privacy_screen_properties, 0xf1ab39b1, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_properties, 0xb2ae47c1, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_provider, 0xf4d29839, "");
SYMBOL_CRC(drm_connector_update_privacy_screen, 0x1a6c6059, "");
SYMBOL_CRC(drm_connector_oob_hotplug_event, 0x55901087, "");
SYMBOL_CRC(drm_mode_put_tile_group, 0x1a527fb6, "");
SYMBOL_CRC(drm_mode_get_tile_group, 0x071a7fc1, "");
SYMBOL_CRC(drm_mode_create_tile_group, 0xac760dbc, "");
SYMBOL_CRC(drm_crtc_from_index, 0x0f35b9ef, "");
SYMBOL_CRC(drm_crtc_init_with_planes, 0x47d71c20, "");
SYMBOL_CRC(drmm_crtc_init_with_planes, 0xbea3e474, "");
SYMBOL_CRC(__drmm_crtc_alloc_with_planes, 0xef2ecdbb, "");
SYMBOL_CRC(drm_crtc_cleanup, 0x7e2c0733, "");
SYMBOL_CRC(drm_mode_set_config_internal, 0xaddc8288, "");
SYMBOL_CRC(drm_crtc_check_viewport, 0x522c0ca6, "");
SYMBOL_CRC(drm_crtc_create_scaling_filter_property, 0x9279d5de, "");
SYMBOL_CRC(drm_put_dev, 0xca3b3f98, "");
SYMBOL_CRC(drm_dev_enter, 0x5024216f, "");
SYMBOL_CRC(drm_dev_exit, 0xe8a034df, "");
SYMBOL_CRC(drm_dev_unplug, 0x5a5e0b64, "");
SYMBOL_CRC(__devm_drm_dev_alloc, 0xb771d372, "");
SYMBOL_CRC(drm_dev_alloc, 0x91d2ace7, "");
SYMBOL_CRC(drm_dev_get, 0x5931f776, "");
SYMBOL_CRC(drm_dev_put, 0xb776faa1, "");
SYMBOL_CRC(drm_dev_register, 0xbf7374d9, "");
SYMBOL_CRC(drm_dev_unregister, 0xa77f572f, "");
SYMBOL_CRC(drm_edid_header_is_valid, 0x9b9de1c1, "");
SYMBOL_CRC(drm_edid_is_valid, 0xc4200dab, "");
SYMBOL_CRC(drm_edid_valid, 0xb3750192, "");
SYMBOL_CRC(drm_edid_override_connector_update, 0xd9552ac0, "");
SYMBOL_CRC(drm_edid_raw, 0x98fed39f, "");
SYMBOL_CRC(drm_edid_alloc, 0x79c00fa2, "");
SYMBOL_CRC(drm_edid_dup, 0xb212dc3e, "");
SYMBOL_CRC(drm_edid_free, 0x397c3d27, "");
SYMBOL_CRC(drm_probe_ddc, 0x5b657435, "");
SYMBOL_CRC(drm_get_edid, 0x0cdd5495, "");
SYMBOL_CRC(drm_edid_read_custom, 0x9061d18c, "");
SYMBOL_CRC(drm_edid_read_ddc, 0x4324580a, "");
SYMBOL_CRC(drm_edid_read, 0xc667dcdb, "");
SYMBOL_CRC(drm_edid_get_product_id, 0x38d55d21, "");
SYMBOL_CRC(drm_edid_print_product_id, 0xb2f44400, "");
SYMBOL_CRC(drm_edid_get_panel_id, 0xe75a9a81, "");
SYMBOL_CRC(drm_edid_read_base_block, 0xe3f825f9, "");
SYMBOL_CRC(drm_get_edid_switcheroo, 0x6d5b859c, "");
SYMBOL_CRC(drm_edid_read_switcheroo, 0xba299a50, "");
SYMBOL_CRC(drm_edid_duplicate, 0x5f7137ba, "");
SYMBOL_CRC(drm_mode_find_dmt, 0x36df0691, "");
SYMBOL_CRC(drm_match_cea_mode, 0x9b285573, "");
SYMBOL_CRC(drm_display_mode_from_cea_vic, 0x34723075, "");
SYMBOL_CRC(drm_edid_match, 0x05eb4392, "");
SYMBOL_CRC(drm_edid_get_monitor_name, 0x5e5128bf, "");
SYMBOL_CRC(drm_edid_to_sad, 0x4124e206, "");
SYMBOL_CRC(drm_edid_to_speaker_allocation, 0x47e22e1f, "");
SYMBOL_CRC(drm_av_sync_delay, 0xbebdbef6, "");
SYMBOL_CRC(drm_detect_hdmi_monitor, 0xa44eb44e, "");
SYMBOL_CRC(drm_detect_monitor_audio, 0xe4116245, "");
SYMBOL_CRC(drm_default_rgb_quant_range, 0x65702bd6, "");
SYMBOL_CRC(drm_edid_connector_update, 0xdcb0acb5, "");
SYMBOL_CRC(drm_edid_connector_add_modes, 0x7d72217c, "");
SYMBOL_CRC(drm_connector_update_edid_property, 0xa7c6abab, "");
SYMBOL_CRC(drm_add_edid_modes, 0x5fb382f8, "");
SYMBOL_CRC(drm_add_modes_noedid, 0x1d739d0d, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_from_display_mode, 0x264007a6, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_quant_range, 0x79757652, "");
SYMBOL_CRC(drm_hdmi_vendor_infoframe_from_display_mode, 0x0a1f5ced, "");
SYMBOL_CRC(drm_edid_is_digital, 0xc518d486, "");
SYMBOL_CRC(drm_eld_sad_get, 0xe8fa400a, "");
SYMBOL_CRC(drm_eld_sad_set, 0xc53a8214, "");
SYMBOL_CRC(drm_encoder_init, 0x535f8623, "");
SYMBOL_CRC(drm_encoder_cleanup, 0x7449ed67, "");
SYMBOL_CRC(__drmm_encoder_alloc, 0x70e9442b, "");
SYMBOL_CRC(drmm_encoder_init, 0x34b8b3a6, "");
SYMBOL_CRC(drm_open, 0xa846e060, "");
SYMBOL_CRC(drm_release, 0xf95b29a1, "");
SYMBOL_CRC(drm_release_noglobal, 0xee75f0e1, "");
SYMBOL_CRC(drm_read, 0xcb6def8e, "");
SYMBOL_CRC(drm_poll, 0x9ab565b2, "");
SYMBOL_CRC(drm_event_reserve_init_locked, 0x91a3af05, "");
SYMBOL_CRC(drm_event_reserve_init, 0x1749e0c8, "");
SYMBOL_CRC(drm_event_cancel_free, 0x1e7e0d4d, "");
SYMBOL_CRC(drm_send_event_timestamp_locked, 0x6ccfba3f, "");
SYMBOL_CRC(drm_send_event_locked, 0x7e80afde, "");
SYMBOL_CRC(drm_send_event, 0x1c10e55c, "");
SYMBOL_CRC(drm_print_memory_stats, 0x9bfc9dc7, "");
SYMBOL_CRC(drm_show_memory_stats, 0x0b4abe5d, "");
SYMBOL_CRC(drm_show_fdinfo, 0x5bfec2d9, "");
SYMBOL_CRC(mock_drm_getfile, 0xf7d42580, "");
SYMBOL_CRC(drm_mode_legacy_fb_format, 0x29f078d1, "");
SYMBOL_CRC(drm_driver_legacy_fb_format, 0xee06a1e8, "");
SYMBOL_CRC(drm_format_info, 0x55eb38da, "");
SYMBOL_CRC(drm_get_format_info, 0x4ed39341, "");
SYMBOL_CRC(drm_format_info_block_width, 0x74fc6fbd, "");
SYMBOL_CRC(drm_format_info_block_height, 0x982d09b3, "");
SYMBOL_CRC(drm_format_info_bpp, 0xe633a4cd, "");
SYMBOL_CRC(drm_format_info_min_pitch, 0x6910e4cd, "");
SYMBOL_CRC(drm_internal_framebuffer_create, 0xf057e262, "");
SYMBOL_CRC(drm_framebuffer_init, 0x3189b17f, "");
SYMBOL_CRC(drm_framebuffer_lookup, 0x254e3428, "");
SYMBOL_CRC(drm_framebuffer_unregister_private, 0x67bb8ae9, "");
SYMBOL_CRC(drm_framebuffer_cleanup, 0x56f719e5, "");
SYMBOL_CRC(drm_framebuffer_remove, 0xd5287d94, "");
SYMBOL_CRC(drm_gem_object_init, 0xb30d2181, "");
SYMBOL_CRC(drm_gem_private_object_init, 0x49e39fb4, "");
SYMBOL_CRC(drm_gem_private_object_fini, 0xfafb40c9, "");
SYMBOL_CRC(drm_gem_handle_delete, 0x55433492, "");
SYMBOL_CRC(drm_gem_dumb_map_offset, 0xe62b593e, "_gpl");
SYMBOL_CRC(drm_gem_handle_create, 0x62526930, "");
SYMBOL_CRC(drm_gem_free_mmap_offset, 0x48b3ca67, "");
SYMBOL_CRC(drm_gem_create_mmap_offset_size, 0x254eec36, "");
SYMBOL_CRC(drm_gem_create_mmap_offset, 0x291cc4d6, "");
SYMBOL_CRC(drm_gem_get_pages, 0xbb1e7911, "");
SYMBOL_CRC(drm_gem_put_pages, 0xf7579ffb, "");
SYMBOL_CRC(drm_gem_objects_lookup, 0x480eed05, "");
SYMBOL_CRC(drm_gem_object_lookup, 0x38a01b08, "");
SYMBOL_CRC(drm_gem_dma_resv_wait, 0x7e659196, "");
SYMBOL_CRC(drm_gem_object_release, 0x4abe8e28, "");
SYMBOL_CRC(drm_gem_object_free, 0xd680a377, "");
SYMBOL_CRC(drm_gem_vm_open, 0xf93985ba, "");
SYMBOL_CRC(drm_gem_vm_close, 0xef7dbf99, "");
SYMBOL_CRC(drm_gem_mmap_obj, 0x2a157a60, "");
SYMBOL_CRC(drm_gem_mmap, 0x09d77999, "");
SYMBOL_CRC(drm_gem_vmap, 0x98ae8b3d, "");
SYMBOL_CRC(drm_gem_vunmap, 0x3c4c4b39, "");
SYMBOL_CRC(drm_gem_lock, 0xd344432c, "");
SYMBOL_CRC(drm_gem_unlock, 0x1cda1261, "");
SYMBOL_CRC(drm_gem_vmap_unlocked, 0xb76a6e54, "");
SYMBOL_CRC(drm_gem_vunmap_unlocked, 0x86929ca9, "");
SYMBOL_CRC(drm_gem_lock_reservations, 0x3a646fe0, "");
SYMBOL_CRC(drm_gem_unlock_reservations, 0x129c3684, "");
SYMBOL_CRC(drm_gem_lru_init, 0xf8330fec, "");
SYMBOL_CRC(drm_gem_lru_remove, 0x390b9969, "");
SYMBOL_CRC(drm_gem_lru_move_tail_locked, 0xfa639ee7, "");
SYMBOL_CRC(drm_gem_lru_move_tail, 0x9dcebe16, "");
SYMBOL_CRC(drm_gem_lru_scan, 0x45724203, "");
SYMBOL_CRC(drm_gem_evict, 0xa460b97b, "");
SYMBOL_CRC(drm_noop, 0xbeabf0ca, "");
SYMBOL_CRC(drm_invalid_op, 0xb9c2b9cd, "");
SYMBOL_CRC(drm_ioctl_kernel, 0x3f974df8, "");
SYMBOL_CRC(drm_ioctl, 0x60d623de, "");
SYMBOL_CRC(drm_ioctl_flags, 0x57b6efe3, "");
SYMBOL_CRC(__drmm_add_action, 0x2a32d448, "");
SYMBOL_CRC(__drmm_add_action_or_reset, 0xa8b88eb4, "");
SYMBOL_CRC(drmm_release_action, 0x480caff9, "");
SYMBOL_CRC(drmm_kmalloc, 0xd9f69ca5, "");
SYMBOL_CRC(drmm_kstrdup, 0xc702237b, "_gpl");
SYMBOL_CRC(drmm_kfree, 0x17a33d30, "");
SYMBOL_CRC(__drmm_mutex_release, 0xcbb15a07, "");
SYMBOL_CRC(__drm_mm_interval_first, 0x25daad93, "");
SYMBOL_CRC(drm_mm_reserve_node, 0x2754dad8, "");
SYMBOL_CRC(drm_mm_insert_node_in_range, 0xb4032484, "");
SYMBOL_CRC(drm_mm_remove_node, 0x4b7ebf95, "");
SYMBOL_CRC(drm_mm_scan_init_with_range, 0x2a962499, "");
SYMBOL_CRC(drm_mm_scan_add_block, 0x2183c08c, "");
SYMBOL_CRC(drm_mm_scan_remove_block, 0x5f7985a5, "");
SYMBOL_CRC(drm_mm_scan_color_evict, 0xdf3f760d, "");
SYMBOL_CRC(drm_mm_init, 0xf0517d7a, "");
SYMBOL_CRC(drm_mm_takedown, 0x57698a50, "");
SYMBOL_CRC(drm_mm_print, 0x384b280d, "");
SYMBOL_CRC(drm_mode_config_reset, 0xfa0b4ec5, "");
SYMBOL_CRC(drmm_mode_config_init, 0x7f10e9c4, "");
SYMBOL_CRC(drm_mode_config_cleanup, 0x1f19a935, "");
SYMBOL_CRC(drm_mode_object_find, 0x29b1e703, "");
SYMBOL_CRC(drm_mode_object_put, 0x5384bbb8, "");
SYMBOL_CRC(drm_mode_object_get, 0xb4dd3edc, "");
SYMBOL_CRC(drm_object_attach_property, 0xc118cdb5, "");
SYMBOL_CRC(drm_object_property_set_value, 0xc4284ce0, "");
SYMBOL_CRC(drm_object_property_get_value, 0xeafef640, "");
SYMBOL_CRC(drm_object_property_get_default_value, 0xf25301d2, "");
SYMBOL_CRC(drm_mode_obj_find_prop_id, 0xa222e6d3, "");
SYMBOL_CRC(drm_mode_debug_printmodeline, 0x2ed3c600, "");
SYMBOL_CRC(drm_mode_create, 0xb87b6bae, "");
SYMBOL_CRC(drm_mode_destroy, 0x120b969d, "");
SYMBOL_CRC(drm_mode_probed_add, 0x73b297e1, "");
SYMBOL_CRC(drm_analog_tv_mode, 0xac9cd9f3, "");
SYMBOL_CRC(drm_cvt_mode, 0xa31c62ba, "");
SYMBOL_CRC(drm_gtf_mode_complex, 0xa04df1fb, "");
SYMBOL_CRC(drm_gtf_mode, 0x70a21889, "");
SYMBOL_CRC(drm_mode_set_name, 0x4a35d30d, "");
SYMBOL_CRC(drm_mode_vrefresh, 0xf1b5340a, "");
SYMBOL_CRC(drm_mode_get_hv_timing, 0x4403a9c3, "");
SYMBOL_CRC(drm_mode_set_crtcinfo, 0x4575a0ca, "");
SYMBOL_CRC(drm_mode_copy, 0x9ce050be, "");
SYMBOL_CRC(drm_mode_init, 0xcdb99cc9, "");
SYMBOL_CRC(drm_mode_duplicate, 0xdf7f335b, "");
SYMBOL_CRC(drm_mode_match, 0x9b95c885, "");
SYMBOL_CRC(drm_mode_equal, 0x0d9b4753, "");
SYMBOL_CRC(drm_mode_equal_no_clocks, 0x3ab87110, "");
SYMBOL_CRC(drm_mode_equal_no_clocks_no_stereo, 0x24d124ac, "");
SYMBOL_CRC(drm_mode_validate_driver, 0xf19c5a05, "");
SYMBOL_CRC(drm_mode_validate_size, 0xd7a9cf42, "");
SYMBOL_CRC(drm_mode_validate_ycbcr420, 0x3af556fc, "");
SYMBOL_CRC(drm_mode_prune_invalid, 0xfca0c354, "");
SYMBOL_CRC(drm_mode_sort, 0xf1421d13, "");
SYMBOL_CRC(drm_connector_list_update, 0x253526f6, "");
SYMBOL_CRC(drm_mode_parse_command_line_for_connector, 0x2da6b8d9, "");
SYMBOL_CRC(drm_mode_create_from_cmdline_mode, 0x6f662152, "");
SYMBOL_CRC(drm_mode_is_420_only, 0xe7a9ecea, "");
SYMBOL_CRC(drm_mode_is_420_also, 0xace169b3, "");
SYMBOL_CRC(drm_mode_is_420, 0x784d6883, "");
SYMBOL_CRC(drm_set_preferred_mode, 0x0e6968fd, "");
SYMBOL_CRC(drm_modeset_lock_all, 0x89682c62, "");
SYMBOL_CRC(drm_modeset_unlock_all, 0x50110ce6, "");
SYMBOL_CRC(drm_warn_on_modeset_not_all_locked, 0x81a14738, "");
SYMBOL_CRC(drm_modeset_acquire_init, 0x994a6d6f, "");
SYMBOL_CRC(drm_modeset_acquire_fini, 0xcc5a51d9, "");
SYMBOL_CRC(drm_modeset_drop_locks, 0x83455474, "");
SYMBOL_CRC(drm_modeset_backoff, 0x1e16b1c1, "");
SYMBOL_CRC(drm_modeset_lock_init, 0xff6f936d, "");
SYMBOL_CRC(drm_modeset_lock, 0xfb5f3b25, "");
SYMBOL_CRC(drm_modeset_lock_single_interruptible, 0xa15bb9ea, "");
SYMBOL_CRC(drm_modeset_unlock, 0xa8feccad, "");
SYMBOL_CRC(drm_modeset_lock_all_ctx, 0x5b082be7, "");
SYMBOL_CRC(drm_universal_plane_init, 0xfd5fe356, "");
SYMBOL_CRC(__drmm_universal_plane_alloc, 0xfe5f865d, "");
SYMBOL_CRC(__drm_universal_plane_alloc, 0x1370d5d1, "");
SYMBOL_CRC(drm_plane_cleanup, 0x3b89c1a1, "");
SYMBOL_CRC(drm_plane_from_index, 0xd830f908, "");
SYMBOL_CRC(drm_plane_force_disable, 0x2b15ade8, "");
SYMBOL_CRC(drm_mode_plane_set_obj_prop, 0x6170af9a, "");
SYMBOL_CRC(drm_plane_has_format, 0x8ce37cde, "");
SYMBOL_CRC(drm_any_plane_has_format, 0x7e52affa, "");
SYMBOL_CRC(drm_plane_enable_fb_damage_clips, 0xccfb6946, "");
SYMBOL_CRC(drm_plane_get_damage_clips_count, 0xaa68f752, "");
SYMBOL_CRC(drm_plane_get_damage_clips, 0x313c2614, "");
SYMBOL_CRC(drm_plane_create_scaling_filter_property, 0xfb2deb0a, "");
SYMBOL_CRC(drm_plane_add_size_hints_property, 0x6229fd9b, "");
SYMBOL_CRC(drm_gem_dmabuf_export, 0x163b4809, "");
SYMBOL_CRC(drm_gem_dmabuf_release, 0x5cd71451, "");
SYMBOL_CRC(drm_gem_prime_fd_to_handle, 0x4bc98e31, "");
SYMBOL_CRC(drm_gem_prime_handle_to_dmabuf, 0x50c6a04b, "");
SYMBOL_CRC(drm_gem_prime_handle_to_fd, 0xdf5747f1, "");
SYMBOL_CRC(drm_gem_map_attach, 0xbd9fa58d, "");
SYMBOL_CRC(drm_gem_map_detach, 0x2e5840be, "");
SYMBOL_CRC(drm_gem_map_dma_buf, 0xb8c167a7, "");
SYMBOL_CRC(drm_gem_unmap_dma_buf, 0x25eabf8c, "");
SYMBOL_CRC(drm_gem_dmabuf_vmap, 0x29a4d462, "");
SYMBOL_CRC(drm_gem_dmabuf_vunmap, 0x3444307a, "");
SYMBOL_CRC(drm_gem_prime_mmap, 0xf1326a39, "");
SYMBOL_CRC(drm_gem_dmabuf_mmap, 0x4a4f703d, "");
SYMBOL_CRC(drm_prime_pages_to_sg, 0x24fe69a1, "");
SYMBOL_CRC(drm_prime_get_contiguous_size, 0xdad9c8b1, "");
SYMBOL_CRC(drm_gem_prime_export, 0xc9e176c9, "");
SYMBOL_CRC(drm_gem_prime_import_dev, 0x0a76db77, "");
SYMBOL_CRC(drm_gem_prime_import, 0x7a15cdd2, "");
SYMBOL_CRC(drm_prime_sg_to_page_array, 0xb773505a, "");
SYMBOL_CRC(drm_prime_sg_to_dma_addr_array, 0x4e2a621e, "");
SYMBOL_CRC(drm_prime_gem_destroy, 0x77938b78, "");
SYMBOL_CRC(__drm_debug, 0x69353664, "");
SYMBOL_CRC(__drm_puts_coredump, 0xc9f4f448, "");
SYMBOL_CRC(__drm_printfn_coredump, 0x95bf149b, "");
SYMBOL_CRC(__drm_puts_seq_file, 0x25b1a326, "");
SYMBOL_CRC(__drm_printfn_seq_file, 0x2140e8a1, "");
SYMBOL_CRC(__drm_printfn_info, 0x4488028a, "");
SYMBOL_CRC(__drm_printfn_dbg, 0x5fafb06f, "");
SYMBOL_CRC(__drm_printfn_err, 0x51a893c2, "");
SYMBOL_CRC(drm_puts, 0x4925085d, "");
SYMBOL_CRC(drm_printf, 0xbc0d826d, "");
SYMBOL_CRC(drm_print_bits, 0x1a01342e, "");
SYMBOL_CRC(drm_dev_printk, 0x07202b93, "");
SYMBOL_CRC(__drm_dev_dbg, 0xfb6de4d6, "");
SYMBOL_CRC(__drm_err, 0xb11ac7a7, "");
SYMBOL_CRC(drm_print_regset32, 0xbb2dd68f, "");
SYMBOL_CRC(drm_property_create, 0x0d23b12c, "");
SYMBOL_CRC(drm_property_create_enum, 0xe2989e58, "");
SYMBOL_CRC(drm_property_create_bitmask, 0xe27944c5, "");
SYMBOL_CRC(drm_property_create_range, 0xe7182a38, "");
SYMBOL_CRC(drm_property_create_signed_range, 0xb31a48b5, "");
SYMBOL_CRC(drm_property_create_object, 0x320566b9, "");
SYMBOL_CRC(drm_property_create_bool, 0x8dbde074, "");
SYMBOL_CRC(drm_property_add_enum, 0x7f762f39, "");
SYMBOL_CRC(drm_property_destroy, 0x7c2dd603, "");
SYMBOL_CRC(drm_property_create_blob, 0x1c0f1a4d, "");
SYMBOL_CRC(drm_property_blob_put, 0x09e1b732, "");
SYMBOL_CRC(drm_property_blob_get, 0x84888819, "");
SYMBOL_CRC(drm_property_lookup_blob, 0x51be03a4, "");
SYMBOL_CRC(drm_property_replace_global_blob, 0xcc241df6, "");
SYMBOL_CRC(drm_property_replace_blob, 0x73329885, "");
SYMBOL_CRC(drm_property_replace_blob_from_id, 0x7be32590, "");
SYMBOL_CRC(drm_syncobj_find, 0xdc3bdbda, "");
SYMBOL_CRC(drm_syncobj_add_point, 0x07a21437, "");
SYMBOL_CRC(drm_syncobj_replace_fence, 0xc85fd663, "");
SYMBOL_CRC(drm_syncobj_find_fence, 0x294b88dd, "");
SYMBOL_CRC(drm_syncobj_free, 0x1a411479, "");
SYMBOL_CRC(drm_syncobj_create, 0xe12cd4ca, "");
SYMBOL_CRC(drm_syncobj_get_handle, 0x399ba147, "");
SYMBOL_CRC(drm_syncobj_get_fd, 0xcf25a543, "");
SYMBOL_CRC(drm_timeout_abs_to_jiffies, 0x50674de7, "");
SYMBOL_CRC(drm_sysfs_hotplug_event, 0x9c9b3c35, "");
SYMBOL_CRC(drm_sysfs_connector_hotplug_event, 0x64b8d20b, "");
SYMBOL_CRC(drm_sysfs_connector_property_event, 0x28e2bc29, "");
SYMBOL_CRC(drm_class_device_register, 0x13dcb00a, "_gpl");
SYMBOL_CRC(drm_class_device_unregister, 0x220e1cd3, "_gpl");
SYMBOL_CRC(drm_crtc_vblank_crtc, 0x12fb499b, "");
SYMBOL_CRC(drm_crtc_accurate_vblank_count, 0x9a29df7a, "");
SYMBOL_CRC(drm_vblank_init, 0x307b9317, "");
SYMBOL_CRC(drm_dev_has_vblank, 0xc4dd92ef, "");
SYMBOL_CRC(drm_crtc_vblank_waitqueue, 0x2c3b1dff, "");
SYMBOL_CRC(drm_calc_timestamping_constants, 0xa445d3aa, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, 0x17b6249f, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp, 0x4e658903, "");
SYMBOL_CRC(drm_crtc_vblank_count, 0xd48d9bec, "");
SYMBOL_CRC(drm_crtc_vblank_count_and_time, 0xfbbb0ffa, "");
SYMBOL_CRC(drm_crtc_next_vblank_start, 0xe3757484, "");
SYMBOL_CRC(drm_crtc_arm_vblank_event, 0x09150855, "");
SYMBOL_CRC(drm_crtc_send_vblank_event, 0xd84dbee1, "");
SYMBOL_CRC(drm_crtc_vblank_get, 0x6558a67c, "");
SYMBOL_CRC(drm_crtc_vblank_put, 0x90a2ff70, "");
SYMBOL_CRC(drm_wait_one_vblank, 0xbb442d51, "");
SYMBOL_CRC(drm_crtc_wait_one_vblank, 0xdbfdc01e, "");
SYMBOL_CRC(drm_crtc_vblank_off, 0x9f7b6ccd, "");
SYMBOL_CRC(drm_crtc_vblank_reset, 0x97c2c70e, "");
SYMBOL_CRC(drm_crtc_set_max_vblank_count, 0x79e6007f, "");
SYMBOL_CRC(drm_crtc_vblank_on_config, 0xb69c33b3, "");
SYMBOL_CRC(drm_crtc_vblank_on, 0x7a446432, "");
SYMBOL_CRC(drm_crtc_vblank_restore, 0x736e62d1, "");
SYMBOL_CRC(drm_handle_vblank, 0x0de3cd0d, "");
SYMBOL_CRC(drm_crtc_handle_vblank, 0xf1338b4c, "");
SYMBOL_CRC(drm_vblank_work_schedule, 0x08f5ca55, "");
SYMBOL_CRC(drm_vblank_work_cancel_sync, 0x50fc6dfe, "");
SYMBOL_CRC(drm_vblank_work_flush, 0x62d78465, "");
SYMBOL_CRC(drm_vblank_work_flush_all, 0xfa19ab29, "");
SYMBOL_CRC(drm_vblank_work_init, 0xfc8a1efd, "");
SYMBOL_CRC(drm_vma_offset_manager_init, 0x9fe0d913, "");
SYMBOL_CRC(drm_vma_offset_manager_destroy, 0x718cc6f3, "");
SYMBOL_CRC(drm_vma_offset_lookup_locked, 0x9404500a, "");
SYMBOL_CRC(drm_vma_offset_add, 0xc9dbdb39, "");
SYMBOL_CRC(drm_vma_offset_remove, 0xef32da33, "");
SYMBOL_CRC(drm_vma_node_allow, 0x5689c4cc, "");
SYMBOL_CRC(drm_vma_node_allow_once, 0x118cd5df, "");
SYMBOL_CRC(drm_vma_node_revoke, 0x4548bd0f, "");
SYMBOL_CRC(drm_vma_node_is_allowed, 0x0485af17, "");
SYMBOL_CRC(drm_writeback_connector_init, 0x1d693291, "");
SYMBOL_CRC(drm_writeback_connector_init_with_encoder, 0xfda9bdb9, "");
SYMBOL_CRC(drm_writeback_prepare_job, 0xa976c519, "");
SYMBOL_CRC(drm_writeback_queue_job, 0x40d60f2f, "");
SYMBOL_CRC(drm_writeback_cleanup_job, 0x03a93fe1, "");
SYMBOL_CRC(drm_writeback_signal_completion, 0xff62be85, "");
SYMBOL_CRC(drm_writeback_get_out_fence, 0x28988200, "");
SYMBOL_CRC(drm_prandom_u32_max_state, 0xd392c35c, "");
SYMBOL_CRC(drm_random_reorder, 0x1ce755b6, "");
SYMBOL_CRC(drm_random_order, 0xd5164270, "");
SYMBOL_CRC(drm_panel_init, 0x19dcd1cf, "");
SYMBOL_CRC(drm_panel_add, 0x7d994ee7, "");
SYMBOL_CRC(drm_panel_remove, 0x8d9d30e1, "");
SYMBOL_CRC(drm_panel_prepare, 0xaee22b69, "");
SYMBOL_CRC(drm_panel_unprepare, 0x277e6283, "");
SYMBOL_CRC(drm_panel_enable, 0x7b6451b3, "");
SYMBOL_CRC(drm_panel_disable, 0x2cf2d978, "");
SYMBOL_CRC(drm_panel_get_modes, 0x6076c149, "");
SYMBOL_CRC(of_drm_find_panel, 0x3bce1a21, "");
SYMBOL_CRC(of_drm_get_panel_orientation, 0x963962b2, "");
SYMBOL_CRC(drm_is_panel_follower, 0x78e57263, "");
SYMBOL_CRC(drm_panel_add_follower, 0x4a112715, "");
SYMBOL_CRC(drm_panel_remove_follower, 0x19ba6b7f, "");
SYMBOL_CRC(devm_drm_panel_add_follower, 0x41a0e9eb, "");
SYMBOL_CRC(drm_panel_of_backlight, 0x186c25e7, "");
SYMBOL_CRC(drm_of_crtc_port_mask, 0x8b664437, "");
SYMBOL_CRC(drm_of_find_possible_crtcs, 0xed0662f2, "");
SYMBOL_CRC(drm_of_component_match_add, 0x835370dd, "_gpl");
SYMBOL_CRC(drm_of_component_probe, 0xe09f8a48, "");
SYMBOL_CRC(drm_of_encoder_active_endpoint, 0x9f043520, "_gpl");
SYMBOL_CRC(drm_of_find_panel_or_bridge, 0xaa0b1781, "_gpl");
SYMBOL_CRC(drm_of_lvds_get_dual_link_pixel_order, 0xe9fcb738, "_gpl");
SYMBOL_CRC(drm_of_lvds_get_data_mapping, 0x9756a8b7, "_gpl");
SYMBOL_CRC(drm_of_get_data_lanes_count, 0x640029eb, "_gpl");
SYMBOL_CRC(drm_of_get_data_lanes_count_ep, 0x29d1fca2, "_gpl");
SYMBOL_CRC(drm_of_get_dsi_bus, 0x35f58bfb, "_gpl");
SYMBOL_CRC(drm_debugfs_gpuva_info, 0x0f2d6fa0, "");
SYMBOL_CRC(drm_debugfs_create_files, 0x2f3d499c, "");
SYMBOL_CRC(drm_debugfs_remove_files, 0xe7b33861, "");
SYMBOL_CRC(drm_debugfs_add_file, 0x4dbb8a70, "");
SYMBOL_CRC(drm_debugfs_add_files, 0xadf56a04, "");
SYMBOL_CRC(drm_crtc_add_crc_entry, 0x890682ac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8dcc62a, "krealloc" },
	{ 0x15bb892a, "ida_alloc_range" },
	{ 0x8313795b, "try_module_get" },
	{ 0xac996f9b, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa27dbd27, "ww_mutex_lock_interruptible" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xd3e8bd4c, "alloc_anon_inode" },
	{ 0xaed5fe57, "show_class_attr_string" },
	{ 0xc95f1a75, "kthread_cancel_work_sync" },
	{ 0x459fc96c, "is_acpi_device_node" },
	{ 0x4a8beb95, "kthread_create_worker" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x31e5cc42, "kthread_flush_work" },
	{ 0xc2a30bf1, "bpf_trace_run4" },
	{ 0x88ead35d, "ida_destroy" },
	{ 0xe392359c, "idr_find" },
	{ 0xcaa18874, "param_ops_ulong" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe119302a, "of_property_read_variable_u32_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd28b256c, "shmem_read_folio_gfp" },
	{ 0x1d94c036, "__folio_batch_release" },
	{ 0xd7324dbc, "dev_set_name" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x39ff1bb9, "component_master_add_with_match" },
	{ 0xe397caf5, "seq_buf_printf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x4a047f4e, "trace_raw_output_prep" },
	{ 0xac8dfc4b, "dma_resv_init" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xf822ef38, "dma_resv_wait_timeout" },
	{ 0xdf68d96e, "device_unregister" },
	{ 0x3acbd1b6, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0x8b618d08, "overflowuid" },
	{ 0xd6a13f1a, "kthread_flush_worker" },
	{ 0x535791c4, "rt_mutex_base_init" },
	{ 0xfbd2a5bb, "finish_wait" },
	{ 0x6749d53f, "hdmi_vendor_infoframe_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x9d6dd5, "request_firmware" },
	{ 0xd055a1f, "class_destroy" },
	{ 0xff3a6dac, "trace_event_printf" },
	{ 0xd8e7037e, "of_graph_is_present" },
	{ 0x96848186, "scnprintf" },
	{ 0x94c9afc8, "idr_replace" },
	{ 0xa6b2431b, "ww_mutex_unlock" },
	{ 0xbcae9ec7, "device_initialize" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0xd11be8d, "fd_install" },
	{ 0xcf8e33e3, "dma_fence_chain_ops" },
	{ 0x98b3d505, "of_graph_parse_endpoint" },
	{ 0x8d31dc6c, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc2a455f2, "component_del" },
	{ 0x220b495f, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xce3c01e6, "iput" },
	{ 0x54d27b5c, "seq_lseek" },
	{ 0xf71172d8, "of_graph_get_remote_port_parent" },
	{ 0xb6597f13, "prepare_to_wait_event" },
	{ 0xfd175a4b, "of_graph_get_remote_port" },
	{ 0x68b9b622, "dma_buf_unmap_attachment_unlocked" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x1c133ae9, "event_triggers_call" },
	{ 0x3e53496, "__wake_up" },
	{ 0x7868a44c, "dma_fence_add_callback" },
	{ 0xdb936ba8, "synchronize_srcu" },
	{ 0x3cb58464, "dma_fence_set_deadline" },
	{ 0x5ecd9445, "get_device" },
	{ 0xdef5b4af, "dma_buf_attach" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa143ff86, "class_create_file_ns" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x9144d379, "of_graph_get_endpoint_by_regs" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x16295895, "wake_up_process" },
	{ 0x1c7e05a0, "dev_driver_string" },
	{ 0x8751ba61, "dma_buf_map_attachment_unlocked" },
	{ 0xc5e8679c, "trace_event_buffer_commit" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0x349bdddd, "ww_mutex_trylock" },
	{ 0x589dedb6, "register_acpi_bus_type" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xd46ae4e, "devm_of_find_backlight" },
	{ 0xee575776, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x5458fde8, "dma_max_mapping_size" },
	{ 0x30285f8, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xfffd5db7, "trace_event_ignore_this_pid" },
	{ 0xf9453028, "dma_buf_export" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xee0118df, "aperture_remove_conflicting_devices" },
	{ 0x5171aad0, "kthread_queue_work" },
	{ 0xc63d5ed4, "idr_get_next" },
	{ 0x73f41924, "dma_fence_remove_callback" },
	{ 0x1bbe4e10, "rt_write_unlock" },
	{ 0x1ae40711, "_dev_info" },
	{ 0xba7ed99d, "folio_mark_dirty" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xc6cbbc89, "capable" },
	{ 0xbb599efd, "atomic_dec_and_mutex_lock" },
	{ 0x8f284b3a, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x3edf40ab, "sysfs_create_link" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x938915b2, "idr_remove" },
	{ 0x40800e88, "dma_fence_chain_walk" },
	{ 0xceee1c92, "debugfs_lookup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9a89f691, "__task_pid_nr_ns" },
	{ 0x2a4e3dec, "kobject_uevent_env" },
	{ 0x4ea5d10, "ksize" },
	{ 0x9598843d, "__xa_alloc" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x9e145b4f, "shmem_file_setup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x311a02ed, "dma_fence_get_stub" },
	{ 0x2e439142, "drm_get_panel_orientation_quirk" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x903ca073, "perf_trace_run_bpf_submit" },
	{ 0xcde30889, "fput" },
	{ 0x16ca47be, "down_write" },
	{ 0x7125ebfe, "_dev_err" },
	{ 0x380f5788, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xd251ac8e, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x8d854ed2, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xcc9cdfe7, "__of_parse_phandle_with_args" },
	{ 0xee8ebdfe, "sysfs_remove_link" },
	{ 0xc6efaf99, "idr_alloc" },
	{ 0xe5835ff2, "pid_task" },
	{ 0x8c78fb02, "__srcu_read_lock" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x7592ea81, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x5f0c7d1f, "xa_load" },
	{ 0xf0e8e1a, "noop_llseek" },
	{ 0x30f30163, "dma_fence_signal" },
	{ 0xd74884e0, "folio_mark_accessed" },
	{ 0x2997647c, "dma_resv_fini" },
	{ 0x3463682b, "class_create" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x9e96bccc, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xef57c5aa, "dma_buf_get" },
	{ 0xe7dc472, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x5ac5ffd2, "aperture_remove_conflicting_pci_devices" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x864bcc5, "ww_mutex_lock" },
	{ 0x9da01381, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd5c64fd3, "of_property_count_elems_of_size" },
	{ 0xc1ae9fb1, "dma_buf_put" },
	{ 0x6f3bd942, "ida_free" },
	{ 0x765cb53a, "of_property_read_string" },
	{ 0x956ea999, "of_find_property" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x9b8dfaa1, "of_graph_get_next_endpoint" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0x31637fbd, "of_device_is_available" },
	{ 0x4e2087e, "dma_fence_init" },
	{ 0xe51e662a, "mutex_lock_interruptible" },
	{ 0xa2e3ed21, "of_graph_get_remote_node" },
	{ 0x11089ac7, "_ctype" },
	{ 0xd96fc30, "device_register" },
	{ 0x4c60edb2, "device_del" },
	{ 0xa7327b57, "idr_destroy" },
	{ 0x55aae57f, "sg_alloc_table_from_pages_segment" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0xdcb764ad, "memset" },
	{ 0x5e623f23, "_dev_warn" },
	{ 0x70634a52, "unregister_acpi_bus_type" },
	{ 0x94a84a2d, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x268d5fab, "rt_spin_unlock" },
	{ 0x87d5e7e3, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x6036ba59, "rt_spin_lock" },
	{ 0x4841bdee, "strnchr" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5d8c039a, "component_release_of" },
	{ 0x16494829, "devm_aperture_acquire_for_platform_device" },
	{ 0x43e9c473, "init_pseudo" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xbb995ae6, "xa_erase" },
	{ 0xd84d6922, "check_move_unevictable_folios" },
	{ 0x4972a953, "bpf_trace_run3" },
	{ 0x7ca0f38f, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4eb2b066, "hdmi_avi_infoframe_init" },
	{ 0x57ed68a8, "idr_for_each" },
	{ 0x51f812ab, "rt_read_lock" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x5f7cf74, "debugfs_create_file" },
	{ 0xa4b51e0, "trace_event_buffer_reserve" },
	{ 0x52a729bd, "of_find_mipi_dsi_host_by_node" },
	{ 0x210c3a28, "dma_map_sgtable" },
	{ 0x69635073, "kthread_destroy_worker" },
	{ 0x88e40844, "component_match_add_release" },
	{ 0x85df9b6c, "strsep" },
	{ 0xb482edd5, "mutex_unlock" },
	{ 0xe11b931c, "__dma_fence_unwrap_merge" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xa6457c89, "hdmi_infoframe_pack" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xa4f3cb93, "dentry_open" },
	{ 0xe091c977, "list_sort" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x31b14ffe, "__register_chrdev" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xca71b3e5, "seq_write" },
	{ 0x1fb7bf86, "rt_read_unlock" },
	{ 0xe5ec7e53, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8c9839b9, "radix_tree_tagged" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xeef7094f, "seq_printf" },
	{ 0xed6ac11a, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd6b0d3fe, "__rt_mutex_init" },
	{ 0x546fbc86, "__srcu_read_unlock" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x8bfe698d, "rt_write_lock" },
	{ 0x3b5500ff, "i2c_transfer" },
	{ 0x62cd6812, "dma_fence_allocate_private_stub" },
	{ 0xb02d387b, "dma_buf_detach" },
	{ 0xd22ca3dd, "dma_fence_signal_timestamp" },
	{ 0x984d11e1, "dma_fence_chain_init" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xac83c810, "seq_puts" },
	{ 0x9994e237, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc4f60c48, "dev_printk" },
	{ 0xc3520542, "pid_vnr" },
	{ 0x74ee59ba, "sched_set_fifo" },
	{ 0x4f523a0c, "of_node_name_eq" },
	{ 0x2c60c4f3, "simple_release_fs" },
	{ 0xbaa92d50, "dev_err_probe" },
	{ 0xdba21307, "dma_unmap_sg_attrs" },
	{ 0x4d2a2b1a, "kill_anon_super" },
	{ 0x2eaac0b6, "from_kuid_munged" },
	{ 0xe2ae9939, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x72f8a3ff, "__devm_add_action" },
	{ 0xc07e384e, "component_add" },
	{ 0xc6eff396, "dma_resv_test_signaled" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x98cf60b3, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x78f1059b, "dma_fence_chain_find_seqno" },
	{ 0xfa15319, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1cf06f76, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x9610a17c, "debugfs_create_dir" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x46bd5d6e, "video_get_options" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x8e89f7bc, "sync_file_get_fence" },
	{ 0xfa50e426, "__mutex_rt_init" },
	{ 0x3f0bcb03, "put_pid" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x350fbbc9, "__dev_fwnode" },
	{ 0x943ac75c, "pci_bus_type" },
	{ 0x95ececc5, "kmalloc_caches" },
	{ 0xf8a6d7b7, "class_remove_file_ns" },
	{ 0x30214ee1, "simple_pin_fs" },
	{ 0x30a6bcee, "sync_file_create" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "drm_panel_orientation_quirks");


MODULE_INFO(srcversion, "7A609F28B07BE5573A484C1");
MODULE_INFO(rhelversion, "9.6");
