#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0x34383e42, "");
SYMBOL_CRC(drm_gem_vram_put, 0x58ac8935, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x57852035, "");
SYMBOL_CRC(drm_gem_vram_pin, 0xa9a1b7d7, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x195b14dd, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0x054dab34, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0x3fb98555, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0xda940908, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0xc6ff606c, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x9442dd0f, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0xcb39fcba, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0xe1c062df, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0x0e3dab50, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0x499f7c72, "");
SYMBOL_CRC(drmm_vram_helper_init, 0xcf535d14, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0xfdb7d2dd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc0e28cd2, "ttm_range_man_init_nocheck" },
	{ 0xa27dbd27, "ww_mutex_lock_interruptible" },
	{ 0xf033f835, "ttm_resource_manager_debug" },
	{ 0xa6b2431b, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0xce9e5f8b, "ttm_range_man_fini_nocheck" },
	{ 0xb30d2181, "drm_gem_object_init" },
	{ 0x2140e8a1, "__drm_printfn_seq_file" },
	{ 0x7eafc751, "ttm_bo_pin" },
	{ 0x1c7e05a0, "dev_driver_string" },
	{ 0xebff5df4, "drm_gem_ttm_mmap" },
	{ 0xa8b88eb4, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xdf9e92da, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x4abe8e28, "drm_gem_object_release" },
	{ 0x75f2aa7a, "ttm_tt_init" },
	{ 0x62526930, "drm_gem_handle_create" },
	{ 0x905a41ad, "drm_gem_fb_get_obj" },
	{ 0x90b6fac5, "ttm_bo_unpin" },
	{ 0x25b1a326, "__drm_puts_seq_file" },
	{ 0x268d5fab, "rt_spin_unlock" },
	{ 0x6036ba59, "rt_spin_lock" },
	{ 0xadf56a04, "drm_debugfs_add_files" },
	{ 0x48c0c14a, "ttm_bo_init_validate" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3c6bf3a8, "ttm_device_init" },
	{ 0x88590414, "ttm_bo_validate" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2a6daed3, "ttm_bo_move_to_lru_tail" },
	{ 0xe2ae9939, "kmalloc_trace" },
	{ 0x330af30d, "ttm_bo_vmap" },
	{ 0x28bf9fd2, "ttm_bo_put" },
	{ 0xb9e9899f, "ttm_resource_free" },
	{ 0x2a621c29, "ttm_bo_move_memcpy" },
	{ 0xc247541, "ttm_tt_fini" },
	{ 0x98020ab1, "ttm_device_fini" },
	{ 0xca50524d, "drm_gem_plane_helper_prepare_fb" },
	{ 0xa932a3ec, "ttm_bo_eviction_valuable" },
	{ 0x95ececc5, "kmalloc_caches" },
	{ 0xaea80543, "drm_gem_ttm_print_info" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm,drm_ttm_helper,drm_kms_helper");


MODULE_INFO(srcversion, "45A49E51DAFAA14BA8045FA");
MODULE_INFO(rhelversion, "9.6");
