#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2d62ff9b, "drm_mode_config_helper_resume" },
	{ 0x7789fffb, "drm_mode_config_helper_suspend" },
	{ 0xef357d43, "drm_atomic_helper_shutdown" },
	{ 0xedc03953, "iounmap" },
	{ 0xbbfadedd, "pci_release_regions" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x5a5e0b64, "drm_dev_unplug" },
	{ 0xb776faa1, "drm_dev_put" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xdca8c3d4, "logic_outb" },
	{ 0xc32703b9, "drm_gem_fb_create" },
	{ 0x21a3c3d9, "pci_unregister_driver" },
	{ 0x7d72217c, "drm_edid_connector_add_modes" },
	{ 0x1d739d0d, "drm_add_modes_noedid" },
	{ 0xe6968fd, "drm_set_preferred_mode" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x127a9ab, "__pci_register_driver" },
	{ 0xfb6de4d6, "__drm_dev_dbg" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xf18300ad, "logic_inb" },
	{ 0x6d73c95f, "logic_outw" },
	{ 0x2e2c4ddc, "logic_inw" },
	{ 0x5a3cb527, "pci_request_region" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x85bd1608, "__request_region" },
	{ 0x92997ed8, "_printk" },
	{ 0xcd76427f, "drm_connector_init" },
	{ 0x9b9de1c1, "drm_edid_header_is_valid" },
	{ 0x9061d18c, "drm_edid_read_custom" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xedf8bd6d, "drm_connector_attach_edid_property" },
	{ 0xdcb0acb5, "drm_edid_connector_update" },
	{ 0x5c099ec3, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0x91d2ace7, "drm_dev_alloc" },
	{ 0xcb9a113d, "pcim_enable_device" },
	{ 0xd9f69ca5, "drmm_kmalloc" },
	{ 0xcf535d14, "drmm_vram_helper_init" },
	{ 0x7f10e9c4, "drmm_mode_config_init" },
	{ 0xc4373106, "drm_simple_display_pipe_init" },
	{ 0xfa0b4ec5, "drm_mode_config_reset" },
	{ 0xbf7374d9, "drm_dev_register" },
	{ 0x57852035, "drm_gem_vram_offset" },
	{ 0x5024216f, "drm_dev_enter" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xdc2a98b7, "drm_atomic_helper_connector_reset" },
	{ 0xca4b8034, "drm_helper_probe_single_connector_modes" },
	{ 0x4c19f805, "drm_connector_cleanup" },
	{ 0xbea9b9fe, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x320e796a, "drm_atomic_helper_connector_destroy_state" },
	{ 0x499f7c72, "drm_vram_mm_debugfs_init" },
	{ 0xc6ff606c, "drm_gem_vram_driver_dumb_create" },
	{ 0x9fd18291, "drm_gem_ttm_dumb_map_offset" },
	{ 0xfdb7d2dd, "drm_vram_helper_mode_valid" },
	{ 0xe0038630, "drm_atomic_helper_check" },
	{ 0x4fce49ac, "drm_atomic_helper_commit" },
	{ 0xe1c062df, "drm_gem_vram_simple_display_pipe_prepare_fb" },
	{ 0xe3dab50, "drm_gem_vram_simple_display_pipe_cleanup_fb" },
	{ 0xf0e8e1a, "noop_llseek" },
	{ 0xcb6def8e, "drm_read" },
	{ 0x9ab565b2, "drm_poll" },
	{ 0x60d623de, "drm_ioctl" },
	{ 0x9d77999, "drm_gem_mmap" },
	{ 0xa846e060, "drm_open" },
	{ 0xf95b29a1, "drm_release" },
	{ 0xfa15319, "param_ops_int" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "drm_kms_helper,drm,drm_vram_helper,drm_ttm_helper");

MODULE_ALIAS("pci:v00001234d00001111sv00001AF4sd00001100bc*sc*i*");
MODULE_ALIAS("pci:v00001234d00001111sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004321d00001111sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "06CC19CA4B2CCD90B2A971A");
MODULE_INFO(rhelversion, "9.6");
