#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_send_uevents, "_gpl", "");
KSYMTAB_FUNC(dm_path_uevent, "_gpl", "");
KSYMTAB_FUNC(dm_report_zones, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_ti, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_bio, "_gpl", "");
KSYMTAB_FUNC(dm_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_from_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_get_target_bio_nr, "_gpl", "");
KSYMTAB_FUNC(dm_get_reserved_bio_based_ios, "_gpl", "");
KSYMTAB_FUNC(dm_start_time_ns_from_clone, "_gpl", "");
KSYMTAB_FUNC(dm_set_target_max_io_len, "_gpl", "");
KSYMTAB_FUNC(dm_accept_partial_bio, "_gpl", "");
KSYMTAB_FUNC(dm_submit_bio_remap, "_gpl", "");
KSYMTAB_FUNC(dm_get_md, "_gpl", "");
KSYMTAB_FUNC(dm_hold, "_gpl", "");
KSYMTAB_FUNC(dm_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_put, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_noflush, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_fast, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume_fast, "_gpl", "");
KSYMTAB_FUNC(dm_disk, "_gpl", "");
KSYMTAB_FUNC(dm_suspended, "_gpl", "");
KSYMTAB_FUNC(dm_post_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_noflush_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_devt_from_path, "", "");
KSYMTAB_FUNC(dm_get_device, "", "");
KSYMTAB_FUNC(dm_put_device, "", "");
KSYMTAB_FUNC(dm_read_arg, "", "");
KSYMTAB_FUNC(dm_read_arg_group, "", "");
KSYMTAB_FUNC(dm_shift_arg, "", "");
KSYMTAB_FUNC(dm_consume_args, "", "");
KSYMTAB_FUNC(dm_table_set_type, "_gpl", "");
KSYMTAB_FUNC(dm_table_event, "", "");
KSYMTAB_FUNC(dm_table_get_size, "", "");
KSYMTAB_FUNC(dm_table_get_mode, "", "");
KSYMTAB_FUNC(dm_table_get_md, "", "");
KSYMTAB_FUNC(dm_table_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_table_run_md_queue_async, "", "");
KSYMTAB_FUNC(dm_register_target, "", "");
KSYMTAB_FUNC(dm_unregister_target, "", "");
KSYMTAB_FUNC(dm_copy_name_and_uuid, "_gpl", "");
KSYMTAB_FUNC(dm_io_client_create, "", "");
KSYMTAB_FUNC(dm_io_client_destroy, "", "");
KSYMTAB_FUNC(dm_io, "", "");
KSYMTAB_FUNC(dm_kcopyd_copy, "", "");
KSYMTAB_FUNC(dm_kcopyd_zero, "", "");
KSYMTAB_FUNC(dm_kcopyd_prepare_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_do_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_create, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_destroy, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_flush, "", "");
KSYMTAB_FUNC(dm_mq_kick_requeue_list, "", "");

SYMBOL_CRC(dm_send_uevents, 0xd91ae0bc, "_gpl");
SYMBOL_CRC(dm_path_uevent, 0x6adc6cd9, "_gpl");
SYMBOL_CRC(dm_report_zones, 0xc7ca0d68, "_gpl");
SYMBOL_CRC(dm_audit_log_ti, 0x17bb7799, "_gpl");
SYMBOL_CRC(dm_audit_log_bio, 0x9c743a75, "_gpl");
SYMBOL_CRC(dm_per_bio_data, 0x2f7f0b6e, "_gpl");
SYMBOL_CRC(dm_bio_from_per_bio_data, 0xb9516886, "_gpl");
SYMBOL_CRC(dm_bio_get_target_bio_nr, 0xb9e03995, "_gpl");
SYMBOL_CRC(dm_get_reserved_bio_based_ios, 0x38f704de, "_gpl");
SYMBOL_CRC(dm_start_time_ns_from_clone, 0x091954b5, "_gpl");
SYMBOL_CRC(dm_set_target_max_io_len, 0x15477900, "_gpl");
SYMBOL_CRC(dm_accept_partial_bio, 0xd0dcde3d, "_gpl");
SYMBOL_CRC(dm_submit_bio_remap, 0xa9170cdc, "_gpl");
SYMBOL_CRC(dm_get_md, 0x321199fa, "_gpl");
SYMBOL_CRC(dm_hold, 0x22161744, "_gpl");
SYMBOL_CRC(dm_device_name, 0x04fd6eea, "_gpl");
SYMBOL_CRC(dm_put, 0x559f6d83, "_gpl");
SYMBOL_CRC(dm_internal_suspend_noflush, 0xa884f0cf, "_gpl");
SYMBOL_CRC(dm_internal_resume, 0xb963b6b9, "_gpl");
SYMBOL_CRC(dm_internal_suspend_fast, 0x2c816781, "_gpl");
SYMBOL_CRC(dm_internal_resume_fast, 0x4604342f, "_gpl");
SYMBOL_CRC(dm_disk, 0x955059a5, "_gpl");
SYMBOL_CRC(dm_suspended, 0x013d4c2c, "_gpl");
SYMBOL_CRC(dm_post_suspending, 0x3896bee5, "_gpl");
SYMBOL_CRC(dm_noflush_suspending, 0x62828856, "_gpl");
SYMBOL_CRC(dm_devt_from_path, 0x23418c7d, "");
SYMBOL_CRC(dm_get_device, 0x7d85398c, "");
SYMBOL_CRC(dm_put_device, 0xe9f000b0, "");
SYMBOL_CRC(dm_read_arg, 0x056bcf7b, "");
SYMBOL_CRC(dm_read_arg_group, 0x39c74235, "");
SYMBOL_CRC(dm_shift_arg, 0x7d27e504, "");
SYMBOL_CRC(dm_consume_args, 0x669c191b, "");
SYMBOL_CRC(dm_table_set_type, 0x475c7bea, "_gpl");
SYMBOL_CRC(dm_table_event, 0x84eca0e5, "");
SYMBOL_CRC(dm_table_get_size, 0x53938d9b, "");
SYMBOL_CRC(dm_table_get_mode, 0xd9cd7523, "");
SYMBOL_CRC(dm_table_get_md, 0x4a5f4e70, "");
SYMBOL_CRC(dm_table_device_name, 0xacb2d478, "_gpl");
SYMBOL_CRC(dm_table_run_md_queue_async, 0x370b802b, "");
SYMBOL_CRC(dm_register_target, 0xfa660933, "");
SYMBOL_CRC(dm_unregister_target, 0x02d7ab48, "");
SYMBOL_CRC(dm_copy_name_and_uuid, 0xc193986a, "_gpl");
SYMBOL_CRC(dm_io_client_create, 0x601f665f, "");
SYMBOL_CRC(dm_io_client_destroy, 0x9e4faeef, "");
SYMBOL_CRC(dm_io, 0x6b0ab605, "");
SYMBOL_CRC(dm_kcopyd_copy, 0x8fbe77e0, "");
SYMBOL_CRC(dm_kcopyd_zero, 0x0dcdfafc, "");
SYMBOL_CRC(dm_kcopyd_prepare_callback, 0xf1f88a0e, "");
SYMBOL_CRC(dm_kcopyd_do_callback, 0xf2a8efae, "");
SYMBOL_CRC(dm_kcopyd_client_create, 0x9dd9df13, "");
SYMBOL_CRC(dm_kcopyd_client_destroy, 0x154c6338, "");
SYMBOL_CRC(dm_kcopyd_client_flush, 0x90006be6, "");
SYMBOL_CRC(dm_mq_kick_requeue_list, 0xf3a1a418, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd79e8678, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1dcf64a, "audit_log_format" },
	{ 0xa5955d8e, "set_disk_ro" },
	{ 0xa451bd7e, "__blk_alloc_disk" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8313795b, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x27e1cf3c, "__init_rwsem" },
	{ 0xd1d041c1, "misc_deregister" },
	{ 0xe5b9b1f0, "blk_start_plug" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xe392359c, "idr_find" },
	{ 0x7aa93a1a, "param_ops_uint" },
	{ 0xcaa18874, "param_ops_ulong" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2f67c8da, "bio_split_to_limits" },
	{ 0x698f2cec, "vmalloc_to_page" },
	{ 0x89349070, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x190a0935, "fs_dax_get_by_bdev" },
	{ 0x9d8bb00e, "set_dax_nocache" },
	{ 0x3cc9ae5c, "bio_poll" },
	{ 0xca9360b5, "rb_next" },
	{ 0xf88945f7, "blk_mq_queue_inflight" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x535791c4, "rt_mutex_base_init" },
	{ 0xfbd2a5bb, "finish_wait" },
	{ 0xeb37101c, "audit_log_end" },
	{ 0x96848186, "scnprintf" },
	{ 0x94c9afc8, "idr_replace" },
	{ 0xad03e40f, "dm_kobject_release" },
	{ 0xcf2a6966, "up" },
	{ 0xb797ad62, "mempool_init" },
	{ 0xc363b72e, "blk_rq_prep_clone" },
	{ 0x52c41f56, "blk_mq_unquiesce_queue" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x4e8f118f, "prepare_to_wait" },
	{ 0x3fefdda8, "blk_mq_quiesce_queue" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x3683fa11, "__traceiter_block_bio_remap" },
	{ 0x52ab21f0, "blk_mq_kick_requeue_list" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb6597f13, "prepare_to_wait_event" },
	{ 0x54daaa4c, "blk_rq_unprep_clone" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x3e53496, "__wake_up" },
	{ 0xdb936ba8, "synchronize_srcu" },
	{ 0x2b42ebce, "kmem_cache_create" },
	{ 0x5c72e0c3, "blk_mq_end_request" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x2c3ca3de, "bdev_thaw" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x998a567c, "mempool_free" },
	{ 0x916758a3, "node_states" },
	{ 0x28b5a4c7, "alloc_dax" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1a77e368, "blk_mq_delay_kick_requeue_list" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x97b6560c, "blk_mq_alloc_tag_set" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xacf649bf, "audit_log_task_info" },
	{ 0x206ec85c, "crypto_destroy_tfm" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xf6ed19d, "__traceiter_block_split" },
	{ 0xa12a4378, "bioset_integrity_create" },
	{ 0x92997ed8, "_printk" },
	{ 0x52e1df0d, "put_disk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xe0acf8fc, "bio_integrity_trim" },
	{ 0x1000e51, "schedule" },
	{ 0x8fc85474, "__fput_sync" },
	{ 0xfad9c827, "kill_dax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x34fc4ad3, "__tracepoint_block_split" },
	{ 0xa916b694, "strnlen" },
	{ 0x7f8babee, "kmalloc_node_trace" },
	{ 0xec9d59c4, "mempool_alloc" },
	{ 0x618911fc, "numa_node" },
	{ 0x72f67ca5, "__free_pages" },
	{ 0xdd651d70, "kmem_cache_alloc" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x79a0e990, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x59b165e3, "submit_bio" },
	{ 0x1f59433e, "dax_add_host" },
	{ 0x8f284b3a, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2bb5230a, "blk_mq_init_allocated_queue" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x6fff261f, "__arch_clear_user" },
	{ 0x4ce3fa88, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x5739a145, "ima_measure_critical_data" },
	{ 0x938915b2, "idr_remove" },
	{ 0x2a4e3dec, "kobject_uevent_env" },
	{ 0x9df9fb63, "bio_put" },
	{ 0x3ef16aa7, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9e9c4f24, "set_dax_nomc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf9b09713, "init_srcu_struct" },
	{ 0xcde30889, "fput" },
	{ 0x16ca47be, "down_write" },
	{ 0x872c0a55, "blk_revalidate_disk_zones" },
	{ 0x380f5788, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xce047d45, "blk_update_request" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xc6efaf99, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0xec5668f6, "dax_zero_page_range" },
	{ 0x8c78fb02, "__srcu_read_lock" },
	{ 0x7592ea81, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd4d1e4fb, "set_capacity" },
	{ 0xe734bac0, "submit_bio_noacct" },
	{ 0xf0e8e1a, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0x5f6f1e9e, "dax_get_private" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9e96bccc, "mutex_lock" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0xfa36299d, "bdev_start_io_acct" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x123b1f6a, "kmem_cache_free" },
	{ 0x90fb02e1, "dax_remove_host" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xfd1b33b2, "bio_chain" },
	{ 0x8b17f93d, "dax_recovery_write" },
	{ 0x5045e4d2, "bdev_freeze" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0x2bbaafd9, "blk_stack_limits" },
	{ 0xb781efde, "kobject_init_and_add" },
	{ 0x248a9135, "zero_fill_bio_iter" },
	{ 0xabc83e6d, "bio_add_page" },
	{ 0xdaf769d1, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x57dd9f11, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x6d45816d, "del_gendisk" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xdd5501c, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x87a459ae, "bdev_file_open_by_dev" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x42feebc5, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0xa7327b57, "idr_destroy" },
	{ 0xc789256f, "bd_unlink_disk_holder" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xfcf29c07, "bio_init" },
	{ 0xdcb764ad, "memset" },
	{ 0x6ed52dab, "bio_alloc_clone" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x21a99656, "misc_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x15346ee7, "blk_insert_cloned_request" },
	{ 0x94a84a2d, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x268d5fab, "rt_spin_unlock" },
	{ 0xe9690b6d, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6036ba59, "rt_spin_lock" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1dd1331, "audit_log_start" },
	{ 0x627a42b1, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x576eee3e, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xedd9d864, "bio_uninit" },
	{ 0x2cd130fd, "crypto_shash_final" },
	{ 0xb482edd5, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xedbdc3a, "param_ops_bool" },
	{ 0x53cfaa37, "bioset_init" },
	{ 0x844ebe92, "bio_trim" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x826c9d7f, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdcc261a0, "__traceiter_block_rq_remap" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x546fbc86, "__srcu_read_unlock" },
	{ 0x8135613, "dax_write_cache" },
	{ 0xae64f1dd, "__tracepoint_block_bio_remap" },
	{ 0x8ce2d446, "__tracepoint_block_rq_remap" },
	{ 0x2c665291, "bd_link_disk_holder" },
	{ 0x3a724d2f, "blk_mq_start_request" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7242d92, "put_dax" },
	{ 0xb4bed835, "file_bdev" },
	{ 0x6d70f1d9, "queue_limits_stack_integrity" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xe2ae9939, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x85f47468, "blk_mark_disk_dead" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x3285c83, "blk_zone_plug_bio" },
	{ 0xfa15319, "param_ops_int" },
	{ 0x37c6d6fc, "blk_mq_run_hw_queues" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x56adc3bf, "crypto_alloc_shash" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0x71fc6280, "queue_limits_set" },
	{ 0xa37db6b9, "bio_alloc_bioset" },
	{ 0x9874bc10, "up_read" },
	{ 0x5202cbc0, "blk_mq_requeue_request" },
	{ 0xfa50e426, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x48b31351, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf007450a, "bdev_end_io_acct" },
	{ 0x95ececc5, "kmalloc_caches" },
	{ 0x6b69cd61, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd22bd67a, "kmem_cache_destroy" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x8601bc1d, "kobject_put" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "22646E38D4679DC418F26A9");
MODULE_INFO(rhelversion, "9.6");
