#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(brcmf_set_wsec, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_cmd_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_cmd_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_iovar_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_iovar_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_bsscfg_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_bsscfg_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_xtlv_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_xtlv_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_register_vendor, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_unregister_vendor, "_gpl", "BRCMFMAC");

SYMBOL_CRC(brcmf_set_wsec, 0xb7a54460, "_gpl");
SYMBOL_CRC(brcmf_fil_cmd_data_set, 0x5c2b2bf9, "_gpl");
SYMBOL_CRC(brcmf_fil_cmd_data_get, 0xe387355e, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_set, 0xa8068e05, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_get, 0x7a953584, "_gpl");
SYMBOL_CRC(brcmf_fil_bsscfg_data_set, 0x344c8044, "_gpl");
SYMBOL_CRC(brcmf_fil_bsscfg_data_get, 0xb62f54c2, "_gpl");
SYMBOL_CRC(brcmf_fil_xtlv_data_set, 0x5c7d710a, "_gpl");
SYMBOL_CRC(brcmf_fil_xtlv_data_get, 0x23c3c855, "_gpl");
SYMBOL_CRC(brcmf_fwvid_register_vendor, 0xadc5f091, "_gpl");
SYMBOL_CRC(brcmf_fwvid_unregister_vendor, 0x9f7a93ed, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x400fd163, "brcmu_pktq_mlen" },
	{ 0xb99b727c, "cfg80211_sched_scan_results" },
	{ 0x34d55958, "sdio_retune_hold_now" },
	{ 0x649110a, "sdio_release_host" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x95e5ec37, "usb_alloc_urb" },
	{ 0xe0ec91c2, "sdio_disable_func" },
	{ 0x6d76f1bf, "cfg80211_mgmt_tx_status_ext" },
	{ 0x6cb47dc1, "device_set_wakeup_enable" },
	{ 0x89de84c4, "usb_autopm_put_interface" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xd520d964, "sdio_set_block_size" },
	{ 0x459fc96c, "is_acpi_device_node" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x9d9de123, "usb_free_urb" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x83547558, "devm_kmalloc" },
	{ 0xb63e89d4, "pci_enable_device" },
	{ 0x29cf1627, "skb_put" },
	{ 0x4eb94153, "brcmu_pkt_buf_free_skb" },
	{ 0xe119302a, "of_property_read_variable_u32_array" },
	{ 0x4e9697f4, "sdio_retune_crc_disable" },
	{ 0x64b393d, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x369be269, "firmware_request_nowarn" },
	{ 0xf787f766, "platform_driver_unregister" },
	{ 0x2f67cdda, "sdio_claim_host" },
	{ 0xc2ae3479, "cfg80211_sched_scan_stopped" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x67dba52c, "sdio_memcpy_fromio" },
	{ 0xa797f98c, "consume_skb" },
	{ 0x3a6be48, "sdio_register_driver" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xed0a0a5f, "unregister_netdev" },
	{ 0x398c0d5, "cfg80211_remain_on_channel_expired" },
	{ 0x9e358e0d, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x535791c4, "rt_mutex_base_init" },
	{ 0xfbd2a5bb, "finish_wait" },
	{ 0x99c8fb2b, "cfg80211_register_netdevice" },
	{ 0xbb106f16, "dma_unmap_page_attrs" },
	{ 0x9d6dd5, "request_firmware" },
	{ 0xd4fa454, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0x127a9ab, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x662642df, "pci_disable_msi" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xda1913ff, "add_wait_queue" },
	{ 0x9482dae9, "cfg80211_port_authorized" },
	{ 0x5c2d5788, "brcmu_pktq_init" },
	{ 0x109c66ab, "brcmu_pktq_penq_head" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb6597f13, "prepare_to_wait_event" },
	{ 0xd8089d06, "sdio_memcpy_toio" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x3e53496, "__wake_up" },
	{ 0x1529855, "cfg80211_new_sta" },
	{ 0xe4c6b294, "of_irq_parse_one" },
	{ 0xa17c0ccf, "brcmu_dotrev_str" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0xd4b2c531, "cfg80211_disconnected" },
	{ 0xc0b38726, "ether_setup" },
	{ 0x21a3c3d9, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa306a88a, "of_get_property" },
	{ 0x2e8f0cd7, "pskb_expand_head" },
	{ 0x16295895, "wake_up_process" },
	{ 0x1c7e05a0, "dev_driver_string" },
	{ 0xd8d3edd9, "sdio_f0_readb" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0xc7de9fbf, "eth_type_trans" },
	{ 0x7cc124f5, "pci_read_config_dword" },
	{ 0x80bc5546, "dma_map_page_attrs" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x164b1097, "alloc_netdev_mqs" },
	{ 0xdb8a5f7, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0x72e863ec, "cfg80211_ready_on_channel" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x94f390ac, "devm_kstrdup" },
	{ 0xf92cd038, "cfg80211_classify8021d" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7b7a9990, "sdio_release_irq" },
	{ 0x40c668de, "cfg80211_crit_proto_stopped" },
	{ 0xc2099d09, "wiphy_register" },
	{ 0x6fa099cc, "__cfg80211_alloc_reply_skb" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xa5187b24, "cfg80211_put_bss" },
	{ 0xf887bd26, "cfg80211_roamed" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xbf572858, "usb_submit_urb" },
	{ 0x9f984513, "strrchr" },
	{ 0x1ae40711, "_dev_info" },
	{ 0x92492a0b, "of_get_mac_address" },
	{ 0xf31fdfe8, "skb_queue_tail" },
	{ 0x505f1423, "ieee80211_get_channel_khz" },
	{ 0xb4c555f7, "cfg80211_check_combinations" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2b18716e, "sdio_set_host_pm_flags" },
	{ 0x2f65f80, "sdio_f0_writeb" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x2006b236, "sdio_unregister_driver" },
	{ 0xa93a4c6, "sdio_readsb" },
	{ 0xf2ddf46, "usb_match_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf1d24a0d, "pci_enable_msi" },
	{ 0x7e4c3df5, "efi" },
	{ 0x7125ebfe, "_dev_err" },
	{ 0xe4942b1e, "device_wakeup_enable" },
	{ 0xfdf25863, "cfg80211_ibss_joined" },
	{ 0xb70309b5, "request_firmware_nowait" },
	{ 0xd251ac8e, "simple_open" },
	{ 0x35014501, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc2a113a, "add_timer" },
	{ 0xf8a64594, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x5b5ce626, "irq_get_irq_data" },
	{ 0xbb56da2a, "wiphy_apply_custom_regulatory" },
	{ 0x45224d8e, "cfg80211_michael_mic_failure" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9e96bccc, "mutex_lock" },
	{ 0x8cea02d, "skb_push" },
	{ 0x4606b8e, "sdio_retune_crc_enable" },
	{ 0xa382ee78, "brcmu_pktq_flush" },
	{ 0xcc3b0465, "brcmu_pktq_peek_tail" },
	{ 0x30da0bc3, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0xab1cc525, "cfg80211_del_sta_sinfo" },
	{ 0x8b5b7435, "sdio_readl" },
	{ 0xf4e27755, "mmc_set_data_timeout" },
	{ 0xf00a075f, "nla_put" },
	{ 0x99724181, "register_netdev" },
	{ 0xd3d35878, "wiphy_unregister" },
	{ 0xa6156f67, "free_netdev" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x765cb53a, "of_property_read_string" },
	{ 0x6c6ad522, "wiphy_read_of_freq_limits" },
	{ 0x956ea999, "of_find_property" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfe7f35de, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x574ab000, "eth_platform_get_mac_address" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0x6e37c022, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x64daa623, "netif_tx_wake_queue" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xdcb764ad, "memset" },
	{ 0x5e623f23, "_dev_warn" },
	{ 0x54357a8, "brcmu_pktq_pdeq_match" },
	{ 0x7d760068, "cfg80211_vendor_cmd_reply" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x11d8dc03, "sdio_writel" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x1eb167f9, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x49defec3, "mmc_wait_for_req" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x94a84a2d, "__init_waitqueue_head" },
	{ 0x13a10ef5, "__pskb_pull_tail" },
	{ 0x7c5787b5, "netif_rx" },
	{ 0xadf59eab, "__netdev_alloc_skb" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x268d5fab, "rt_spin_unlock" },
	{ 0x87d5e7e3, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8514e418, "skb_trim" },
	{ 0x6036ba59, "rt_spin_lock" },
	{ 0xd7db8da8, "skb_unlink" },
	{ 0x1730f51c, "sdio_get_host_pm_caps" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbb7f5ad, "kthread_create_on_node" },
	{ 0x31b088be, "devm_kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6def6aab, "pm_runtime_forbid" },
	{ 0x5f7cf74, "debugfs_create_file" },
	{ 0x21db3147, "brcmu_pktq_mdeq" },
	{ 0xefc7e2fb, "cfg80211_unregister_wdev" },
	{ 0xc2131040, "pci_pme_capable" },
	{ 0x5761695c, "brcmu_pktq_penq" },
	{ 0xb4f1b45c, "dma_free_attrs" },
	{ 0x1b49b7a0, "pm_runtime_allow" },
	{ 0x999e8297, "vfree" },
	{ 0x3f9194f0, "__platform_driver_probe" },
	{ 0x13a0a78d, "of_device_is_compatible" },
	{ 0x53983a46, "cfg80211_rx_mgmt_ext" },
	{ 0x85df9b6c, "strsep" },
	{ 0x95647b2e, "usb_autopm_get_interface" },
	{ 0xb482edd5, "mutex_unlock" },
	{ 0x6760e67b, "brcmu_pktq_pdeq_tail" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8a3b6154, "driver_for_each_device" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xc310b981, "strnstr" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0xa8d5ec8a, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x803b1a9e, "netif_carrier_off" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0x716c0759, "netif_carrier_on" },
	{ 0x65fd72d, "brcmu_pkt_buf_get_skb" },
	{ 0x50618d98, "mmc_hw_reset" },
	{ 0x232d4703, "sdio_retune_release" },
	{ 0xb280a230, "sdio_claim_irq" },
	{ 0xa69faeb6, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x62c50f4, "pci_disable_device" },
	{ 0x2d50e447, "pci_match_id" },
	{ 0x32811780, "sdio_enable_func" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xea0912b1, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x19f7c2a8, "acpi_dev_get_property" },
	{ 0xf5596d89, "cfg80211_get_p2p_attr" },
	{ 0xc3f479a4, "send_sig" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x64ce2904, "cfg80211_inform_bss_data" },
	{ 0xe2ae9939, "kmalloc_trace" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xea124bd1, "gcd" },
	{ 0x8b4c0ba8, "irq_create_of_mapping" },
	{ 0x9dc81b52, "device_release_driver" },
	{ 0x98cf60b3, "strlen" },
	{ 0x788cbe70, "dev_kfree_skb_any_reason" },
	{ 0xfa15319, "param_ops_int" },
	{ 0x29c83b38, "of_find_node_opts_by_path" },
	{ 0x349cba85, "strchr" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x7d4361c4, "cfg80211_connect_done" },
	{ 0x7410aba2, "strreplace" },
	{ 0xceab0311, "strchrnul" },
	{ 0xa5a5f0c1, "wiphy_free" },
	{ 0xfa50e426, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x5de3ef7, "of_property_read_string_helper" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xdaf32537, "cfg80211_cqm_rssi_notify" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x335ad484, "pci_write_config_dword" },
	{ 0x95ececc5, "kmalloc_caches" },
	{ 0xd6217d91, "brcmu_d11_attach" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xfcc87d55, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa2d8a1f6, "sdio_readb" },
	{ 0x95b717cc, "sdio_writeb" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "brcmutil,cfg80211");

MODULE_ALIAS("sdio:c*v02D0dA887*");
MODULE_ALIAS("sdio:c*v02D0d4324*");
MODULE_ALIAS("sdio:c*v02D0d4329*");
MODULE_ALIAS("sdio:c*v02D0d4330*");
MODULE_ALIAS("sdio:c*v02D0d4334*");
MODULE_ALIAS("sdio:c*v02D0dA94C*");
MODULE_ALIAS("sdio:c*v02D0dA94D*");
MODULE_ALIAS("sdio:c*v02D0dA962*");
MODULE_ALIAS("sdio:c*v02D0dA9A4*");
MODULE_ALIAS("sdio:c*v02D0d4335*");
MODULE_ALIAS("sdio:c*v02D0d4339*");
MODULE_ALIAS("sdio:c*v02D0dA9A6*");
MODULE_ALIAS("sdio:c*v02D0dA9AF*");
MODULE_ALIAS("sdio:c*v02D0d4345*");
MODULE_ALIAS("sdio:c*v02D0dA9BF*");
MODULE_ALIAS("sdio:c*v02D0d4354*");
MODULE_ALIAS("sdio:c*v02D0d4356*");
MODULE_ALIAS("sdio:c*v02D0d4359*");
MODULE_ALIAS("sdio:c*v02D0d4373*");
MODULE_ALIAS("sdio:c*v02D0dA804*");
MODULE_ALIAS("sdio:c*v02D0dAAE8*");
MODULE_ALIAS("sdio:c*v02D0d4355*");
MODULE_ALIAS("sdio:c*v04B4dBD3D*");
MODULE_ALIAS("pci:v000014E4d000043A3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004355sv000014E4sd00004355bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004354sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043DCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043ECsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA31sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043E9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043EFsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA52sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004464sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004365sv000014E4sd00004365bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C4sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C5sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000440Dsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004415sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004488sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004425sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004433sv*sd*bc02sc80i*");
MODULE_ALIAS("usb:v0A5CpBD1Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD17d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD1Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD27d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4pBD29d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v043Ep3101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5Cp0BDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4p0BDCd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "95DDB395ACDD60904D2CA0D");
MODULE_INFO(rhelversion, "9.6");
