#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");
KSYMTAB_FUNC(to_nd_pfn, "", "");
KSYMTAB_FUNC(is_nd_pfn, "", "");
KSYMTAB_FUNC(nd_pfn_validate, "", "");
KSYMTAB_FUNC(nd_pfn_probe, "", "");
KSYMTAB_FUNC(nvdimm_setup_pfn, "_gpl", "");
KSYMTAB_FUNC(to_nd_dax, "", "");
KSYMTAB_FUNC(is_nd_dax, "", "");
KSYMTAB_FUNC(nd_dax_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0xe1423580, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0xf500cb99, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0x2537d852, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0xb4dc81a4, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0x9e911e2b, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0x010ee3dc, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0x976cb1ae, "_gpl");
SYMBOL_CRC(nd_device_notify, 0x730e8453, "");
SYMBOL_CRC(nvdimm_region_notify, 0x5d7a36af, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0x4c4bf14a, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0x749f661c, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0x5f25eea7, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0x126ed373, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0x60c25750, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0x65cbdfcb, "");
SYMBOL_CRC(nd_device_unregister, 0xb944f3e2, "");
SYMBOL_CRC(__nd_driver_register, 0xbb8bf5c5, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0x8de5d831, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0x2c8ed776, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0xa691bdf9, "_gpl");
SYMBOL_CRC(to_nvdimm, 0x1bb6e189, "_gpl");
SYMBOL_CRC(to_ndd, 0x625e6ec6, "");
SYMBOL_CRC(nvdimm_name, 0xf711eb99, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0xce83ddd2, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0x2a709cbb, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0xe7c417be, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0xdebea385, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0xc6f8666e, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0xf6e27d0a, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0x70f9f1c2, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0xdb711ad3, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0x52551af2, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0xa956d1ef, "_gpl");
SYMBOL_CRC(to_nd_region, 0x12c1d5ad, "_gpl");
SYMBOL_CRC(nd_region_dev, 0x60b3d197, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0x30eedced, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0x173aafb8, "");
SYMBOL_CRC(nd_region_acquire_lane, 0x004fd93d, "");
SYMBOL_CRC(nd_region_release_lane, 0x4ca202d2, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0x3c9bb95a, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0xb8995b2f, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0x6a690619, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0xc1a1217f, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0xfce11c68, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0xabb01539, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0x0d141f0c, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0x2a8b7d96, "");
SYMBOL_CRC(pmem_sector_size, 0x8863e7fe, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0x5578c30e, "");
SYMBOL_CRC(nd_dev_to_uuid, 0xaceeba87, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0x0bfd88e0, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0xf87a0fa5, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0xde7b6568, "");
SYMBOL_CRC(devm_namespace_enable, 0xb0f2ae8b, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0x161ce6bf, "_gpl");
SYMBOL_CRC(badrange_init, 0x2e7a2f36, "_gpl");
SYMBOL_CRC(badrange_add, 0x0ae0ef3b, "_gpl");
SYMBOL_CRC(badrange_forget, 0xe35b2645, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0x3c9637a9, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0x4f78d0f0, "");
SYMBOL_CRC(is_nd_btt, 0x27560d4d, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0xaa6ed59a, "");
SYMBOL_CRC(nd_btt_version, 0x074c4265, "");
SYMBOL_CRC(nd_btt_probe, 0x1e4dc79a, "");
SYMBOL_CRC(to_nd_pfn, 0x94422d4a, "");
SYMBOL_CRC(is_nd_pfn, 0x10a1a3ad, "");
SYMBOL_CRC(nd_pfn_validate, 0xaffcc246, "");
SYMBOL_CRC(nd_pfn_probe, 0xa05ca80f, "");
SYMBOL_CRC(nvdimm_setup_pfn, 0xb07756bc, "_gpl");
SYMBOL_CRC(to_nd_dax, 0xa6acf94c, "");
SYMBOL_CRC(is_nd_dax, 0x26a26767, "");
SYMBOL_CRC(nd_dax_probe, 0xe59b26b0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa5955d8e, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0x15bb892a, "ida_alloc_range" },
	{ 0x8313795b, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x88ead35d, "ida_destroy" },
	{ 0x83547558, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x77bc13a0, "strim" },
	{ 0x6ea5e41c, "devm_memremap" },
	{ 0xd7324dbc, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x811a20d0, "badblocks_set" },
	{ 0xdf68d96e, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x535791c4, "rt_mutex_base_init" },
	{ 0xfbd2a5bb, "finish_wait" },
	{ 0x4d95d6d1, "memcpy_flushcache" },
	{ 0xd055a1f, "class_destroy" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0xbcae9ec7, "device_initialize" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xb5f56cbd, "badblocks_exit" },
	{ 0x70cfe7ab, "device_for_each_child" },
	{ 0xb6597f13, "prepare_to_wait_event" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x3e53496, "__wake_up" },
	{ 0x5ecd9445, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x393ef53e, "__dynamic_dev_dbg" },
	{ 0xfe60c1ad, "kernfs_notify" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x1c7e05a0, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x20dce476, "__devm_request_region" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xce3a978c, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x30285f8, "put_device" },
	{ 0x5869976b, "badblocks_show" },
	{ 0x979ee7, "key_type_encrypted" },
	{ 0x618911fc, "numa_node" },
	{ 0x1ae40711, "_dev_info" },
	{ 0x8f284b3a, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x2639b732, "perf_pmu_migrate_context" },
	{ 0xd6ef3b59, "perf_pmu_register" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x34476382, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb7344, "memremap_compat_align" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xcff27e7f, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x7125ebfe, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xbbaea7c5, "__cpuhp_setup_state" },
	{ 0x7da7b1ab, "devm_memunmap" },
	{ 0xacce839d, "cpu_bit_bitmap" },
	{ 0x8d854ed2, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0xf0e8e1a, "noop_llseek" },
	{ 0x3463682b, "class_create" },
	{ 0x9e96bccc, "mutex_lock" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0xb2caf78a, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x5a921311, "strncmp" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x6f3bd942, "ida_free" },
	{ 0x4396af44, "driver_unregister" },
	{ 0x50db51df, "__cpuhp_state_add_instance" },
	{ 0x8b590cab, "perf_pmu_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5c11bfb4, "device_find_child" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x5e623f23, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x94a84a2d, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x268d5fab, "rt_spin_unlock" },
	{ 0xe9690b6d, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6036ba59, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0x8e0f4ec2, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xb482edd5, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xedbdc3a, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x8a489843, "__devm_release_region" },
	{ 0x7b9fa16c, "request_key_tag" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xfdc07f79, "kernfs_put" },
	{ 0x31b14ffe, "__register_chrdev" },
	{ 0x6f7766ca, "cpu_all_bits" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x8c32fad1, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x20f1d7cf, "badblocks_check" },
	{ 0xe2ae9939, "kmalloc_trace" },
	{ 0x72f8a3ff, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xf6a28554, "region_intersects" },
	{ 0x19329b4e, "badblocks_clear" },
	{ 0x1fc99e6c, "devm_init_badblocks" },
	{ 0x98cf60b3, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x9874bc10, "up_read" },
	{ 0x26bfbe2a, "driver_register" },
	{ 0xfa50e426, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xea90c90d, "__cpuhp_remove_state" },
	{ 0x58e49a6c, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x95ececc5, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x5b7b355, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9CAA6CCC1747B5FD58AB299");
MODULE_INFO(rhelversion, "9.6");
