#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(xhci_plat_probe, "_gpl", "");
KSYMTAB_FUNC(xhci_plat_remove, "_gpl", "");
KSYMTAB_DATA(xhci_plat_pm_ops, "_gpl", "");

SYMBOL_CRC(xhci_plat_probe, 0x976bcb70, "_gpl");
SYMBOL_CRC(xhci_plat_remove, 0xb804c126, "_gpl");
SYMBOL_CRC(xhci_plat_pm_ops, 0xa21fb400, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb37f3d3a, "device_property_present" },
	{ 0xca120fc3, "usb_hcd_platform_shutdown" },
	{ 0x459fc96c, "is_acpi_device_node" },
	{ 0x1e6ef5f5, "of_fwnode_ops" },
	{ 0xc88bb8b9, "device_set_wakeup_capable" },
	{ 0xa634a52a, "xhci_suspend" },
	{ 0x8b379ab6, "devm_platform_get_and_ioremap_resource" },
	{ 0xf787f766, "platform_driver_unregister" },
	{ 0xc8edeb70, "platform_get_irq" },
	{ 0x8cc83dd, "xhci_gen_setup" },
	{ 0x6b569fb7, "of_usb_host_tpl_support" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xedbeec2f, "devm_usb_get_phy_by_phandle" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x24fb583d, "devm_reset_control_array_get" },
	{ 0x8087e2fc, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x45c91586, "pm_runtime_enable" },
	{ 0xa77c394a, "device_property_read_u32_array" },
	{ 0xd5dcb1d5, "of_match_device" },
	{ 0x7125ebfe, "_dev_err" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x743273ba, "xhci_resume" },
	{ 0xc2d69de3, "xhci_run" },
	{ 0x1fc9d656, "usb_hcd_is_primary_hcd" },
	{ 0xe3461744, "xhci_init_driver" },
	{ 0x62620ea8, "usb_put_hcd" },
	{ 0xa564d5fb, "__platform_driver_register" },
	{ 0xccc82f06, "dma_set_coherent_mask" },
	{ 0x2d7df45e, "devm_clk_get_optional" },
	{ 0x6def6aab, "pm_runtime_forbid" },
	{ 0xc66caba3, "__pm_runtime_resume" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x816eca15, "__usb_create_hcd" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x929fe700, "dma_set_mask" },
	{ 0xf5c0dea8, "usb_remove_hcd" },
	{ 0xe696c253, "of_device_get_match_data" },
	{ 0x1dde9e89, "__pm_runtime_disable" },
	{ 0x40f4280d, "usb_add_hcd" },
	{ 0x815588a6, "clk_enable" },
	{ 0x943ac75c, "pci_bus_type" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:PNP0D10:*");
MODULE_ALIAS("of:N*T*Cgeneric-xhci");
MODULE_ALIAS("of:N*T*Cgeneric-xhciC*");
MODULE_ALIAS("of:N*T*Cxhci-platform");
MODULE_ALIAS("of:N*T*Cxhci-platformC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhciC*");
MODULE_ALIAS("of:N*T*Cbrcm,xhci-brcm-v2");
MODULE_ALIAS("of:N*T*Cbrcm,xhci-brcm-v2C*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2711-xhci");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2711-xhciC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-xhci");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-xhciC*");

MODULE_INFO(srcversion, "044A4149E96EAA7F4A72223");
MODULE_INFO(rhelversion, "9.6");
