#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_assign_device_set, "_gpl", "");
KSYMTAB_FUNC(vfio_device_set_open_count, "_gpl", "");
KSYMTAB_FUNC(vfio_find_device_in_devset, "_gpl", "");
KSYMTAB_FUNC(_vfio_alloc_device, "_gpl", "");
KSYMTAB_FUNC(vfio_register_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_emulated_iommu_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_mig_get_next_state, "_gpl", "");
KSYMTAB_FUNC(vfio_combine_iova_ranges, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_valid, "_gpl", "");
KSYMTAB_FUNC(vfio_file_enforced_coherent, "_gpl", "");
KSYMTAB_FUNC(vfio_file_set_kvm, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_add, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_shift, "", "");
KSYMTAB_FUNC(vfio_info_add_capability, "", "");
KSYMTAB_FUNC(vfio_set_irqs_validate_and_prepare, "", "");
KSYMTAB_FUNC(vfio_pin_pages, "", "");
KSYMTAB_FUNC(vfio_unpin_pages, "", "");
KSYMTAB_FUNC(vfio_dma_rw, "", "");
KSYMTAB_FUNC(vfio_file_iommu_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_has_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_flush_thread, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_device_ictx, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_get_dev_id, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_detach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_detach_ioas, "_gpl", "");

SYMBOL_CRC(vfio_assign_device_set, 0x4cee567a, "_gpl");
SYMBOL_CRC(vfio_device_set_open_count, 0x0aa1027a, "_gpl");
SYMBOL_CRC(vfio_find_device_in_devset, 0x7f172469, "_gpl");
SYMBOL_CRC(_vfio_alloc_device, 0x76df6db4, "_gpl");
SYMBOL_CRC(vfio_register_group_dev, 0xea9ca42a, "_gpl");
SYMBOL_CRC(vfio_register_emulated_iommu_dev, 0x285123c3, "_gpl");
SYMBOL_CRC(vfio_unregister_group_dev, 0x3a7ee2ed, "_gpl");
SYMBOL_CRC(vfio_mig_get_next_state, 0x85a8e375, "_gpl");
SYMBOL_CRC(vfio_combine_iova_ranges, 0x6e2aa0f0, "_gpl");
SYMBOL_CRC(vfio_file_is_valid, 0x00782bf7, "_gpl");
SYMBOL_CRC(vfio_file_enforced_coherent, 0x7334fea5, "_gpl");
SYMBOL_CRC(vfio_file_set_kvm, 0x3262ca36, "_gpl");
SYMBOL_CRC(vfio_info_cap_add, 0x60a634c4, "_gpl");
SYMBOL_CRC(vfio_info_cap_shift, 0x19567d06, "");
SYMBOL_CRC(vfio_info_add_capability, 0x6c28be5a, "");
SYMBOL_CRC(vfio_set_irqs_validate_and_prepare, 0xadc044b7, "");
SYMBOL_CRC(vfio_pin_pages, 0xe2d9689c, "");
SYMBOL_CRC(vfio_unpin_pages, 0x5ce0ba09, "");
SYMBOL_CRC(vfio_dma_rw, 0x4505b513, "");
SYMBOL_CRC(vfio_file_iommu_group, 0x7da13ed2, "_gpl");
SYMBOL_CRC(vfio_file_is_group, 0xf64927a2, "_gpl");
SYMBOL_CRC(vfio_file_has_dev, 0x283ba6bb, "_gpl");
SYMBOL_CRC(vfio_register_iommu_driver, 0x6427845f, "_gpl");
SYMBOL_CRC(vfio_unregister_iommu_driver, 0x861ffee4, "_gpl");
SYMBOL_CRC(vfio_virqfd_enable, 0xa015131b, "_gpl");
SYMBOL_CRC(vfio_virqfd_disable, 0x05d6b066, "_gpl");
SYMBOL_CRC(vfio_virqfd_flush_thread, 0x61c91cfb, "_gpl");
SYMBOL_CRC(vfio_iommufd_device_ictx, 0x3c58637a, "_gpl");
SYMBOL_CRC(vfio_iommufd_get_dev_id, 0xa695b0c2, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_bind, 0x9d27d758, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_unbind, 0xf7de4cd7, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_attach_ioas, 0x4523c8e8, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_detach_ioas, 0x27119ed3, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_bind, 0x9459e885, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_unbind, 0xaf358765, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_attach_ioas, 0x0d8d2bda, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_detach_ioas, 0x3b8f44bd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0xc7c6e184, "iommufd_vfio_compat_ioas_get_id" },
	{ 0x136f1499, "iommufd_access_unpin_pages" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x15bb892a, "ida_alloc_range" },
	{ 0x4d6d0bbc, "iommu_group_ref_get" },
	{ 0x8313795b, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xac996f9b, "anon_inode_getfile" },
	{ 0x27e1cf3c, "__init_rwsem" },
	{ 0xd3e8bd4c, "alloc_anon_inode" },
	{ 0xd1d041c1, "misc_deregister" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xc6eb3911, "iommufd_access_detach" },
	{ 0x88ead35d, "ida_destroy" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd7324dbc, "dev_set_name" },
	{ 0xbcdd5b99, "iommu_group_set_name" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x98b6f646, "cdev_device_del" },
	{ 0x60c2488b, "iommu_group_get" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x535791c4, "rt_mutex_base_init" },
	{ 0xd055a1f, "class_destroy" },
	{ 0xf5a067bf, "iommu_group_dma_owner_claimed" },
	{ 0x2f57490d, "__xa_erase" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0xbcae9ec7, "device_initialize" },
	{ 0xb08b102b, "iommufd_device_attach" },
	{ 0xd11be8d, "fd_install" },
	{ 0x8d22bb58, "iommu_group_alloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2cf050d3, "iommufd_access_pin_pages" },
	{ 0xce3c01e6, "iput" },
	{ 0xda1913ff, "add_wait_queue" },
	{ 0xa50a890f, "iommufd_ctx_from_fd" },
	{ 0xecaf5e2b, "iommufd_access_replace" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0x393ef53e, "__dynamic_dev_dbg" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x264f7451, "iommufd_vfio_compat_set_no_iommu" },
	{ 0xe008fdd4, "iommufd_vfio_compat_ioas_create" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x92997ed8, "_printk" },
	{ 0xbb166cd9, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x30285f8, "put_device" },
	{ 0x21f19afe, "iommufd_ctx_from_file" },
	{ 0x1ae40711, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xc6cbbc89, "capable" },
	{ 0x8f284b3a, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xe3e423ac, "iommu_group_release_dma_owner" },
	{ 0xcde30889, "fput" },
	{ 0x16ca47be, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0x380f5788, "up_write" },
	{ 0x8d854ed2, "device_add" },
	{ 0x5f0c7d1f, "xa_load" },
	{ 0x1f243268, "iommufd_access_attach" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x3463682b, "class_create" },
	{ 0xe4cba9a0, "iommufd_device_bind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9e96bccc, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0x6f3bd942, "ida_free" },
	{ 0x28dac1d0, "iommufd_access_rw" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x4c60edb2, "device_del" },
	{ 0xdcb764ad, "memset" },
	{ 0x5e623f23, "_dev_warn" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0x44e68043, "iommufd_access_destroy" },
	{ 0x21a99656, "misc_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x268d5fab, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe9690b6d, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6036ba59, "rt_spin_lock" },
	{ 0x405b6c10, "__xa_cmpxchg" },
	{ 0x17739b50, "iommufd_device_to_id" },
	{ 0x43e9c473, "init_pseudo" },
	{ 0x8a887389, "iommufd_device_to_ictx" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xc66caba3, "__pm_runtime_resume" },
	{ 0xb482edd5, "mutex_unlock" },
	{ 0xedbdc3a, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x1c5d8e0c, "xa_destroy" },
	{ 0x2acd6f0c, "iommufd_ctx_put" },
	{ 0xd0a46b02, "iommufd_access_create" },
	{ 0xcc9d36c, "iommu_group_claim_dma_owner" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x7c78e5dd, "iommufd_device_detach" },
	{ 0x7e8963b9, "device_iommu_capable" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2c60c4f3, "simple_release_fs" },
	{ 0x4d2a2b1a, "kill_anon_super" },
	{ 0xe2ae9939, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x926538e0, "iommufd_device_unbind" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe18cddf, "iommufd_ctx_has_group" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0xbcb42517, "iommu_group_add_device" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0x9874bc10, "up_read" },
	{ 0xfa50e426, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x56a912a8, "__pm_runtime_idle" },
	{ 0x5c2b546e, "cdev_init" },
	{ 0x8709fb59, "iommufd_device_replace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6a2f45ad, "eventfd_ctx_fileget" },
	{ 0x95ececc5, "kmalloc_caches" },
	{ 0xb9e8de53, "iommu_group_remove_device" },
	{ 0x30214ee1, "simple_pin_fs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "iommufd");


MODULE_INFO(srcversion, "80C08A9AB5DF09EA0863245");
MODULE_INFO(rhelversion, "9.6");
