#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vhost_work_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_start, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_flush, "_gpl", "");
KSYMTAB_FUNC(vhost_work_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_has_work, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_is_setup, "_gpl", "");
KSYMTAB_FUNC(vhost_exceeds_weight, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_init, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_check_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_has_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_set_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner_prepare, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_clear_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_cleanup, "_gpl", "");
KSYMTAB_FUNC(vhost_chr_write_iter, "", "");
KSYMTAB_FUNC(vhost_chr_poll, "", "");
KSYMTAB_FUNC(vhost_chr_read_iter, "_gpl", "");
KSYMTAB_FUNC(vq_meta_prefetch, "_gpl", "");
KSYMTAB_FUNC(vhost_log_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vring_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_init_device_iotlb, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_log_write, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_init_access, "_gpl", "");
KSYMTAB_FUNC(vhost_get_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_discard_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_n, "_gpl", "");
KSYMTAB_FUNC(vhost_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal_n, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_avail_empty, "_gpl", "");
KSYMTAB_FUNC(vhost_enable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_disable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_new_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_enqueue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dequeue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_set_backend_features, "_gpl", "");

SYMBOL_CRC(vhost_work_init, 0xa909cfc5, "_gpl");
SYMBOL_CRC(vhost_poll_init, 0xa4fa7bd7, "_gpl");
SYMBOL_CRC(vhost_poll_start, 0x67cc3335, "_gpl");
SYMBOL_CRC(vhost_poll_stop, 0xfe93f483, "_gpl");
SYMBOL_CRC(vhost_dev_flush, 0x36713cf5, "_gpl");
SYMBOL_CRC(vhost_work_queue, 0x2c4dff82, "_gpl");
SYMBOL_CRC(vhost_has_work, 0xb0aefe42, "_gpl");
SYMBOL_CRC(vhost_poll_queue, 0x1ca6e857, "_gpl");
SYMBOL_CRC(vhost_vq_is_setup, 0xe1ca25b0, "_gpl");
SYMBOL_CRC(vhost_exceeds_weight, 0x1cc40f70, "_gpl");
SYMBOL_CRC(vhost_dev_init, 0xa512f1e4, "_gpl");
SYMBOL_CRC(vhost_dev_check_owner, 0x4dd21508, "_gpl");
SYMBOL_CRC(vhost_dev_has_owner, 0x45ff5581, "_gpl");
SYMBOL_CRC(vhost_dev_set_owner, 0x4d622329, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner_prepare, 0xfd2b3e45, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner, 0x3e4cc6b9, "_gpl");
SYMBOL_CRC(vhost_dev_stop, 0x78adaea2, "_gpl");
SYMBOL_CRC(vhost_clear_msg, 0x4f36aabc, "_gpl");
SYMBOL_CRC(vhost_dev_cleanup, 0x2a1c7f80, "_gpl");
SYMBOL_CRC(vhost_chr_write_iter, 0x5c1ab7cf, "");
SYMBOL_CRC(vhost_chr_poll, 0x470c7a33, "");
SYMBOL_CRC(vhost_chr_read_iter, 0xb16343c5, "_gpl");
SYMBOL_CRC(vq_meta_prefetch, 0xc61d4e34, "_gpl");
SYMBOL_CRC(vhost_log_access_ok, 0xcdb07a8a, "_gpl");
SYMBOL_CRC(vhost_vq_access_ok, 0x155ede33, "_gpl");
SYMBOL_CRC(vhost_vring_ioctl, 0xb42748e2, "_gpl");
SYMBOL_CRC(vhost_init_device_iotlb, 0x37128e35, "_gpl");
SYMBOL_CRC(vhost_dev_ioctl, 0x6ba1632e, "_gpl");
SYMBOL_CRC(vhost_log_write, 0x53fea4a3, "_gpl");
SYMBOL_CRC(vhost_vq_init_access, 0x7e73cf3b, "_gpl");
SYMBOL_CRC(vhost_get_vq_desc, 0x86a6d9df, "_gpl");
SYMBOL_CRC(vhost_discard_vq_desc, 0x3a469869, "_gpl");
SYMBOL_CRC(vhost_add_used, 0xb87b05a4, "_gpl");
SYMBOL_CRC(vhost_add_used_n, 0x5c520e9b, "_gpl");
SYMBOL_CRC(vhost_signal, 0x366c8402, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal, 0x52d6c491, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal_n, 0x0af0f9f5, "_gpl");
SYMBOL_CRC(vhost_vq_avail_empty, 0x8a8f535a, "_gpl");
SYMBOL_CRC(vhost_enable_notify, 0xb3ed7ea7, "_gpl");
SYMBOL_CRC(vhost_disable_notify, 0x1805837a, "_gpl");
SYMBOL_CRC(vhost_new_msg, 0x104bf1ea, "_gpl");
SYMBOL_CRC(vhost_enqueue_msg, 0x9c752963, "_gpl");
SYMBOL_CRC(vhost_dequeue_msg, 0x3fff1d45, "_gpl");
SYMBOL_CRC(vhost_set_backend_features, 0xe8d3ee90, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xda1913ff, "add_wait_queue" },
	{ 0xea0912b1, "remove_wait_queue" },
	{ 0xa6257a2f, "complete" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x16295895, "wake_up_process" },
	{ 0xdcb764ad, "memset" },
	{ 0xe7059735, "cgroup_attach_task_all" },
	{ 0x50f02615, "mmput" },
	{ 0xc3843717, "__mmdrop" },
	{ 0xc577832d, "vhost_iotlb_alloc" },
	{ 0x9e96bccc, "mutex_lock" },
	{ 0xb482edd5, "mutex_unlock" },
	{ 0xa24517eb, "vhost_iotlb_free" },
	{ 0x6036ba59, "rt_spin_lock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x268d5fab, "rt_spin_unlock" },
	{ 0x3e53496, "__wake_up" },
	{ 0x535791c4, "rt_mutex_base_init" },
	{ 0xfa50e426, "__mutex_rt_init" },
	{ 0x94a84a2d, "__init_waitqueue_head" },
	{ 0x8b6b0dde, "pin_user_pages_fast" },
	{ 0x49608959, "migrate_disable" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xf253e597, "unpin_user_pages_dirty_lock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6dffe060, "kthread_use_mm" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x53444294, "kthread_unuse_mm" },
	{ 0x1000e51, "schedule" },
	{ 0x95ececc5, "kmalloc_caches" },
	{ 0xe2ae9939, "kmalloc_trace" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x37a0cba, "kfree" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xcde30889, "fput" },
	{ 0xfe7f35de, "kthread_stop" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0x820048af, "iov_iter_init" },
	{ 0xc1fc00e1, "_copy_from_iter" },
	{ 0x65320e91, "iov_iter_revert" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x180f9fbc, "_copy_to_iter" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x4e8f118f, "prepare_to_wait" },
	{ 0xfbd2a5bb, "finish_wait" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x143a0139, "get_task_mm" },
	{ 0xbb7f5ad, "kthread_create_on_node" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x38ff875f, "vhost_iotlb_add_range" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x6bec0e66, "vhost_iotlb_del_range" },
	{ 0xf8555834, "iov_iter_advance" },
	{ 0x1cb21607, "eventfd_fget" },
	{ 0xfa15319, "param_ops_int" },
	{ 0x82e82918, "param_ops_ushort" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "vhost_iotlb");


MODULE_INFO(srcversion, "A06B65E43EBA4F51635802B");
MODULE_INFO(rhelversion, "9.6");
