#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_dst_lookup, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0xa35b55e3, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0x50167b17, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0x744becec, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0xd94533b7, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0x38deb461, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0xada1e2bb, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0x0303445b, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0x470b8cdc, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0xc8e402e2, "_gpl");
SYMBOL_CRC(udp_tunnel_dst_lookup, 0x7c806d45, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xab15a4a9, "dst_cache_set_ip4" },
	{ 0xbf4a4089, "kernel_bind" },
	{ 0xbe53212a, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0x2bf91b7e, "netdev_warn" },
	{ 0xd505c1cc, "udp_tunnel_nic_ops" },
	{ 0xb8a7b240, "ip_route_output_flow" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x9b4053b2, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0x1bd5674a, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe09fab0e, "iptunnel_xmit" },
	{ 0xf00a075f, "nla_put" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xcc8206d4, "kernel_connect" },
	{ 0xdcb764ad, "memset" },
	{ 0x8514e418, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x9a83633c, "__dynamic_netdev_dbg" },
	{ 0xc8256b34, "dst_cache_get_ip4" },
	{ 0x1c47b7d, "sock_create_kern" },
	{ 0xcf63e095, "call_netdevice_notifiers" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xda0061ac, "metadata_dst_alloc" },
	{ 0xfa1d2218, "dst_release" },
	{ 0xf560a813, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa228ff6, "sock_bindtoindex" },
	{ 0xe2ae9939, "kmalloc_trace" },
	{ 0x349cba85, "strchr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x95ececc5, "kmalloc_caches" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CE2A033F72E009555B376EA");
MODULE_INFO(rhelversion, "9.6");
