#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0xbcea3bf7, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0xe9f18a58, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x4ed37da4, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0xd6e686f6, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x98aa81b7, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x9f798bc1, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0xcc5a4767, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x501dab93, "");
SYMBOL_CRC(ip_vs_conn_put, 0x7b31b2ab, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0xba46e561, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x3c1a113f, "");
SYMBOL_CRC(register_ip_vs_app, 0x9f84f378, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x8b2649e9, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x499eeba6, "");
SYMBOL_CRC(ip_vs_proto_get, 0x9a229aa2, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x5815de7e, "");
SYMBOL_CRC(register_ip_vs_pe, 0x86a76a3d, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0xcd70d791, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0xfc69c1ad, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5befe0e7, "nf_ct_ext_add" },
	{ 0x2c2fc8d, "nf_conntrack_find_get" },
	{ 0x8313795b, "try_module_get" },
	{ 0xc4c84dc5, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x2f75e65a, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xe25e1cde, "skb_copy_bits" },
	{ 0x2bfff88e, "xfrm_lookup" },
	{ 0xdb1e9157, "proc_dointvec_jiffies" },
	{ 0xba23f9a2, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa797f98c, "consume_skb" },
	{ 0xbba12f1c, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x7cf86232, "mod_timer_pending" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1ceb963e, "nf_register_sockopt" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xf116be4a, "nf_ct_netns_get" },
	{ 0x535791c4, "rt_mutex_base_init" },
	{ 0xfbd2a5bb, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xbf4a4089, "kernel_bind" },
	{ 0x1fab26b4, "genlmsg_put" },
	{ 0xbe53212a, "udp_set_csum" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31c125d2, "ip6_route_me_harder" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb6597f13, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xffba7adb, "__module_get" },
	{ 0xb8a7b240, "ip_route_output_flow" },
	{ 0x2b42ebce, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xb3a18586, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0x5eb00ae7, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x91d936ea, "proc_create_net_data" },
	{ 0x2e8f0cd7, "pskb_expand_head" },
	{ 0x50ce4dc0, "register_pernet_subsys" },
	{ 0x16295895, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x4582c376, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xd6c5bdfd, "nf_register_net_hooks" },
	{ 0x2b4d6ed2, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0x53ca8f0d, "__alloc_skb" },
	{ 0xdd651d70, "kmem_cache_alloc" },
	{ 0x6c8d46f9, "ipv6_sock_mc_join" },
	{ 0x8f284b3a, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0xd2a7ca02, "ipv6_dev_get_saddr" },
	{ 0x9cb4f41c, "__skb_get_hash_net" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x9c8a07cb, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xf8a64594, "sk_skb_reason_drop" },
	{ 0x62a9b6fd, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x2cd98830, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x7296bf6e, "nf_conntrack_alter_reply" },
	{ 0x12eb7238, "ip_route_me_harder" },
	{ 0x9e96bccc, "mutex_lock" },
	{ 0x8cea02d, "skb_push" },
	{ 0x123b1f6a, "kmem_cache_free" },
	{ 0xed5de40a, "seq_putc" },
	{ 0xf00a075f, "nla_put" },
	{ 0x2630ea35, "proc_doulongvec_minmax" },
	{ 0xb440d5e0, "nf_ct_expect_alloc" },
	{ 0x101293ce, "skb_ensure_writable" },
	{ 0x9e0bfdb1, "iov_iter_kvec" },
	{ 0x4cba5ed1, "ip_mc_join_group" },
	{ 0xf54ffa3d, "nf_ct_expect_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7139d111, "ns_capable" },
	{ 0xc36f33ae, "nf_unregister_net_hooks" },
	{ 0xf5c3ca82, "inet_select_addr" },
	{ 0x4881882, "unregister_pernet_device" },
	{ 0x52c34b71, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xe67ef8fc, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfe7f35de, "kthread_stop" },
	{ 0x2592d4b6, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa9363661, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xcc8206d4, "kernel_connect" },
	{ 0xcb96a14b, "skb_checksum" },
	{ 0xdcb764ad, "memset" },
	{ 0x4c0b7562, "ip_defrag" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xcb28d918, "__icmpv6_send" },
	{ 0x13a10ef5, "__pskb_pull_tail" },
	{ 0x73f90c11, "nf_ct_delete" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x268d5fab, "rt_spin_unlock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8514e418, "skb_trim" },
	{ 0x25c649a, "nf_hook_slow" },
	{ 0xa42d38c9, "mutex_trylock" },
	{ 0x6036ba59, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbb7f5ad, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x25764b81, "nf_ct_deliver_cached_events" },
	{ 0x85a088df, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe0a30151, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x47411456, "__icmp_send" },
	{ 0x999e8297, "vfree" },
	{ 0xe005cd41, "skb_set_owner_w" },
	{ 0xfb2165ed, "__skb_checksum" },
	{ 0xb482edd5, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x1c47b7d, "sock_create_kern" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x6fb07ac, "init_user_ns" },
	{ 0xc0431f1d, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8d3febd4, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xeef7094f, "seq_printf" },
	{ 0x8d4e6394, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x37430bfd, "proc_create_net_single" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x3232bc02, "ipv4_update_pmtu" },
	{ 0x36bb594e, "nf_defrag_ipv6_enable" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xfa1d2218, "dst_release" },
	{ 0xf560a813, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xde55f11f, "proc_dointvec" },
	{ 0xac83c810, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xa038e4b, "unregister_net_sysctl_table" },
	{ 0xbf19cbb5, "ip_local_out" },
	{ 0x15598f87, "genl_unregister_family" },
	{ 0xe2ae9939, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0xecbae085, "udp6_set_csum" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xfa15319, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x82eda248, "genl_register_family" },
	{ 0xf106e87e, "kernel_sendmsg" },
	{ 0xbe7370d3, "nf_ct_netns_put" },
	{ 0xfd706323, "register_pernet_device" },
	{ 0xfa50e426, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x95ececc5, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd22bd67a, "kmem_cache_destroy" },
	{ 0xf5c04ea, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd8703503, "proc_dointvec_minmax" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,ipv6,nf_defrag_ipv6");


MODULE_INFO(srcversion, "5EAFA4B39E8688083125DED");
MODULE_INFO(rhelversion, "9.6");
