#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(flow_offload_alloc, "_gpl", "");
KSYMTAB_FUNC(flow_offload_route_init, "_gpl", "");
KSYMTAB_FUNC(flow_offload_free, "_gpl", "");
KSYMTAB_FUNC(flow_offload_add, "_gpl", "");
KSYMTAB_FUNC(flow_offload_refresh, "_gpl", "");
KSYMTAB_FUNC(flow_offload_teardown, "_gpl", "");
KSYMTAB_FUNC(flow_offload_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_snat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_dnat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_init, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_cleanup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_free, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ip_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ipv6_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_offload_setup, "_gpl", "");

SYMBOL_CRC(flow_offload_alloc, 0x1880a767, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0xd1ad583c, "_gpl");
SYMBOL_CRC(flow_offload_free, 0xfb678e32, "_gpl");
SYMBOL_CRC(flow_offload_add, 0xf7f7ced6, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0xb368838e, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0x71147c10, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0x7f7c532f, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0xbbe52b23, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0xe410532d, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0x102cc34b, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0xd0b41693, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0xe9fbb42d, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0xf2857153, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0x9b1cc976, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0x795c7006, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0x0a8127d8, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0x231bae34, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x605a3284, "flow_rule_alloc" },
	{ 0x27e1cf3c, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x7c4a20b8, "skb_gso_validate_network_len" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x834a980e, "neigh_xmit" },
	{ 0xf68cb622, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x38bd64a1, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xa59ada46, "rhashtable_walk_enter" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x91d936ea, "proc_create_net_data" },
	{ 0x2e8f0cd7, "pskb_expand_head" },
	{ 0x50ce4dc0, "register_pernet_subsys" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x16ca47be, "down_write" },
	{ 0x380f5788, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x35014501, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6d6945b9, "dev_get_by_index" },
	{ 0xcf407d58, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9e96bccc, "mutex_lock" },
	{ 0xfadf1023, "rhashtable_walk_start_check" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa7705f54, "flow_indr_dev_setup_offload" },
	{ 0x37fe2a95, "rhashtable_walk_stop" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xa9363661, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x9a2c7570, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x13a10ef5, "__pskb_pull_tail" },
	{ 0x917eaf8f, "rhashtable_destroy" },
	{ 0xe9690b6d, "down_read" },
	{ 0x5676405e, "inet_proto_csum_replace16" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe4e1a0ed, "rhashtable_insert_slow" },
	{ 0x51f812ab, "rt_read_lock" },
	{ 0xb25cce27, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x24ee8da4, "neigh_destroy" },
	{ 0xb482edd5, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x61067a4d, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x1fb7bf86, "rt_read_unlock" },
	{ 0x8d3febd4, "remove_proc_entry" },
	{ 0x83a3fa3e, "nf_ct_acct_add" },
	{ 0xeef7094f, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xfa1d2218, "dst_release" },
	{ 0x94dfa456, "nf_ct_l4proto_find" },
	{ 0xac83c810, "seq_puts" },
	{ 0xc81343cb, "rhashtable_walk_next" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe2ae9939, "kmalloc_trace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x9874bc10, "up_read" },
	{ 0x50100052, "rhashtable_walk_exit" },
	{ 0x95ececc5, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "DCF04ED4AAF51C5552BBA3C");
MODULE_INFO(rhelversion, "9.6");
