#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nft_do_chain, "_gpl", "");
KSYMTAB_FUNC(nft_request_module, "_gpl", "");
KSYMTAB_FUNC(nft_register_chain_type, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_chain_type, "_gpl", "");
KSYMTAB_FUNC(nft_register_expr, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_expr, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate, "_gpl", "");
KSYMTAB_FUNC(nft_set_lookup_global, "_gpl", "");
KSYMTAB_FUNC(nf_tables_bind_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_activate_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_deactivate_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_destroy_set, "_gpl", "");
KSYMTAB_FUNC(nft_set_elem_destroy, "_gpl", "");
KSYMTAB_FUNC(nft_set_catchall_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_register_obj, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_obj, "_gpl", "");
KSYMTAB_FUNC(nft_obj_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_obj_notify, "_gpl", "");
KSYMTAB_FUNC(nft_register_flowtable_type, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_flowtable_type, "_gpl", "");
KSYMTAB_FUNC(nft_flowtable_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_tables_deactivate_flowtable, "_gpl", "");
KSYMTAB_FUNC(nf_tables_trans_destroy_flush_work, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate_dependency, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate_hooks, "_gpl", "");
KSYMTAB_FUNC(nft_parse_u32_check, "_gpl", "");
KSYMTAB_FUNC(nft_dump_register, "_gpl", "");
KSYMTAB_FUNC(nft_parse_register_load, "_gpl", "");
KSYMTAB_FUNC(nft_parse_register_store, "_gpl", "");
KSYMTAB_FUNC(nft_data_init, "_gpl", "");
KSYMTAB_FUNC(nft_data_release, "_gpl", "");
KSYMTAB_FUNC(nft_data_dump, "_gpl", "");
KSYMTAB_FUNC(__nft_release_basechain, "_gpl", "");
KSYMTAB_DATA(nft_trace_enabled, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_eval, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_eval, "_gpl", "");
KSYMTAB_DATA(nft_meta_policy, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_init, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_validate, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_init, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_dump, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_dump, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_destroy, "_gpl", "");
KSYMTAB_FUNC(nft_meta_inner_eval, "_gpl", "");

SYMBOL_CRC(nft_do_chain, 0x61869843, "_gpl");
SYMBOL_CRC(nft_request_module, 0xc6b12b7f, "_gpl");
SYMBOL_CRC(nft_register_chain_type, 0xdc42b201, "_gpl");
SYMBOL_CRC(nft_unregister_chain_type, 0x443fb38d, "_gpl");
SYMBOL_CRC(nft_register_expr, 0x6a6d79ff, "_gpl");
SYMBOL_CRC(nft_unregister_expr, 0xdfbe3b47, "_gpl");
SYMBOL_CRC(nft_chain_validate, 0xcff48508, "_gpl");
SYMBOL_CRC(nft_set_lookup_global, 0xdcd00bfa, "_gpl");
SYMBOL_CRC(nf_tables_bind_set, 0x1e4bf903, "_gpl");
SYMBOL_CRC(nf_tables_activate_set, 0xb1b3206c, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_set, 0x575bf6d5, "_gpl");
SYMBOL_CRC(nf_tables_destroy_set, 0xe9b53081, "_gpl");
SYMBOL_CRC(nft_set_elem_destroy, 0x45e0c97b, "_gpl");
SYMBOL_CRC(nft_set_catchall_lookup, 0x0686fca8, "_gpl");
SYMBOL_CRC(nft_register_obj, 0x1bc0f0ee, "_gpl");
SYMBOL_CRC(nft_unregister_obj, 0x56a93db6, "_gpl");
SYMBOL_CRC(nft_obj_lookup, 0xe4b784fe, "_gpl");
SYMBOL_CRC(nft_obj_notify, 0xfc89964d, "_gpl");
SYMBOL_CRC(nft_register_flowtable_type, 0x2a31fad2, "_gpl");
SYMBOL_CRC(nft_unregister_flowtable_type, 0x224d6d7e, "_gpl");
SYMBOL_CRC(nft_flowtable_lookup, 0x1a1c033a, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_flowtable, 0x0f3f6bc7, "_gpl");
SYMBOL_CRC(nf_tables_trans_destroy_flush_work, 0x3251d762, "_gpl");
SYMBOL_CRC(nft_chain_validate_dependency, 0xf4e42a9c, "_gpl");
SYMBOL_CRC(nft_chain_validate_hooks, 0x6bd7d260, "_gpl");
SYMBOL_CRC(nft_parse_u32_check, 0xde57b5f5, "_gpl");
SYMBOL_CRC(nft_dump_register, 0xf23c6562, "_gpl");
SYMBOL_CRC(nft_parse_register_load, 0xe2b8cc13, "_gpl");
SYMBOL_CRC(nft_parse_register_store, 0xdaeb6a66, "_gpl");
SYMBOL_CRC(nft_data_init, 0x2cd4b743, "_gpl");
SYMBOL_CRC(nft_data_release, 0x193665a9, "_gpl");
SYMBOL_CRC(nft_data_dump, 0xb6adffde, "_gpl");
SYMBOL_CRC(__nft_release_basechain, 0x8f836b00, "_gpl");
SYMBOL_CRC(nft_trace_enabled, 0x41b71e65, "_gpl");
SYMBOL_CRC(nft_meta_get_eval, 0x578dea29, "_gpl");
SYMBOL_CRC(nft_meta_set_eval, 0xcebcb27f, "_gpl");
SYMBOL_CRC(nft_meta_policy, 0xb4e0fdb6, "_gpl");
SYMBOL_CRC(nft_meta_get_init, 0x9b9af682, "_gpl");
SYMBOL_CRC(nft_meta_set_validate, 0xf05d9885, "_gpl");
SYMBOL_CRC(nft_meta_set_init, 0xd52d83ef, "_gpl");
SYMBOL_CRC(nft_meta_get_dump, 0x564b080c, "_gpl");
SYMBOL_CRC(nft_meta_set_dump, 0xb15633bf, "_gpl");
SYMBOL_CRC(nft_meta_set_destroy, 0x35de15a3, "_gpl");
SYMBOL_CRC(nft_meta_inner_eval, 0x0e280867, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7a86d591, "__do_once_done" },
	{ 0xc1135ab0, "__netlink_dump_start" },
	{ 0x605a3284, "flow_rule_alloc" },
	{ 0x8313795b, "try_module_get" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x5afc722e, "__audit_log_nfcfg" },
	{ 0xe25e1cde, "skb_copy_bits" },
	{ 0x37771cbc, "__nlmsg_put" },
	{ 0x29cf1627, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8e92f7c4, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xedbaee5e, "nla_strcmp" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3c7828cb, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7a53a06d, "flow_indr_dev_exists" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x535791c4, "rt_mutex_base_init" },
	{ 0x2c82c36a, "security_secmark_relabel_packet" },
	{ 0x4952309c, "nfnetlink_set_err" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6d7c7dcc, "bitmap_cut" },
	{ 0xf68cb622, "flow_block_cb_free" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe947f28c, "nfnetlink_subsys_register" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x38bd64a1, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xffba7adb, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0xa59ada46, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x5eb00ae7, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x50ce4dc0, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xfa04c6df, "__ip_options_compile" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xec770bc0, "nf_route" },
	{ 0xa916b694, "strnlen" },
	{ 0x53ca8f0d, "__alloc_skb" },
	{ 0x77334863, "nf_ipv6_ops" },
	{ 0x618911fc, "numa_node" },
	{ 0x1bbe4e10, "rt_write_unlock" },
	{ 0x8f284b3a, "module_put" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xe427a0d8, "nf_unregister_net_hook" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xa603e30e, "nf_register_net_hook" },
	{ 0x9cb4f41c, "__skb_get_hash_net" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x19bd383b, "security_secmark_refcount_dec" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf8a64594, "sk_skb_reason_drop" },
	{ 0x12eb7238, "ip_route_me_harder" },
	{ 0xe34e7849, "skb_store_bits" },
	{ 0xcf407d58, "dev_get_by_index_rcu" },
	{ 0x9e96bccc, "mutex_lock" },
	{ 0xf110da20, "nfnetlink_unicast" },
	{ 0xf00a075f, "nla_put" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x101293ce, "skb_ensure_writable" },
	{ 0xc0ff12fb, "nla_strdup" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xfadf1023, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa7705f54, "flow_indr_dev_setup_offload" },
	{ 0x37fe2a95, "rhashtable_walk_stop" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x838d2bc8, "siphash_3u32" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xa9363661, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x30e18e33, "rhashtable_free_and_destroy" },
	{ 0xcb96a14b, "skb_checksum" },
	{ 0xdcb764ad, "memset" },
	{ 0x92ec510d, "jiffies64_to_msecs" },
	{ 0x9a2c7570, "rht_bucket_nested_insert" },
	{ 0xa6679004, "nfnetlink_send" },
	{ 0x14429285, "__get_task_comm" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x13a10ef5, "__pskb_pull_tail" },
	{ 0xece784c2, "rb_first" },
	{ 0x7db08d30, "nfnetlink_subsys_unregister" },
	{ 0x268d5fab, "rt_spin_unlock" },
	{ 0x7a1dc551, "from_kgid_munged" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8514e418, "skb_trim" },
	{ 0x6036ba59, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x59139b3f, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xe4e1a0ed, "rhashtable_insert_slow" },
	{ 0xe0a30151, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x51f812ab, "rt_read_lock" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x2f03fc4b, "security_secmark_refcount_inc" },
	{ 0xfb2165ed, "__skb_checksum" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0xb482edd5, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x61067a4d, "inet_proto_csum_replace4" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x1fb7bf86, "rt_read_unlock" },
	{ 0xa4df62c3, "rhltable_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xfa1d2218, "dst_release" },
	{ 0x8bfe698d, "rt_write_lock" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc81343cb, "rhashtable_walk_next" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0x2eaac0b6, "from_kuid_munged" },
	{ 0xe2ae9939, "kmalloc_trace" },
	{ 0xf9c1f9ab, "security_secctx_to_secid" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x50100052, "rhashtable_walk_exit" },
	{ 0xfa50e426, "__mutex_rt_init" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x95ececc5, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc361c5a0, "nfnetlink_has_listeners" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "nfnetlink");


MODULE_INFO(srcversion, "750BAC2D8F08DBC7CFD60A3");
MODULE_INFO(rhelversion, "9.6");
