#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(vsock_bind_table, "_gpl", "");
KSYMTAB_DATA(vsock_connected_table, "_gpl", "");
KSYMTAB_DATA(vsock_table_lock, "_gpl", "");
KSYMTAB_FUNC(vsock_insert_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_find_bound_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_find_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_sock, "_gpl", "");
KSYMTAB_FUNC(vsock_for_each_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_add_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_enqueue_accept, "_gpl", "");
KSYMTAB_FUNC(vsock_assign_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_find_cid, "_gpl", "");
KSYMTAB_FUNC(vsock_create_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(vsock_data_ready, "_gpl", "");
KSYMTAB_FUNC(vsock_dgram_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_core_get_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_core_register, "_gpl", "");
KSYMTAB_FUNC(vsock_core_unregister, "_gpl", "");
KSYMTAB_FUNC(vsock_add_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_deliver_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_init, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_validate, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_unbind, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_equals_addr, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_cast, "_gpl", "");

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0xddc41463, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0x374c31ed, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0x52a5f383, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0x5e6e667b, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0x30c888a1, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0xf97b9895, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0xec5108b9, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0xe55a919e, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0x37cff769, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0x94ee0028, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0x01064b87, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0x50412531, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0xf2de6adf, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0x8ec6f71d, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0xbdd03d5d, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0x5c38b661, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0x0db203a3, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0x2f622734, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0xbe6d8271, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0x706f9e3d, "_gpl");
SYMBOL_CRC(vsock_core_register, 0x61eb2fea, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0x979e0689, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0x044f4983, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0xa4ebbd4c, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0x0e43a4bf, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0x77c14317, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x9710dbf9, "sock_map_close" },
	{ 0xb6b5d8ff, "sock_queue_rcv_skb_reason" },
	{ 0x8313795b, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd1d041c1, "misc_deregister" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa797f98c, "consume_skb" },
	{ 0xfbd2a5bb, "finish_wait" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x4e8f118f, "prepare_to_wait" },
	{ 0x4829a47e, "memcpy" },
	{ 0x5a0ca06e, "sock_map_unhash" },
	{ 0xda1913ff, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xffba7adb, "__module_get" },
	{ 0x95499c4b, "sk_stream_error" },
	{ 0xca15c196, "sk_msg_recvmsg" },
	{ 0x596a3776, "ns_capable_noaudit" },
	{ 0xa1d91caa, "__put_cred" },
	{ 0xaaa3938c, "sk_error_report" },
	{ 0x45fed257, "skb_queue_purge_reason" },
	{ 0x92997ed8, "_printk" },
	{ 0x6b991b8b, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x46d6768e, "sock_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x1bbe4e10, "rt_write_unlock" },
	{ 0x1f580e51, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x8f284b3a, "module_put" },
	{ 0x119d84dc, "sk_msg_is_readable" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf8a64594, "sk_skb_reason_drop" },
	{ 0xed6cae9a, "sk_free" },
	{ 0xd5795f33, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0x9e96bccc, "mutex_lock" },
	{ 0xb14ac711, "sock_no_listen" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x96c5e5b, "sock_recv_errqueue" },
	{ 0x52c34b71, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe51e662a, "mutex_lock_interruptible" },
	{ 0x560084a7, "sk_alloc" },
	{ 0x969a2d1e, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x21a99656, "misc_register" },
	{ 0xc0025f5a, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x970c2832, "sock_no_sendpage" },
	{ 0x268d5fab, "rt_spin_unlock" },
	{ 0x6036ba59, "rt_spin_lock" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0x627a42b1, "nonseekable_open" },
	{ 0x1713e144, "sk_psock_drop" },
	{ 0xb25cce27, "__dev_queue_xmit" },
	{ 0xb482edd5, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x6fb07ac, "init_user_ns" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x38f9bcc5, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x8bfe698d, "rt_write_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xea0912b1, "remove_wait_queue" },
	{ 0xdc6c113c, "sock_no_ioctl" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x6dbf89bd, "sock_setsockopt" },
	{ 0xb4d060ae, "sock_init_data" },
	{ 0xf5c04ea, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0424882FE79F1CD134F9C0A");
MODULE_INFO(rhelversion, "9.6");
