#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cfg80211_shutdown_all_interfaces, "_gpl", "");
KSYMTAB_FUNC(wiphy_new_nm, "", "");
KSYMTAB_FUNC(wiphy_register, "", "");
KSYMTAB_FUNC(wiphy_rfkill_start_polling, "", "");
KSYMTAB_FUNC(wiphy_unregister, "", "");
KSYMTAB_FUNC(wiphy_free, "", "");
KSYMTAB_FUNC(wiphy_rfkill_set_hw_state_reason, "", "");
KSYMTAB_FUNC(cfg80211_unregister_wdev, "", "");
KSYMTAB_FUNC(cfg80211_stop_iface, "", "");
KSYMTAB_FUNC(cfg80211_register_netdevice, "", "");
KSYMTAB_FUNC(wiphy_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_flush, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_timer, "", "");
KSYMTAB_FUNC(wiphy_delayed_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_flush, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_pending, "_gpl", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_init, "", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_next, "", "");
KSYMTAB_FUNC(ieee80211_get_response_rate, "", "");
KSYMTAB_FUNC(ieee80211_mandatory_rates, "", "");
KSYMTAB_FUNC(ieee80211_channel_to_freq_khz, "", "");
KSYMTAB_FUNC(ieee80211_s1g_channel_width, "", "");
KSYMTAB_FUNC(ieee80211_freq_khz_to_channel, "", "");
KSYMTAB_FUNC(ieee80211_get_channel_khz, "", "");
KSYMTAB_FUNC(ieee80211_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_hdrlen_from_skb, "", "");
KSYMTAB_FUNC(ieee80211_get_mesh_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_8023_tunnel_proto, "", "");
KSYMTAB_FUNC(ieee80211_strip_8023_mesh_hdr, "", "");
KSYMTAB_FUNC(ieee80211_data_to_8023_exthdr, "", "");
KSYMTAB_FUNC(ieee80211_is_valid_amsdu, "", "");
KSYMTAB_FUNC(ieee80211_amsdu_to_8023s, "", "");
KSYMTAB_FUNC(cfg80211_classify8021d, "", "");
KSYMTAB_FUNC(ieee80211_bss_get_elem, "", "");
KSYMTAB_FUNC(cfg80211_calculate_bitrate, "", "");
KSYMTAB_FUNC(cfg80211_get_p2p_attr, "", "");
KSYMTAB_FUNC(ieee80211_ie_split_ric, "", "");
KSYMTAB_FUNC(ieee80211_fragment_element, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_band, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_chandef, "", "");
KSYMTAB_FUNC(ieee80211_chandef_to_operating_class, "", "");
KSYMTAB_FUNC(cfg80211_iter_combinations, "", "");
KSYMTAB_FUNC(cfg80211_check_combinations, "", "");
KSYMTAB_FUNC(ieee80211_get_num_supported_channels, "", "");
KSYMTAB_FUNC(cfg80211_get_station, "", "");
KSYMTAB_FUNC(cfg80211_free_nan_func, "", "");
KSYMTAB_FUNC(cfg80211_sinfo_alloc_tid_stats, "", "");
KSYMTAB_DATA(rfc1042_header, "", "");
KSYMTAB_DATA(bridge_tunnel_header, "", "");
KSYMTAB_FUNC(cfg80211_send_layer2_update, "", "");
KSYMTAB_FUNC(ieee80211_get_vht_max_nss, "", "");
KSYMTAB_FUNC(cfg80211_iftype_allowed, "", "");
KSYMTAB_FUNC(cfg80211_get_iftype_ext_capa, "", "");
KSYMTAB_FUNC(cfg80211_radio_chandef_valid, "", "");
KSYMTAB_FUNC(get_wiphy_regdom, "", "");
KSYMTAB_FUNC(reg_query_regdb_wmm, "", "");
KSYMTAB_FUNC(freq_reg_info, "", "");
KSYMTAB_FUNC(reg_initiator_name, "", "");
KSYMTAB_FUNC(wiphy_apply_custom_regulatory, "", "");
KSYMTAB_FUNC(regulatory_hint, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd_sync, "", "");
KSYMTAB_FUNC(regulatory_pre_cac_allowed, "", "");
KSYMTAB_FUNC(cfg80211_is_element_inherited, "", "");
KSYMTAB_FUNC(cfg80211_gen_new_ie, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(cfg80211_free_coloc_ap_list, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(cfg80211_iter_rnr, "_gpl", "");
KSYMTAB_FUNC(cfg80211_parse_colocated_ap, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(cfg80211_scan_done, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_results, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped_locked, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped, "", "");
KSYMTAB_FUNC(cfg80211_bss_flush, "", "");
KSYMTAB_FUNC(cfg80211_find_elem_match, "", "");
KSYMTAB_FUNC(cfg80211_find_vendor_elem, "", "");
KSYMTAB_FUNC(__cfg80211_get_bss, "", "");
KSYMTAB_FUNC(cfg80211_get_ies_channel_number, "", "");
KSYMTAB_FUNC(cfg80211_merge_profile, "", "");
KSYMTAB_FUNC(cfg80211_defragment_element, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_data, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_frame_data, "", "");
KSYMTAB_FUNC(cfg80211_ref_bss, "", "");
KSYMTAB_FUNC(cfg80211_put_bss, "", "");
KSYMTAB_FUNC(cfg80211_unlink_bss, "", "");
KSYMTAB_FUNC(cfg80211_bss_iter, "", "");
KSYMTAB_FUNC(nl80211_send_chandef, "", "");
KSYMTAB_FUNC(cfg80211_check_station_change, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_event_skb, "", "");
KSYMTAB_FUNC(__cfg80211_send_event_skb, "", "");
KSYMTAB_FUNC(cfg80211_nan_match, "", "");
KSYMTAB_FUNC(cfg80211_nan_func_terminated, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_reply_skb, "", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_reply, "_gpl", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_get_sender, "_gpl", "");
KSYMTAB_FUNC(cfg80211_rx_unprot_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_links_removed, "", "");
KSYMTAB_FUNC(cfg80211_notify_new_peer_candidate, "", "");
KSYMTAB_FUNC(cfg80211_assoc_comeback, "", "");
KSYMTAB_FUNC(cfg80211_ready_on_channel, "", "");
KSYMTAB_FUNC(cfg80211_remain_on_channel_expired, "", "");
KSYMTAB_FUNC(cfg80211_tx_mgmt_expired, "", "");
KSYMTAB_FUNC(cfg80211_new_sta, "", "");
KSYMTAB_FUNC(cfg80211_del_sta_sinfo, "", "");
KSYMTAB_FUNC(cfg80211_conn_failed, "", "");
KSYMTAB_FUNC(cfg80211_rx_spurious_frame, "", "");
KSYMTAB_FUNC(cfg80211_rx_unexpected_4addr_frame, "", "");
KSYMTAB_FUNC(cfg80211_control_port_tx_status, "", "");
KSYMTAB_FUNC(cfg80211_mgmt_tx_status_ext, "", "");
KSYMTAB_FUNC(cfg80211_rx_control_port, "", "");
KSYMTAB_FUNC(cfg80211_cqm_rssi_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_txe_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_pktloss_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_beacon_loss_notify, "", "");
KSYMTAB_FUNC(cfg80211_gtk_rekey_notify, "", "");
KSYMTAB_FUNC(cfg80211_pmksa_candidate_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_started_notify, "", "");
KSYMTAB_FUNC(cfg80211_bss_color_notify, "", "");
KSYMTAB_FUNC(cfg80211_sta_opmode_change_notify, "", "");
KSYMTAB_FUNC(cfg80211_probe_status, "", "");
KSYMTAB_FUNC(cfg80211_report_obss_beacon_khz, "", "");
KSYMTAB_FUNC(cfg80211_report_wowlan_wakeup, "", "");
KSYMTAB_FUNC(cfg80211_tdls_oper_request, "", "");
KSYMTAB_FUNC(cfg80211_ft_event, "", "");
KSYMTAB_FUNC(cfg80211_crit_proto_stopped, "", "");
KSYMTAB_FUNC(cfg80211_external_auth_request, "", "");
KSYMTAB_FUNC(cfg80211_update_owe_info_event, "", "");
KSYMTAB_FUNC(cfg80211_schedule_channels_check, "", "");
KSYMTAB_FUNC(cfg80211_rx_assoc_resp, "", "");
KSYMTAB_FUNC(cfg80211_rx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_auth_timeout, "", "");
KSYMTAB_FUNC(cfg80211_assoc_failure, "", "");
KSYMTAB_FUNC(cfg80211_tx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_michael_mic_failure, "", "");
KSYMTAB_FUNC(cfg80211_rx_mgmt_ext, "", "");
KSYMTAB_FUNC(__cfg80211_radar_event, "", "");
KSYMTAB_FUNC(cfg80211_cac_event, "", "");
KSYMTAB_FUNC(cfg80211_background_cac_abort, "", "");
KSYMTAB_FUNC(cfg80211_ibss_joined, "", "");
KSYMTAB_FUNC(cfg80211_connect_done, "", "");
KSYMTAB_FUNC(cfg80211_roamed, "", "");
KSYMTAB_FUNC(cfg80211_port_authorized, "", "");
KSYMTAB_FUNC(cfg80211_disconnected, "", "");
KSYMTAB_FUNC(cfg80211_chandef_create, "", "");
KSYMTAB_FUNC(nl80211_chan_width_to_mhz, "", "");
KSYMTAB_FUNC(cfg80211_chandef_valid, "", "");
KSYMTAB_FUNC(cfg80211_chandef_primary, "", "");
KSYMTAB_FUNC(cfg80211_chandef_compatible, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_required, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_usable, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_cac_time, "", "");
KSYMTAB_FUNC(cfg80211_chandef_usable, "", "");
KSYMTAB_FUNC(cfg80211_reg_check_beaconing, "", "");
KSYMTAB_FUNC(cfg80211_any_usable_channels, "", "");
KSYMTAB_FUNC(wdev_chandef, "", "");
KSYMTAB_FUNC(cfg80211_get_drvinfo, "", "");
KSYMTAB_FUNC(cfg80211_pmsr_complete, "_gpl", "");
KSYMTAB_FUNC(cfg80211_pmsr_report, "_gpl", "");
KSYMTAB_FUNC(wiphy_read_of_freq_limits, "", "");

SYMBOL_CRC(cfg80211_shutdown_all_interfaces, 0x8d5757a8, "_gpl");
SYMBOL_CRC(wiphy_new_nm, 0x0db8a5f7, "");
SYMBOL_CRC(wiphy_register, 0xc2099d09, "");
SYMBOL_CRC(wiphy_rfkill_start_polling, 0x9b8e1f91, "");
SYMBOL_CRC(wiphy_unregister, 0xd3d35878, "");
SYMBOL_CRC(wiphy_free, 0xa5a5f0c1, "");
SYMBOL_CRC(wiphy_rfkill_set_hw_state_reason, 0xf7f365de, "");
SYMBOL_CRC(cfg80211_unregister_wdev, 0xefc7e2fb, "");
SYMBOL_CRC(cfg80211_stop_iface, 0x4a913b2f, "");
SYMBOL_CRC(cfg80211_register_netdevice, 0x99c8fb2b, "");
SYMBOL_CRC(wiphy_work_queue, 0xc9223173, "_gpl");
SYMBOL_CRC(wiphy_work_cancel, 0x31ee796b, "_gpl");
SYMBOL_CRC(wiphy_work_flush, 0x0ba825ab, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_timer, 0xdf4d81fe, "");
SYMBOL_CRC(wiphy_delayed_work_queue, 0x7685b3e2, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_cancel, 0xf5a62c1e, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_flush, 0x7541bb35, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_pending, 0x9bcd4bae, "_gpl");
SYMBOL_CRC(ieee80211_radiotap_iterator_init, 0xcbe1a535, "");
SYMBOL_CRC(ieee80211_radiotap_iterator_next, 0x078afa49, "");
SYMBOL_CRC(ieee80211_get_response_rate, 0x6aac3bef, "");
SYMBOL_CRC(ieee80211_mandatory_rates, 0x272d6876, "");
SYMBOL_CRC(ieee80211_channel_to_freq_khz, 0x5584448a, "");
SYMBOL_CRC(ieee80211_s1g_channel_width, 0x1bb59029, "");
SYMBOL_CRC(ieee80211_freq_khz_to_channel, 0x6bedf402, "");
SYMBOL_CRC(ieee80211_get_channel_khz, 0x505f1423, "");
SYMBOL_CRC(ieee80211_hdrlen, 0x7ef39823, "");
SYMBOL_CRC(ieee80211_get_hdrlen_from_skb, 0xa12942d8, "");
SYMBOL_CRC(ieee80211_get_mesh_hdrlen, 0xd56d55f3, "");
SYMBOL_CRC(ieee80211_get_8023_tunnel_proto, 0x13c58e52, "");
SYMBOL_CRC(ieee80211_strip_8023_mesh_hdr, 0x7f00cc45, "");
SYMBOL_CRC(ieee80211_data_to_8023_exthdr, 0x09a98b66, "");
SYMBOL_CRC(ieee80211_is_valid_amsdu, 0x62541edf, "");
SYMBOL_CRC(ieee80211_amsdu_to_8023s, 0x37bce0d2, "");
SYMBOL_CRC(cfg80211_classify8021d, 0xf92cd038, "");
SYMBOL_CRC(ieee80211_bss_get_elem, 0x5cba2be4, "");
SYMBOL_CRC(cfg80211_calculate_bitrate, 0x3c744e95, "");
SYMBOL_CRC(cfg80211_get_p2p_attr, 0xf5596d89, "");
SYMBOL_CRC(ieee80211_ie_split_ric, 0x275269b3, "");
SYMBOL_CRC(ieee80211_fragment_element, 0x08ad66c3, "");
SYMBOL_CRC(ieee80211_operating_class_to_band, 0xf40bc2f5, "");
SYMBOL_CRC(ieee80211_operating_class_to_chandef, 0x345fa8cc, "");
SYMBOL_CRC(ieee80211_chandef_to_operating_class, 0xefab0596, "");
SYMBOL_CRC(cfg80211_iter_combinations, 0x41a69e67, "");
SYMBOL_CRC(cfg80211_check_combinations, 0xb4c555f7, "");
SYMBOL_CRC(ieee80211_get_num_supported_channels, 0xc76b3e28, "");
SYMBOL_CRC(cfg80211_get_station, 0xdc99cdcd, "");
SYMBOL_CRC(cfg80211_free_nan_func, 0x8fa02936, "");
SYMBOL_CRC(cfg80211_sinfo_alloc_tid_stats, 0x3c86019a, "");
SYMBOL_CRC(rfc1042_header, 0x69b18f43, "");
SYMBOL_CRC(bridge_tunnel_header, 0x1879fcbd, "");
SYMBOL_CRC(cfg80211_send_layer2_update, 0xaf8683cc, "");
SYMBOL_CRC(ieee80211_get_vht_max_nss, 0x7c3ac925, "");
SYMBOL_CRC(cfg80211_iftype_allowed, 0xd058492a, "");
SYMBOL_CRC(cfg80211_get_iftype_ext_capa, 0x4ae23655, "");
SYMBOL_CRC(cfg80211_radio_chandef_valid, 0x53382dce, "");
SYMBOL_CRC(get_wiphy_regdom, 0x1b81e374, "");
SYMBOL_CRC(reg_query_regdb_wmm, 0x8f495c47, "");
SYMBOL_CRC(freq_reg_info, 0xd613ce9e, "");
SYMBOL_CRC(reg_initiator_name, 0xdba126c1, "");
SYMBOL_CRC(wiphy_apply_custom_regulatory, 0xbb56da2a, "");
SYMBOL_CRC(regulatory_hint, 0xb86d717e, "");
SYMBOL_CRC(regulatory_set_wiphy_regd, 0x9b75bc4c, "");
SYMBOL_CRC(regulatory_set_wiphy_regd_sync, 0xfe8d04c4, "");
SYMBOL_CRC(regulatory_pre_cac_allowed, 0xa1bebcde, "");
SYMBOL_CRC(cfg80211_is_element_inherited, 0xcc1a7c48, "");
SYMBOL_CRC(cfg80211_gen_new_ie, 0xd949fe38, "");
SYMBOL_CRC(cfg80211_free_coloc_ap_list, 0x6563568b, "");
SYMBOL_CRC(cfg80211_iter_rnr, 0x646c544c, "_gpl");
SYMBOL_CRC(cfg80211_parse_colocated_ap, 0xe23bea70, "");
SYMBOL_CRC(cfg80211_scan_done, 0x064b393d, "");
SYMBOL_CRC(cfg80211_sched_scan_results, 0xb99b727c, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped_locked, 0x3ae05bc3, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped, 0xc2ae3479, "");
SYMBOL_CRC(cfg80211_bss_flush, 0xae5a405c, "");
SYMBOL_CRC(cfg80211_find_elem_match, 0x9d6cba30, "");
SYMBOL_CRC(cfg80211_find_vendor_elem, 0x79b82a71, "");
SYMBOL_CRC(__cfg80211_get_bss, 0xa62d9c2f, "");
SYMBOL_CRC(cfg80211_get_ies_channel_number, 0x3aca71a1, "");
SYMBOL_CRC(cfg80211_merge_profile, 0x117aca91, "");
SYMBOL_CRC(cfg80211_defragment_element, 0xd6c87a05, "");
SYMBOL_CRC(cfg80211_inform_bss_data, 0x64ce2904, "");
SYMBOL_CRC(cfg80211_inform_bss_frame_data, 0xdb05146d, "");
SYMBOL_CRC(cfg80211_ref_bss, 0x38209677, "");
SYMBOL_CRC(cfg80211_put_bss, 0xa5187b24, "");
SYMBOL_CRC(cfg80211_unlink_bss, 0xc5b8bdb4, "");
SYMBOL_CRC(cfg80211_bss_iter, 0xb73e9b05, "");
SYMBOL_CRC(nl80211_send_chandef, 0x2174b400, "");
SYMBOL_CRC(cfg80211_check_station_change, 0x3e9ca21b, "");
SYMBOL_CRC(__cfg80211_alloc_event_skb, 0x322ca5e7, "");
SYMBOL_CRC(__cfg80211_send_event_skb, 0x58599286, "");
SYMBOL_CRC(cfg80211_nan_match, 0xae4509aa, "");
SYMBOL_CRC(cfg80211_nan_func_terminated, 0x88ce4d42, "");
SYMBOL_CRC(__cfg80211_alloc_reply_skb, 0x6fa099cc, "");
SYMBOL_CRC(cfg80211_vendor_cmd_reply, 0x7d760068, "_gpl");
SYMBOL_CRC(cfg80211_vendor_cmd_get_sender, 0x91d4989c, "_gpl");
SYMBOL_CRC(cfg80211_rx_unprot_mlme_mgmt, 0x0006825e, "");
SYMBOL_CRC(cfg80211_links_removed, 0xe14a1d67, "");
SYMBOL_CRC(cfg80211_notify_new_peer_candidate, 0xca55f813, "");
SYMBOL_CRC(cfg80211_assoc_comeback, 0x4cec54e4, "");
SYMBOL_CRC(cfg80211_ready_on_channel, 0x72e863ec, "");
SYMBOL_CRC(cfg80211_remain_on_channel_expired, 0x0398c0d5, "");
SYMBOL_CRC(cfg80211_tx_mgmt_expired, 0xeb2d1c38, "");
SYMBOL_CRC(cfg80211_new_sta, 0x01529855, "");
SYMBOL_CRC(cfg80211_del_sta_sinfo, 0xab1cc525, "");
SYMBOL_CRC(cfg80211_conn_failed, 0x14ff7306, "");
SYMBOL_CRC(cfg80211_rx_spurious_frame, 0xb82b9321, "");
SYMBOL_CRC(cfg80211_rx_unexpected_4addr_frame, 0x4e5a22ad, "");
SYMBOL_CRC(cfg80211_control_port_tx_status, 0xe65adc31, "");
SYMBOL_CRC(cfg80211_mgmt_tx_status_ext, 0x6d76f1bf, "");
SYMBOL_CRC(cfg80211_rx_control_port, 0x900e6bb7, "");
SYMBOL_CRC(cfg80211_cqm_rssi_notify, 0xdaf32537, "");
SYMBOL_CRC(cfg80211_cqm_txe_notify, 0x3e0bd42b, "");
SYMBOL_CRC(cfg80211_cqm_pktloss_notify, 0x768bc734, "");
SYMBOL_CRC(cfg80211_cqm_beacon_loss_notify, 0x0bdf51ef, "");
SYMBOL_CRC(cfg80211_gtk_rekey_notify, 0xf1d04594, "");
SYMBOL_CRC(cfg80211_pmksa_candidate_notify, 0x4ea38e4d, "");
SYMBOL_CRC(cfg80211_ch_switch_notify, 0x893dcaff, "");
SYMBOL_CRC(cfg80211_ch_switch_started_notify, 0x8541da9e, "");
SYMBOL_CRC(cfg80211_bss_color_notify, 0xea2c9674, "");
SYMBOL_CRC(cfg80211_sta_opmode_change_notify, 0x4892abe0, "");
SYMBOL_CRC(cfg80211_probe_status, 0x0d37c62c, "");
SYMBOL_CRC(cfg80211_report_obss_beacon_khz, 0xb20e957c, "");
SYMBOL_CRC(cfg80211_report_wowlan_wakeup, 0xa69faeb6, "");
SYMBOL_CRC(cfg80211_tdls_oper_request, 0x3f671e74, "");
SYMBOL_CRC(cfg80211_ft_event, 0x151d1f2b, "");
SYMBOL_CRC(cfg80211_crit_proto_stopped, 0x40c668de, "");
SYMBOL_CRC(cfg80211_external_auth_request, 0x0671405e, "");
SYMBOL_CRC(cfg80211_update_owe_info_event, 0xcc6fa779, "");
SYMBOL_CRC(cfg80211_schedule_channels_check, 0x392f5410, "");
SYMBOL_CRC(cfg80211_rx_assoc_resp, 0xd68a37d9, "");
SYMBOL_CRC(cfg80211_rx_mlme_mgmt, 0x6b7454a6, "");
SYMBOL_CRC(cfg80211_auth_timeout, 0x0ae8d6f6, "");
SYMBOL_CRC(cfg80211_assoc_failure, 0xb6aebb0c, "");
SYMBOL_CRC(cfg80211_tx_mlme_mgmt, 0xa14a831a, "");
SYMBOL_CRC(cfg80211_michael_mic_failure, 0x45224d8e, "");
SYMBOL_CRC(cfg80211_rx_mgmt_ext, 0x53983a46, "");
SYMBOL_CRC(__cfg80211_radar_event, 0x317fcdd1, "");
SYMBOL_CRC(cfg80211_cac_event, 0x5939154e, "");
SYMBOL_CRC(cfg80211_background_cac_abort, 0xef1e3baf, "");
SYMBOL_CRC(cfg80211_ibss_joined, 0xfdf25863, "");
SYMBOL_CRC(cfg80211_connect_done, 0x7d4361c4, "");
SYMBOL_CRC(cfg80211_roamed, 0xf887bd26, "");
SYMBOL_CRC(cfg80211_port_authorized, 0x9482dae9, "");
SYMBOL_CRC(cfg80211_disconnected, 0xd4b2c531, "");
SYMBOL_CRC(cfg80211_chandef_create, 0x23026b4b, "");
SYMBOL_CRC(nl80211_chan_width_to_mhz, 0x2c19c3c0, "");
SYMBOL_CRC(cfg80211_chandef_valid, 0x538f32f2, "");
SYMBOL_CRC(cfg80211_chandef_primary, 0x9ce5d166, "");
SYMBOL_CRC(cfg80211_chandef_compatible, 0xf7be8ee8, "");
SYMBOL_CRC(cfg80211_chandef_dfs_required, 0x0dc6a905, "");
SYMBOL_CRC(cfg80211_chandef_dfs_usable, 0x5bb558d1, "");
SYMBOL_CRC(cfg80211_chandef_dfs_cac_time, 0xc7999a0a, "");
SYMBOL_CRC(cfg80211_chandef_usable, 0xf0560445, "");
SYMBOL_CRC(cfg80211_reg_check_beaconing, 0x42358dee, "");
SYMBOL_CRC(cfg80211_any_usable_channels, 0x2b7a2110, "");
SYMBOL_CRC(wdev_chandef, 0xa019c209, "");
SYMBOL_CRC(cfg80211_get_drvinfo, 0x14c34731, "");
SYMBOL_CRC(cfg80211_pmsr_complete, 0x87d333ac, "_gpl");
SYMBOL_CRC(cfg80211_pmsr_report, 0xc6f03d75, "_gpl");
SYMBOL_CRC(wiphy_read_of_freq_limits, 0x6c6ad522, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xc3bc72ad, "trace_print_array_seq" },
	{ 0xcd63a107, "__sock_create" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x8a23e3f2, "verify_pkcs7_signature" },
	{ 0xc2a30bf1, "bpf_trace_run4" },
	{ 0xe25e1cde, "skb_copy_bits" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x29cf1627, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xd7324dbc, "dev_set_name" },
	{ 0xa797f98c, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x26cac303, "__nla_validate" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3c7828cb, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4a047f4e, "trace_raw_output_prep" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x5e23123c, "bpf_trace_run6" },
	{ 0x535791c4, "rt_mutex_base_init" },
	{ 0xfbd2a5bb, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x9d6dd5, "request_firmware" },
	{ 0xff3a6dac, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0xbcae9ec7, "device_initialize" },
	{ 0x15a450e3, "skb_add_rx_frag" },
	{ 0x1fab26b4, "genlmsg_put" },
	{ 0x8d31dc6c, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb9e7d28b, "bpf_trace_run2" },
	{ 0xb6597f13, "prepare_to_wait_event" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x45498a33, "genlmsg_multicast_allns" },
	{ 0x1c133ae9, "event_triggers_call" },
	{ 0x3e53496, "__wake_up" },
	{ 0xe7627af1, "unregister_netdevice_queue" },
	{ 0xba88fa99, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf843cee8, "netlink_broadcast_filtered" },
	{ 0x4e265288, "keyring_alloc" },
	{ 0x734764a9, "netdev_err" },
	{ 0xc414ad24, "device_rename" },
	{ 0xc5e8679c, "trace_event_buffer_commit" },
	{ 0xc7de9fbf, "eth_type_trans" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x30285f8, "put_device" },
	{ 0xfffd5db7, "trace_event_ignore_this_pid" },
	{ 0xeacd783b, "net_ns_type_operations" },
	{ 0xa916b694, "strnlen" },
	{ 0x53ca8f0d, "__alloc_skb" },
	{ 0x3edf40ab, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc781bd9f, "rfkill_resume_polling" },
	{ 0xb94c302b, "inet_csk_get_port" },
	{ 0x34476382, "key_put" },
	{ 0x2a4e3dec, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x26d17c37, "__dev_get_by_index" },
	{ 0x903ca073, "perf_trace_run_bpf_submit" },
	{ 0x7125ebfe, "_dev_err" },
	{ 0x9c8a07cb, "init_net" },
	{ 0xb70309b5, "request_firmware_nowait" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x35014501, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8d854ed2, "device_add" },
	{ 0xee8ebdfe, "sysfs_remove_link" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x73e92604, "init_uts_ns" },
	{ 0x39b23dbb, "platform_device_unregister" },
	{ 0xf8a64594, "sk_skb_reason_drop" },
	{ 0x62a9b6fd, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x6d6945b9, "dev_get_by_index" },
	{ 0x738f2cc6, "bpf_trace_run5" },
	{ 0x82fb0b3d, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x9e96bccc, "mutex_lock" },
	{ 0x8cea02d, "skb_push" },
	{ 0xe7dc472, "debugfs_remove" },
	{ 0xf00a075f, "nla_put" },
	{ 0x9da01381, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x956ea999, "of_find_property" },
	{ 0x4af0f6a2, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x4881882, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x4ab52f6d, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x11089ac7, "_ctype" },
	{ 0x81bc8e0e, "bpf_trace_run1" },
	{ 0x4c60edb2, "device_del" },
	{ 0xfcd01236, "rfkill_set_hw_state_reason" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x1ace6683, "param_ops_charp" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x94a84a2d, "__init_waitqueue_head" },
	{ 0x13a10ef5, "__pskb_pull_tail" },
	{ 0x7c5787b5, "netif_rx" },
	{ 0xadf59eab, "__netdev_alloc_skb" },
	{ 0x268d5fab, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8514e418, "skb_trim" },
	{ 0x6036ba59, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8540938, "of_prop_next_u32" },
	{ 0x4972a953, "bpf_trace_run3" },
	{ 0x59139b3f, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf75bced, "get_net_ns_by_pid" },
	{ 0x8ea3ef23, "debugfs_rename" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x55ff1022, "platform_device_register_full" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa4b51e0, "trace_event_buffer_reserve" },
	{ 0xff282521, "rfkill_register" },
	{ 0xb482edd5, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xedbdc3a, "param_ops_bool" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xda02b9bc, "x509_load_certificate_list" },
	{ 0xf560a813, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0x15598f87, "genl_unregister_family" },
	{ 0xe2ae9939, "kmalloc_trace" },
	{ 0xea124bd1, "gcd" },
	{ 0x98cf60b3, "strlen" },
	{ 0x6e192610, "bpf_trace_run7" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xfa15319, "param_ops_int" },
	{ 0x9610a17c, "debugfs_create_dir" },
	{ 0x82eda248, "genl_register_family" },
	{ 0x9e1dba0d, "__dev_change_net_namespace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xfd706323, "register_pernet_device" },
	{ 0xfa50e426, "__mutex_rt_init" },
	{ 0xae95a407, "get_net_ns_by_fd" },
	{ 0x2fd8866b, "class_register" },
	{ 0x85ad78d3, "bpf_trace_run11" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x95ececc5, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x301cf308, "register_netdevice" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "400B29691D256117C4F5AF9");
MODULE_INFO(rhelversion, "9.6");
