#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_bridge_connector_init, "_gpl", "");
KSYMTAB_FUNC(drm_dp_dual_mode_read, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_write, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_detect, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_get_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_set_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_get_dual_mode_type_name, "", "");
KSYMTAB_FUNC(drm_lspcon_get_mode, "", "");
KSYMTAB_FUNC(drm_lspcon_set_mode, "", "");
KSYMTAB_FUNC(drm_dp_channel_eq_ok, "", "");
KSYMTAB_FUNC(drm_dp_clock_recovery_ok, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_voltage, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_pre_emphasis, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_tx_ffe_preset, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_channel_eq_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_symbol_locked, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_eq_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_cds_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_link_training_failed, "", "");
KSYMTAB_FUNC(drm_dp_read_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_read_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_read_aux_rd_interval, "", "");
KSYMTAB_FUNC(drm_dp_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_phy_name, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_rate_to_bw_code, "", "");
KSYMTAB_FUNC(drm_dp_bw_code_to_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_probe, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_set_powered, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_phy_link_status, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_type, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_tmds, "", "");
KSYMTAB_FUNC(drm_dp_send_real_edid_checksum, "", "");
KSYMTAB_FUNC(drm_dp_read_dpcd_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_downstream_info, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_dotclock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_min_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_bpc, "", "");
KSYMTAB_FUNC(drm_dp_downstream_420_passthrough, "", "");
KSYMTAB_FUNC(drm_dp_downstream_444_to_420_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_rgb_to_ycbcr_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_mode, "", "");
KSYMTAB_FUNC(drm_dp_downstream_id, "", "");
KSYMTAB_FUNC(drm_dp_downstream_debug, "", "");
KSYMTAB_FUNC(drm_dp_subconnector_type, "", "");
KSYMTAB_FUNC(drm_dp_set_subconnector_property, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count_cap, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count, "", "");
KSYMTAB_FUNC(drm_dp_remote_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_register, "", "");
KSYMTAB_FUNC(drm_dp_aux_unregister, "", "");
KSYMTAB_FUNC(drm_dp_psr_setup_time, "", "");
KSYMTAB_FUNC(drm_dp_start_crc, "", "");
KSYMTAB_FUNC(drm_dp_stop_crc, "", "");
KSYMTAB_FUNC(drm_dp_read_desc, "", "");
KSYMTAB_FUNC(drm_dp_dump_lttpr_desc, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_max_slice_count, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_line_buf_depth, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_supported_input_bpcs, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_common_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_phy_caps, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_voltage_swing_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_pre_emphasis_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_get_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_set_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_pack, "", "");
KSYMTAB_FUNC(drm_dp_get_pcon_max_frl_bw, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_prepare, "", "");
KSYMTAB_FUNC(drm_dp_pcon_is_frl_ready, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_1, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_reset_frl_config, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_enable, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_active, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_mode, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_frl_link_error_count, "", "");
KSYMTAB_FUNC(drm_dp_pcon_enc_is_dsc_1_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slices, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slice_width, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_default, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_buf, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_param, "", "");
KSYMTAB_FUNC(drm_dp_pcon_convert_rgb_to_ycbcr, "", "");
KSYMTAB_FUNC(drm_edp_backlight_set_level, "", "");
KSYMTAB_FUNC(drm_edp_backlight_enable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_disable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_init, "", "");
KSYMTAB_FUNC(drm_panel_dp_aux_backlight, "", "");
KSYMTAB_FUNC(drm_dp_bw_overhead, "", "");
KSYMTAB_FUNC(drm_dp_bw_channel_coding_efficiency, "", "");
KSYMTAB_FUNC(drm_dp_max_dprx_data_rate, "", "");
KSYMTAB_FUNC(drm_dp_encode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_decode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_dump_sideband_msg_req_body, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_port_malloc, "", "");
KSYMTAB_FUNC(drm_dp_mst_put_port_malloc, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_payload_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_late_register, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_early_unregister, "", "");
KSYMTAB_FUNC(drm_dp_send_power_updown_phy, "", "");
KSYMTAB_FUNC(drm_dp_send_query_stream_enc_status, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_get_vc_payload_bw, "", "");
KSYMTAB_FUNC(drm_dp_read_mst_cap, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_set_mst, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_queue_probe, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_suspend, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_resume, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_handle_event, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_send_new_request, "", "");
KSYMTAB_FUNC(drm_dp_mst_detect_port, "", "");
KSYMTAB_FUNC(drm_dp_mst_edid_read, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_edid, "", "");
KSYMTAB_FUNC(drm_dp_atomic_find_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_atomic_release_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_setup_commit, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_dp_mst_root_conn_atomic_check, "", "");
KSYMTAB_FUNC(drm_dp_mst_update_slots, "", "");
KSYMTAB_FUNC(drm_dp_check_act_status, "", "");
KSYMTAB_FUNC(drm_dp_calc_pbn_mode, "", "");
KSYMTAB_FUNC(drm_dp_mst_dump_topology, "", "");
KSYMTAB_FUNC(drm_dp_mst_port_downstream_of_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_add_affected_dsc_crtcs, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_enable_dsc, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check_mgr, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check, "", "");
KSYMTAB_DATA(drm_dp_mst_topology_state_funcs, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_init, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_dp_mst_aux_for_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_dsc_aux_for_port, "", "");
KSYMTAB_FUNC(drm_dsc_dp_pps_header_init, "", "");
KSYMTAB_FUNC(drm_dsc_dp_rc_buffer_size, "", "");
KSYMTAB_FUNC(drm_dsc_pps_payload_pack, "", "");
KSYMTAB_FUNC(drm_dsc_set_const_params, "", "");
KSYMTAB_FUNC(drm_dsc_set_rc_buf_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_setup_rc_params, "", "");
KSYMTAB_FUNC(drm_dsc_compute_rc_parameters, "", "");
KSYMTAB_FUNC(drm_dsc_get_bpp_int, "", "");
KSYMTAB_FUNC(drm_dsc_initial_scale_value, "", "");
KSYMTAB_FUNC(drm_dsc_flatness_det_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_dump_config, "", "");
KSYMTAB_FUNC(drm_hdcp_check_ksvs_revoked, "_gpl", "");
KSYMTAB_FUNC(drm_connector_attach_content_protection_property, "", "");
KSYMTAB_FUNC(drm_hdcp_update_content_protection, "", "");
KSYMTAB_FUNC(drm_hdmi_infoframe_set_hdr_metadata, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_colorimetry, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_bars, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_content_type, "", "");
KSYMTAB_FUNC(drm_hdmi_compute_mode_clock, "", "");
KSYMTAB_FUNC(drm_scdc_read, "", "");
KSYMTAB_FUNC(drm_scdc_write, "", "");
KSYMTAB_FUNC(drm_scdc_get_scrambling_status, "", "");
KSYMTAB_FUNC(drm_scdc_set_scrambling, "", "");
KSYMTAB_FUNC(drm_scdc_set_high_tmds_clock_ratio, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_hdmi_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_update_infoframes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_update_audio_infoframe, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_clear_audio_infoframe, "", "");
KSYMTAB_FUNC(drm_dp_cec_irq, "", "");
KSYMTAB_FUNC(drm_dp_cec_attach, "", "");
KSYMTAB_FUNC(drm_dp_cec_set_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_unset_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_register_connector, "", "");
KSYMTAB_FUNC(drm_dp_cec_unregister_connector, "", "");

SYMBOL_CRC(drm_bridge_connector_init, 0xa64fb13f, "_gpl");
SYMBOL_CRC(drm_dp_dual_mode_read, 0x953a07dc, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0x20c4fe2e, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0xf24db4c7, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0xf2c97ee2, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0x67c9c7d1, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0xba9ff389, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0xb23e1024, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0xdeb41a7e, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0xbc453bd9, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0x20c0a8bc, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0xf398a409, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0x076ea399, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0x1c287e12, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0xe57599ea, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0xa6ce1a46, "");
SYMBOL_CRC(drm_dp_dpcd_set_powered, 0x9886eb40, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0x1ec59b6a, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0xc397d402, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0x04643225, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0x2f958e35, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x10beff8d, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0xcae225a2, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0x7d2e3674, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0x325603b0, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x58b909f2, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x4dd8bc97, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0xe53574d3, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0x5fb78496, "");
SYMBOL_CRC(drm_dp_downstream_id, 0xa89f9032, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0x66196af9, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0xf7a1d8ff, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0x81de5fb2, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0x326a75cd, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0xf2ff716e, "");
SYMBOL_CRC(drm_dp_aux_init, 0x8dacbd92, "");
SYMBOL_CRC(drm_dp_aux_register, 0x1a163478, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0x642268d0, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0xe1323efc, "");
SYMBOL_CRC(drm_dp_stop_crc, 0xdb9a2412, "");
SYMBOL_CRC(drm_dp_read_desc, 0x17745c25, "");
SYMBOL_CRC(drm_dp_dump_lttpr_desc, 0x50dcb5ec, "");
SYMBOL_CRC(drm_dp_dsc_sink_bpp_incr, 0xf48bbedf, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0x7f9302cf, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0xbc6aa611, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0x6e549390, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0xe17bde3d, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0xf013835a, "");
SYMBOL_CRC(drm_dp_as_sdp_log, 0x6c847acf, "");
SYMBOL_CRC(drm_dp_as_sdp_supported, 0xed7d25e2, "");
SYMBOL_CRC(drm_dp_vsc_sdp_supported, 0x67d173a0, "");
SYMBOL_CRC(drm_dp_vsc_sdp_pack, 0xb9234c4d, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0xb25eb221, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0xc240fd8e, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0x5488ce4b, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0x05ead6f7, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0x26e492a4, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0xd35ffd8b, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0xb975f46c, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0xa521e9a2, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0x46fa156d, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0x1583d81d, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0xba82e403, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0x0fc13d6b, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0xe327180f, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0xc72f69dc, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0x7c5bb51f, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0x15994e60, "");
SYMBOL_CRC(drm_edp_backlight_init, 0x2b249e73, "");
SYMBOL_CRC(drm_panel_dp_aux_backlight, 0xf5e0e766, "");
SYMBOL_CRC(drm_dp_bw_overhead, 0x3dc887bf, "");
SYMBOL_CRC(drm_dp_bw_channel_coding_efficiency, 0x0504c682, "");
SYMBOL_CRC(drm_dp_max_dprx_data_rate, 0x0f6b8a63, "");
SYMBOL_CRC(drm_dp_encode_sideband_req, 0x8cd35fa5, "");
SYMBOL_CRC(drm_dp_decode_sideband_req, 0x8dd5b240, "");
SYMBOL_CRC(drm_dp_dump_sideband_msg_req_body, 0x2b8147f2, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0x67165b7c, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0xff908736, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0x01abde0c, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0x6daf2f93, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0x06d20ab6, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0x3c5c3c87, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0xa02a4542, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0xe4b65e68, "");
SYMBOL_CRC(drm_dp_remove_payload_part1, 0x8a5764b3, "");
SYMBOL_CRC(drm_dp_remove_payload_part2, 0x6b1623c6, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0x8284e1fa, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0xafe6464c, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0x6b16ae02, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0x8d0f5c73, "");
SYMBOL_CRC(drm_dp_mst_topology_queue_probe, 0x46c0d195, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0x5c47960d, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0x47359e01, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0xcef70249, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0x42039592, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0x7c480012, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0x76a7223f, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0x3af69e8e, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0xf7da0362, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0x66c92b7b, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0xe448d52a, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0x2369d381, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0x8b02abac, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0x55a07a22, "");
SYMBOL_CRC(drm_dp_check_act_status, 0x95848ba6, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0xa47826e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0x7b364459, "");
SYMBOL_CRC(drm_dp_mst_port_downstream_of_parent, 0xaeb9906e, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0x8f55074e, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0xf2c45ad0, "");
SYMBOL_CRC(drm_dp_mst_atomic_check_mgr, 0xbeb01427, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0xa2342ed9, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0x846855a4, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0xf83745be, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0x07c698e1, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0xfbe241b8, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0x75db50d8, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0xba79dc4c, "");
SYMBOL_CRC(drm_dp_mst_aux_for_parent, 0xb6fd4854, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0xed3cf6b4, "");
SYMBOL_CRC(drm_dsc_dp_pps_header_init, 0x648d953b, "");
SYMBOL_CRC(drm_dsc_dp_rc_buffer_size, 0x1a5bf3ca, "");
SYMBOL_CRC(drm_dsc_pps_payload_pack, 0x58d8fcaa, "");
SYMBOL_CRC(drm_dsc_set_const_params, 0x627ba04b, "");
SYMBOL_CRC(drm_dsc_set_rc_buf_thresh, 0x24ada755, "");
SYMBOL_CRC(drm_dsc_setup_rc_params, 0x79008c7e, "");
SYMBOL_CRC(drm_dsc_compute_rc_parameters, 0xfe12bcb9, "");
SYMBOL_CRC(drm_dsc_get_bpp_int, 0xd0e95456, "");
SYMBOL_CRC(drm_dsc_initial_scale_value, 0x95883bb4, "");
SYMBOL_CRC(drm_dsc_flatness_det_thresh, 0xe2468a48, "");
SYMBOL_CRC(drm_dsc_dump_config, 0xeb13b66e, "");
SYMBOL_CRC(drm_hdcp_check_ksvs_revoked, 0x85af5d77, "_gpl");
SYMBOL_CRC(drm_connector_attach_content_protection_property, 0x9c6453b8, "");
SYMBOL_CRC(drm_hdcp_update_content_protection, 0x85357e98, "");
SYMBOL_CRC(drm_hdmi_infoframe_set_hdr_metadata, 0x861b7350, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_colorimetry, 0xed387ceb, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_bars, 0xba320143, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_content_type, 0x43ce0b6f, "");
SYMBOL_CRC(drm_hdmi_compute_mode_clock, 0x7f3fbad7, "");
SYMBOL_CRC(drm_scdc_read, 0x247bd38f, "");
SYMBOL_CRC(drm_scdc_write, 0x7b0b0b3b, "");
SYMBOL_CRC(drm_scdc_get_scrambling_status, 0xf67861e4, "");
SYMBOL_CRC(drm_scdc_set_scrambling, 0x196256a5, "");
SYMBOL_CRC(drm_scdc_set_high_tmds_clock_ratio, 0x494b650e, "");
SYMBOL_CRC(__drm_atomic_helper_connector_hdmi_reset, 0x48a559db, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_check, 0x27ac1e46, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_update_infoframes, 0x5d710d75, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_update_audio_infoframe, 0x74011695, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_clear_audio_infoframe, 0x3db468bf, "");
SYMBOL_CRC(drm_dp_cec_irq, 0x5061d65b, "");
SYMBOL_CRC(drm_dp_cec_attach, 0x1311c20e, "");
SYMBOL_CRC(drm_dp_cec_set_edid, 0x1530abe2, "");
SYMBOL_CRC(drm_dp_cec_unset_edid, 0xe6ad29ef, "");
SYMBOL_CRC(drm_dp_cec_register_connector, 0x3bf60c2c, "");
SYMBOL_CRC(drm_dp_cec_unregister_connector, 0x99b2eebe, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x890682ac, "drm_crtc_add_crc_entry" },
	{ 0x829fcc81, "cec_delete_adapter" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xd1475075, "drm_connector_register" },
	{ 0xe2d34bc5, "cec_transmit_attempt_done_ts" },
	{ 0x7aa93a1a, "param_ops_uint" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x83547558, "devm_kmalloc" },
	{ 0xdcf51827, "drm_atomic_get_private_obj_state" },
	{ 0x2d4c773a, "hdmi_spd_infoframe_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5fafb06f, "__drm_printfn_dbg" },
	{ 0x25287295, "drm_bridge_hpd_enable" },
	{ 0x535791c4, "rt_mutex_base_init" },
	{ 0xfbd2a5bb, "finish_wait" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0x132fa901, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb3be7e76, "cec_s_phys_addr" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x9e034933, "cec_s_conn_info" },
	{ 0x4829a47e, "memcpy" },
	{ 0x264007a6, "drm_hdmi_avi_infoframe_from_display_mode" },
	{ 0x37a0cba, "kfree" },
	{ 0x5f7137ba, "drm_edid_duplicate" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb6597f13, "prepare_to_wait_event" },
	{ 0xe3bd5ee2, "drm_connector_unregister" },
	{ 0x3e53496, "__wake_up" },
	{ 0xb3750192, "drm_edid_valid" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x5384bbb8, "drm_mode_object_put" },
	{ 0x1c7e05a0, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x1df195a1, "request_firmware_direct" },
	{ 0xdcb0acb5, "drm_edid_connector_update" },
	{ 0xf31f2cda, "drm_bridge_hpd_disable" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0x3a3ba678, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xfaf7bceb, "drm_atomic_private_obj_fini" },
	{ 0x320e796a, "drm_atomic_helper_connector_destroy_state" },
	{ 0xa916b694, "strnlen" },
	{ 0xcd6d5962, "drm_bridge_edid_read" },
	{ 0xe2989e58, "drm_property_create_enum" },
	{ 0x7202b93, "drm_dev_printk" },
	{ 0xf9452389, "i2c_del_adapter" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xfe8ff637, "drm_atomic_get_crtc_state" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xdbfdc01e, "drm_crtc_wait_one_vblank" },
	{ 0xfb5f3b25, "drm_modeset_lock" },
	{ 0xa8feccad, "drm_modeset_unlock" },
	{ 0xf6e1f406, "drm_panel_bridge_set_orientation" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x7125ebfe, "_dev_err" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x7d72217c, "drm_edid_connector_add_modes" },
	{ 0x273dc9d6, "drm_hdmi_connector_get_output_format_name" },
	{ 0xa15bb9ea, "drm_modeset_lock_single_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9e96bccc, "mutex_lock" },
	{ 0xed5de40a, "seq_putc" },
	{ 0x5a8abc53, "drm_kms_helper_connector_hotplug_event" },
	{ 0xf0e9fdc3, "drm_crtc_commit_wait" },
	{ 0xa527ed57, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0xb00e62cb, "drmm_connector_init" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x163ac19, "cec_unregister_adapter" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xc118cdb5, "drm_object_attach_property" },
	{ 0xea593f6, "hdmi_drm_infoframe_init" },
	{ 0x2456af40, "drm_atomic_get_old_private_obj_state" },
	{ 0xfb6de4d6, "__drm_dev_dbg" },
	{ 0xbe4de675, "cec_get_edid_phys_addr" },
	{ 0xdcb764ad, "memset" },
	{ 0x5e623f23, "_dev_warn" },
	{ 0xd9f69ca5, "drmm_kmalloc" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xfd46a179, "fwnode_handle_get" },
	{ 0x94a84a2d, "__init_waitqueue_head" },
	{ 0xbea9b9fe, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x98fed39f, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xa42d38c9, "mutex_trylock" },
	{ 0x69e7c56b, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb77eb2d4, "cec_allocate_adapter" },
	{ 0xc4284ce0, "drm_object_property_set_value" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0xb482edd5, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xc046d81e, "drm_kms_helper_hotplug_event" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa6457c89, "hdmi_infoframe_pack" },
	{ 0xc0c58bb8, "drm_bridge_is_panel" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xeef7094f, "seq_printf" },
	{ 0xca4b8034, "drm_helper_probe_single_connector_modes" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x65702bd6, "drm_default_rgb_quant_range" },
	{ 0x79757652, "drm_hdmi_avi_infoframe_quant_range" },
	{ 0x3b5500ff, "i2c_transfer" },
	{ 0x34723075, "drm_display_mode_from_cea_vic" },
	{ 0xac83c810, "seq_puts" },
	{ 0x9b285573, "drm_match_cea_mode" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9df9f279, "cec_fill_conn_info_from_drm" },
	{ 0xdc2a98b7, "drm_atomic_helper_connector_reset" },
	{ 0x28e2bc29, "drm_sysfs_connector_property_event" },
	{ 0xe2ae9939, "kmalloc_trace" },
	{ 0xc308ec50, "cec_received_msg_ts" },
	{ 0xa45d7939, "drmm_connector_hdmi_init" },
	{ 0xa1f5ced, "drm_hdmi_vendor_infoframe_from_display_mode" },
	{ 0xfa15319, "param_ops_int" },
	{ 0xfa50e426, "__mutex_rt_init" },
	{ 0xf83c8f4b, "devm_backlight_device_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x95ececc5, "kmalloc_caches" },
	{ 0x37f84907, "drm_atomic_get_connector_state" },
	{ 0x5e5128bf, "drm_edid_get_monitor_name" },
	{ 0x4324580a, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x74090376, "cec_register_adapter" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "drm,cec,drm_kms_helper");


MODULE_INFO(srcversion, "E55FF1B10DBE147058145F2");
MODULE_INFO(rhelversion, "9.6");
