#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");

SYMBOL_CRC(drm_gem_shmem_create, 0xe74a37e8, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0x16a90623, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0x86f56417, "");
SYMBOL_CRC(drm_gem_shmem_pin_locked, 0xb9f3cef0, "");
SYMBOL_CRC(drm_gem_shmem_unpin_locked, 0x0eda21c5, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0x5fc5a6cb, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0x9389d27a, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0x2a39a886, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0xae2a92e2, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0xb70e5f97, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0xda7cea42, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0x4be93938, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0x43a82153, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0x00eecb82, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0x3659469d, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0x63a8c368, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0xa9cb6f0a, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0x0b464229, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa27dbd27, "ww_mutex_lock_interruptible" },
	{ 0x9fa2534c, "vmf_insert_pfn" },
	{ 0xbb1e7911, "drm_gem_get_pages" },
	{ 0x4fe11d96, "dma_buf_vmap" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xae9c7531, "invalidate_mapping_pages" },
	{ 0xa6b2431b, "ww_mutex_unlock" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x220b495f, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0x4ca3267, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x291cc4d6, "drm_gem_create_mmap_offset" },
	{ 0xb30d2181, "drm_gem_object_init" },
	{ 0x1c7e05a0, "dev_driver_string" },
	{ 0x49e39fb4, "drm_gem_private_object_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xef7dbf99, "drm_gem_vm_close" },
	{ 0xf93985ba, "drm_gem_vm_open" },
	{ 0x16ca47be, "down_write" },
	{ 0x380f5788, "up_write" },
	{ 0x4abe8e28, "drm_gem_object_release" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x864bcc5, "ww_mutex_lock" },
	{ 0x26a7f5ec, "vmap" },
	{ 0x62526930, "drm_gem_handle_create" },
	{ 0xfb6de4d6, "__drm_dev_dbg" },
	{ 0x24fe69a1, "drm_prime_pages_to_sg" },
	{ 0x679c5e39, "dma_buf_vunmap" },
	{ 0x4dc44f63, "shmem_truncate_range" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x210c3a28, "dma_map_sgtable" },
	{ 0x48b3ca67, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdba21307, "dma_unmap_sg_attrs" },
	{ 0xe2ae9939, "kmalloc_trace" },
	{ 0xf7579ffb, "drm_gem_put_pages" },
	{ 0xfafb40c9, "drm_gem_private_object_fini" },
	{ 0x95ececc5, "kmalloc_caches" },
	{ 0x77938b78, "drm_prime_gem_destroy" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "A6CE38331A05B1B8CAE5812");
MODULE_INFO(rhelversion, "9.6");
