#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stm_register_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_data_write, "_gpl", "");
KSYMTAB_FUNC(stm_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_write, "_gpl", "");
KSYMTAB_FUNC(to_pdrv_policy_node, "_gpl", "");

SYMBOL_CRC(stm_register_protocol, 0xc5440e90, "_gpl");
SYMBOL_CRC(stm_unregister_protocol, 0xa9712094, "_gpl");
SYMBOL_CRC(stm_data_write, 0x6c86271c, "_gpl");
SYMBOL_CRC(stm_register_device, 0x51af3ca1, "_gpl");
SYMBOL_CRC(stm_unregister_device, 0xdfc389d8, "_gpl");
SYMBOL_CRC(stm_source_register_device, 0x4eee7b36, "_gpl");
SYMBOL_CRC(stm_source_unregister_device, 0xc4f7fcd3, "_gpl");
SYMBOL_CRC(stm_source_write, 0xf4816521, "_gpl");
SYMBOL_CRC(to_pdrv_policy_node, 0x0efb1c51, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8313795b, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4d26de1d, "config_group_init" },
	{ 0xd64ed259, "__memcat_p" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xdf68d96e, "device_unregister" },
	{ 0x1c5ca587, "pm_runtime_set_autosuspend_delay" },
	{ 0x535791c4, "rt_mutex_base_init" },
	{ 0xcff01121, "vm_iomap_memory" },
	{ 0x1596c10d, "config_item_get" },
	{ 0xbcae9ec7, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xdb936ba8, "synchronize_srcu" },
	{ 0x393ef53e, "__dynamic_dev_dbg" },
	{ 0x52b91426, "configfs_unregister_subsystem" },
	{ 0x8087e2fc, "__pm_runtime_set_status" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x30285f8, "put_device" },
	{ 0x45c91586, "pm_runtime_enable" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x8f284b3a, "module_put" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf9b09713, "init_srcu_struct" },
	{ 0x16ca47be, "down_write" },
	{ 0x380f5788, "up_write" },
	{ 0xdd153499, "configfs_register_subsystem" },
	{ 0x8d854ed2, "device_add" },
	{ 0xdac4913a, "bitmap_allocate_region" },
	{ 0x8c78fb02, "__srcu_read_lock" },
	{ 0x9c513e30, "config_group_init_type_name" },
	{ 0x9e96bccc, "mutex_lock" },
	{ 0x4af0f6a2, "class_unregister" },
	{ 0xdd5501c, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xdcb764ad, "memset" },
	{ 0x14429285, "__get_task_comm" },
	{ 0x268d5fab, "rt_spin_unlock" },
	{ 0x663c3a68, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6036ba59, "rt_spin_lock" },
	{ 0x627a42b1, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6def6aab, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xc66caba3, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0xb482edd5, "mutex_unlock" },
	{ 0x40e36b48, "config_item_put" },
	{ 0x31b14ffe, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6c1eb499, "kobject_set_name" },
	{ 0xdf9f7908, "device_match_name" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x546fbc86, "__srcu_read_unlock" },
	{ 0xe2ae9939, "kmalloc_trace" },
	{ 0x28c88359, "__pm_runtime_suspend" },
	{ 0x38778685, "__pm_runtime_use_autosuspend" },
	{ 0x1dde9e89, "__pm_runtime_disable" },
	{ 0xfa50e426, "__mutex_rt_init" },
	{ 0x2fd8866b, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x95ececc5, "kmalloc_caches" },
	{ 0x3ca97c75, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F8F69BDCAFE2113ED1BC33F");
MODULE_INFO(rhelversion, "9.6");
