#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i3c_device_do_priv_xfers, "_gpl", "");
KSYMTAB_FUNC(i3c_device_get_info, "_gpl", "");
KSYMTAB_FUNC(i3c_device_disable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_enable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_request_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_free_ibi, "_gpl", "");
KSYMTAB_FUNC(i3cdev_to_dev, "_gpl", "");
KSYMTAB_FUNC(i3c_device_match_id, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_register_with_owner, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(i3c_master_get_free_addr, "_gpl", "");
KSYMTAB_FUNC(i3c_master_entdaa_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_disec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_enec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_defslvs_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_do_daa, "_gpl", "");
KSYMTAB_FUNC(i3c_master_set_info, "_gpl", "");
KSYMTAB_FUNC(i3c_master_add_i3c_dev_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_queue_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_free_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_alloc_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_get_free_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_recycle_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_master_register, "_gpl", "");
KSYMTAB_FUNC(i3c_master_unregister, "_gpl", "");

SYMBOL_CRC(i3c_device_do_priv_xfers, 0x2e56e64d, "_gpl");
SYMBOL_CRC(i3c_device_get_info, 0x3090b1ac, "_gpl");
SYMBOL_CRC(i3c_device_disable_ibi, 0x86ffb8e8, "_gpl");
SYMBOL_CRC(i3c_device_enable_ibi, 0x97d5f440, "_gpl");
SYMBOL_CRC(i3c_device_request_ibi, 0x8da5d057, "_gpl");
SYMBOL_CRC(i3c_device_free_ibi, 0xc6a0d630, "_gpl");
SYMBOL_CRC(i3cdev_to_dev, 0xb373c8fd, "_gpl");
SYMBOL_CRC(i3c_device_match_id, 0x0b7d2d74, "_gpl");
SYMBOL_CRC(i3c_driver_register_with_owner, 0xbc50ffa4, "_gpl");
SYMBOL_CRC(i3c_driver_unregister, 0x7d1c5993, "_gpl");
SYMBOL_CRC(i3c_master_get_free_addr, 0xb2169a9f, "_gpl");
SYMBOL_CRC(i3c_master_entdaa_locked, 0xe50bd58e, "_gpl");
SYMBOL_CRC(i3c_master_disec_locked, 0x9b9df494, "_gpl");
SYMBOL_CRC(i3c_master_enec_locked, 0xc9d4266c, "_gpl");
SYMBOL_CRC(i3c_master_defslvs_locked, 0x8ace962c, "_gpl");
SYMBOL_CRC(i3c_master_do_daa, 0xef96161e, "_gpl");
SYMBOL_CRC(i3c_master_set_info, 0xd38b8600, "_gpl");
SYMBOL_CRC(i3c_master_add_i3c_dev_locked, 0x51d2cbe4, "_gpl");
SYMBOL_CRC(i3c_master_queue_ibi, 0xde9f9956, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_free_pool, 0x76fe3e05, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_alloc_pool, 0x779d1b70, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_get_free_slot, 0xa525f43a, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_recycle_slot, 0x2c8305b0, "_gpl");
SYMBOL_CRC(i3c_master_register, 0x8ebd05ca, "_gpl");
SYMBOL_CRC(i3c_master_unregister, 0x07cf2088, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x27e1cf3c, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x83547558, "devm_kmalloc" },
	{ 0xe119302a, "of_property_read_variable_u32_array" },
	{ 0xd7324dbc, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xdf68d96e, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x535791c4, "rt_mutex_base_init" },
	{ 0xbcae9ec7, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6fb5fb0, "of_get_next_available_child" },
	{ 0x393ef53e, "__dynamic_dev_dbg" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x30285f8, "put_device" },
	{ 0xf9452389, "i2c_del_adapter" },
	{ 0x938915b2, "idr_remove" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xcff27e7f, "bus_unregister" },
	{ 0x16ca47be, "down_write" },
	{ 0x7125ebfe, "_dev_err" },
	{ 0x380f5788, "up_write" },
	{ 0x8d854ed2, "device_add" },
	{ 0xc6efaf99, "idr_alloc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9e96bccc, "mutex_lock" },
	{ 0x9166fada, "strncpy" },
	{ 0x4396af44, "driver_unregister" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x86b8b8e4, "i2c_new_client_device" },
	{ 0xd96fc30, "device_register" },
	{ 0x4c60edb2, "device_del" },
	{ 0xa7327b57, "idr_destroy" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x268d5fab, "rt_spin_unlock" },
	{ 0xe9690b6d, "down_read" },
	{ 0x6036ba59, "rt_spin_lock" },
	{ 0x69e7c56b, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb482edd5, "mutex_unlock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe2ae9939, "kmalloc_trace" },
	{ 0x401deff7, "of_i2c_get_board_info" },
	{ 0x9874bc10, "up_read" },
	{ 0x26bfbe2a, "driver_register" },
	{ 0xfa50e426, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x95ececc5, "kmalloc_caches" },
	{ 0x5b7b355, "bus_register" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2CAED58C89902178FD59920");
MODULE_INFO(rhelversion, "9.6");
