#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iommufd_device_bind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_has_group, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_unbind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_ictx, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_id, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_create, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_destroy, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_unpin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_pin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_rw, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_get, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_file, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_fd, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_put, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_get_id, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_set_no_iommu, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_create, "_gpl", "IOMMUFD_VFIO");

SYMBOL_CRC(iommufd_device_bind, 0xe4cba9a0, "_gpl");
SYMBOL_CRC(iommufd_ctx_has_group, 0x0e18cddf, "_gpl");
SYMBOL_CRC(iommufd_device_unbind, 0x926538e0, "_gpl");
SYMBOL_CRC(iommufd_device_to_ictx, 0x8a887389, "_gpl");
SYMBOL_CRC(iommufd_device_to_id, 0x17739b50, "_gpl");
SYMBOL_CRC(iommufd_device_attach, 0xb08b102b, "_gpl");
SYMBOL_CRC(iommufd_device_replace, 0x8709fb59, "_gpl");
SYMBOL_CRC(iommufd_device_detach, 0x7c78e5dd, "_gpl");
SYMBOL_CRC(iommufd_access_create, 0xd0a46b02, "_gpl");
SYMBOL_CRC(iommufd_access_destroy, 0x44e68043, "_gpl");
SYMBOL_CRC(iommufd_access_detach, 0xc6eb3911, "_gpl");
SYMBOL_CRC(iommufd_access_attach, 0x1f243268, "_gpl");
SYMBOL_CRC(iommufd_access_replace, 0xecaf5e2b, "_gpl");
SYMBOL_CRC(iommufd_access_unpin_pages, 0x136f1499, "_gpl");
SYMBOL_CRC(iommufd_access_pin_pages, 0x2cf050d3, "_gpl");
SYMBOL_CRC(iommufd_access_rw, 0x28dac1d0, "_gpl");
SYMBOL_CRC(iommufd_ctx_get, 0x36c1b517, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_file, 0x21f19afe, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_fd, 0xa50a890f, "_gpl");
SYMBOL_CRC(iommufd_ctx_put, 0x2acd6f0c, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_get_id, 0xc7c6e184, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_set_no_iommu, 0x264f7451, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_create, 0xe008fdd4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b6b0dde, "pin_user_pages_fast" },
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0xac996f9b, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x27e1cf3c, "__init_rwsem" },
	{ 0xd1d041c1, "misc_deregister" },
	{ 0xe575f22b, "iommu_device_claim_dma_owner" },
	{ 0x7beedb1e, "iopf_free_group" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x60c2488b, "iommu_group_get" },
	{ 0xde05305c, "pin_user_pages_remote" },
	{ 0x3d38732f, "iommu_iova_to_phys" },
	{ 0x535791c4, "rt_mutex_base_init" },
	{ 0xfbd2a5bb, "finish_wait" },
	{ 0xc9176101, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xecfdf25c, "fget" },
	{ 0x64a21185, "__put_task_struct" },
	{ 0x59006004, "__xas_next" },
	{ 0x826ead9d, "xas_find" },
	{ 0xea23aca0, "iommu_dev_disable_feature" },
	{ 0x104071c0, "unpin_user_pages" },
	{ 0xd11be8d, "fd_install" },
	{ 0x7ebb1b14, "iopf_group_response" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x10cdf2d4, "unpin_user_page_range_dirty_lock" },
	{ 0xb0f01d6e, "__account_locked_vm" },
	{ 0xb6597f13, "prepare_to_wait_event" },
	{ 0xbe118c52, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x3e53496, "__wake_up" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x5efdd68b, "__tracepoint_mmap_lock_released" },
	{ 0x7c2a4489, "iommu_group_replace_domain" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x6dffe060, "kthread_use_mm" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xdd1e6ac8, "iommu_detach_group_handle" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa753e5f3, "iommu_detach_group" },
	{ 0x4b081803, "iommu_paging_domain_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7429297b, "interval_tree_span_iter_next" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x5e80b27b, "iommu_dev_enable_feature" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6fff261f, "__arch_clear_user" },
	{ 0x9598843d, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xcde30889, "fput" },
	{ 0x16ca47be, "down_write" },
	{ 0x5e7f71bf, "iommu_domain_free" },
	{ 0x380f5788, "up_write" },
	{ 0x48a27b3e, "iommu_get_msi_cookie" },
	{ 0xe8594373, "xas_store" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x26652be2, "iommu_unmap" },
	{ 0x5f0c7d1f, "xa_load" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x87f6cbde, "xas_load" },
	{ 0x9e96bccc, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x856aba7b, "iommu_attach_handle_get" },
	{ 0x2a36df7e, "iommu_replace_group_handle" },
	{ 0x174842e5, "iommu_device_release_dma_owner" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xdcb764ad, "memset" },
	{ 0x5e623f23, "_dev_warn" },
	{ 0x21a99656, "misc_register" },
	{ 0x81367332, "unpin_user_page" },
	{ 0x94a84a2d, "__init_waitqueue_head" },
	{ 0x268d5fab, "rt_spin_unlock" },
	{ 0x11826022, "iommu_put_resv_regions" },
	{ 0xe9690b6d, "down_read" },
	{ 0xc3843717, "__mmdrop" },
	{ 0x6036ba59, "rt_spin_lock" },
	{ 0x405b6c10, "__xa_cmpxchg" },
	{ 0x627a42b1, "nonseekable_open" },
	{ 0xbb995ae6, "xa_erase" },
	{ 0x68f72fd9, "__mmap_lock_do_trace_start_locking" },
	{ 0x79d2213b, "iommu_get_resv_regions" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x50f02615, "mmput" },
	{ 0xb482edd5, "mutex_unlock" },
	{ 0xedbdc3a, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x1c5d8e0c, "xa_destroy" },
	{ 0x7b0464bb, "xa_find" },
	{ 0xc1e6986e, "interval_tree_span_iter_first" },
	{ 0xbd628752, "__tracepoint_mmap_lock_start_locking" },
	{ 0xd7d4277, "__mmap_lock_do_trace_released" },
	{ 0xed6ac11a, "xa_store" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x1d12a062, "set_page_dirty_lock" },
	{ 0x7e8963b9, "device_iommu_capable" },
	{ 0x4ad57a24, "xas_nomem" },
	{ 0xd5f3e55a, "iommu_map" },
	{ 0x28652f5e, "free_uid" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x53444294, "kthread_unuse_mm" },
	{ 0x76517f03, "interval_tree_span_iter_advance" },
	{ 0x11e1fff3, "iommu_attach_group_handle" },
	{ 0xe2ae9939, "kmalloc_trace" },
	{ 0xe6616058, "xa_find_after" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0x65bb1f90, "iommu_attach_group" },
	{ 0x6d49c8ed, "iommu_group_has_isolated_msi" },
	{ 0x9874bc10, "up_read" },
	{ 0xfa50e426, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x943ac75c, "pci_bus_type" },
	{ 0x95ececc5, "kmalloc_caches" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0D416640E735BA99285DAB9");
MODULE_INFO(rhelversion, "9.6");
