#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_snap_origin, "", "");
KSYMTAB_FUNC(dm_snap_cow, "", "");
KSYMTAB_FUNC(dm_exception_store_type_register, "", "");
KSYMTAB_FUNC(dm_exception_store_type_unregister, "", "");
KSYMTAB_FUNC(dm_exception_store_create, "", "");
KSYMTAB_FUNC(dm_exception_store_destroy, "", "");

SYMBOL_CRC(dm_snap_origin, 0x514bbaa1, "");
SYMBOL_CRC(dm_snap_cow, 0xdabc66ed, "");
SYMBOL_CRC(dm_exception_store_type_register, 0x078a6c28, "");
SYMBOL_CRC(dm_exception_store_type_unregister, 0x643c2498, "");
SYMBOL_CRC(dm_exception_store_create, 0x8fe5aacc, "");
SYMBOL_CRC(dm_exception_store_destroy, 0x307610be, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd79e8678, "bio_associate_blkg" },
	{ 0x4604342f, "dm_internal_resume_fast" },
	{ 0x8313795b, "try_module_get" },
	{ 0x27e1cf3c, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x7aa93a1a, "param_ops_uint" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xf2a8efae, "dm_kcopyd_do_callback" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2f7f0b6e, "dm_per_bio_data" },
	{ 0xe9f000b0, "dm_put_device" },
	{ 0xca9360b5, "rb_next" },
	{ 0x53938d9b, "dm_table_get_size" },
	{ 0x6cdb2d56, "dm_bufio_prefetch" },
	{ 0x535791c4, "rt_mutex_base_init" },
	{ 0xfbd2a5bb, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0xb797ad62, "mempool_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x22161744, "dm_hold" },
	{ 0x37a0cba, "kfree" },
	{ 0xf1f88a0e, "dm_kcopyd_prepare_callback" },
	{ 0xb04f56ab, "dm_bufio_read" },
	{ 0x601f665f, "dm_io_client_create" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb6597f13, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x3e53496, "__wake_up" },
	{ 0x2b42ebce, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x998a567c, "mempool_free" },
	{ 0x92997ed8, "_printk" },
	{ 0x9dd9df13, "dm_kcopyd_client_create" },
	{ 0x1000e51, "schedule" },
	{ 0xd0dcde3d, "dm_accept_partial_bio" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xec9d59c4, "mempool_alloc" },
	{ 0xdd651d70, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x8f284b3a, "module_put" },
	{ 0xeca7949e, "dm_bufio_client_destroy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x3ef16aa7, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x16ca47be, "down_write" },
	{ 0x380f5788, "up_write" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xd2cf894f, "__wake_up_locked" },
	{ 0x13d4c2c, "dm_suspended" },
	{ 0xe734bac0, "submit_bio_noacct" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x123b1f6a, "kmem_cache_free" },
	{ 0x7d27e504, "dm_shift_arg" },
	{ 0x6d7c9c36, "dm_bufio_client_create" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xe6024e59, "dm_bufio_release" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x2d7ab48, "dm_unregister_target" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x11089ac7, "_ctype" },
	{ 0x15477900, "dm_set_target_max_io_len" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xdcdfafc, "dm_kcopyd_zero" },
	{ 0xdcb764ad, "memset" },
	{ 0x84eca0e5, "dm_table_event" },
	{ 0x2c816781, "dm_internal_suspend_fast" },
	{ 0x39c74235, "dm_read_arg_group" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x94a84a2d, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x268d5fab, "rt_spin_unlock" },
	{ 0x559f6d83, "dm_put" },
	{ 0x9e4faeef, "dm_io_client_destroy" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe9690b6d, "down_read" },
	{ 0x6036ba59, "rt_spin_lock" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x8fbe77e0, "dm_kcopyd_copy" },
	{ 0xfa660933, "dm_register_target" },
	{ 0x999e8297, "vfree" },
	{ 0x154c6338, "dm_kcopyd_client_destroy" },
	{ 0xd9cd7523, "dm_table_get_mode" },
	{ 0x91f00abc, "dm_bufio_set_minimum_buffers" },
	{ 0x954b708b, "blkdev_issue_flush" },
	{ 0xea0912b1, "remove_wait_queue" },
	{ 0x4a5f4e70, "dm_table_get_md" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd991e3b9, "dm_bufio_get_device_size" },
	{ 0xe2ae9939, "kmalloc_trace" },
	{ 0x6b0ab605, "dm_io" },
	{ 0x7d85398c, "dm_get_device" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x9874bc10, "up_read" },
	{ 0xcd2ba798, "dm_bufio_forget" },
	{ 0xb9e03995, "dm_bio_get_target_bio_nr" },
	{ 0x669c191b, "dm_consume_args" },
	{ 0x95ececc5, "kmalloc_caches" },
	{ 0x6b69cd61, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd22bd67a, "kmem_cache_destroy" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "dm-mod,dm-bufio");


MODULE_INFO(srcversion, "E733703757C08D5A4B8DEBE");
MODULE_INFO(rhelversion, "9.6");
