#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cec_allocate_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_register_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_unregister_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_delete_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_get_edid_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_fill_conn_info_from_drm, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_cec_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_hpd_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_5v_event, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_attempt_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_msg, "_gpl", "");
KSYMTAB_FUNC(cec_received_msg_ts, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_s_conn_info, "_gpl", "");
KSYMTAB_FUNC(cec_s_log_addrs, "_gpl", "");

SYMBOL_CRC(cec_allocate_adapter, 0xb77eb2d4, "_gpl");
SYMBOL_CRC(cec_register_adapter, 0x74090376, "_gpl");
SYMBOL_CRC(cec_unregister_adapter, 0x0163ac19, "_gpl");
SYMBOL_CRC(cec_delete_adapter, 0x829fcc81, "_gpl");
SYMBOL_CRC(cec_get_edid_phys_addr, 0xbe4de675, "_gpl");
SYMBOL_CRC(cec_fill_conn_info_from_drm, 0x9df9f279, "_gpl");
SYMBOL_CRC(cec_queue_pin_cec_event, 0xfe51161f, "_gpl");
SYMBOL_CRC(cec_queue_pin_hpd_event, 0xaa40c728, "_gpl");
SYMBOL_CRC(cec_queue_pin_5v_event, 0xdebf3125, "_gpl");
SYMBOL_CRC(cec_transmit_done_ts, 0x98a2d3ab, "_gpl");
SYMBOL_CRC(cec_transmit_attempt_done_ts, 0xe2d34bc5, "_gpl");
SYMBOL_CRC(cec_transmit_msg, 0x3d014f98, "_gpl");
SYMBOL_CRC(cec_received_msg_ts, 0xc308ec50, "_gpl");
SYMBOL_CRC(cec_s_phys_addr, 0xb3be7e76, "_gpl");
SYMBOL_CRC(cec_s_phys_addr_from_edid, 0x22f0794a, "_gpl");
SYMBOL_CRC(cec_s_conn_info, 0x9e034933, "_gpl");
SYMBOL_CRC(cec_s_log_addrs, 0xca3f86a2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd7324dbc, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x98b6f646, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x535791c4, "rt_mutex_base_init" },
	{ 0xfbd2a5bb, "finish_wait" },
	{ 0xbcae9ec7, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54d27b5c, "seq_lseek" },
	{ 0xb6597f13, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x3e53496, "__wake_up" },
	{ 0x5ecd9445, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x16295895, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0xbb166cd9, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9f78efbd, "debugfs_create_devm_seqfile" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x30285f8, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xcff27e7f, "bus_unregister" },
	{ 0x9e96bccc, "mutex_lock" },
	{ 0xe7dc472, "debugfs_remove" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xfe7f35de, "kthread_stop" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x94a84a2d, "__init_waitqueue_head" },
	{ 0xbb7f5ad, "kthread_create_on_node" },
	{ 0x7ca0f38f, "seq_read" },
	{ 0x5f7cf74, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0xb482edd5, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xedbdc3a, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x6c1eb499, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xeef7094f, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xac83c810, "seq_puts" },
	{ 0x9994e237, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe2ae9939, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xfa15319, "param_ops_int" },
	{ 0x1cf06f76, "single_open" },
	{ 0x9610a17c, "debugfs_create_dir" },
	{ 0xfa50e426, "__mutex_rt_init" },
	{ 0x5c2b546e, "cdev_init" },
	{ 0x95ececc5, "kmalloc_caches" },
	{ 0x5b7b355, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6E16BA39B674A2A31DB9EFC");
MODULE_INFO(rhelversion, "9.6");
