#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(of_can_transceiver, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0x2159192f, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0xbf8e6326, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0x6d7e7819, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0x4eac0fa1, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0x6f3d4bfb, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0x0bdbc5e1, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0xe7d1ffb7, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0x2a4139a9, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_change_state, 0x4ea5041e, "_gpl");
SYMBOL_CRC(can_bus_off, 0xa5dbd87f, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0xfcecaee7, "_gpl");
SYMBOL_CRC(free_candev, 0xed8dc7b8, "_gpl");
SYMBOL_CRC(can_change_mtu, 0x4f760faf, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0x5b60dcba, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0x88917845, "");
SYMBOL_CRC(open_candev, 0x15286ffa, "_gpl");
SYMBOL_CRC(of_can_transceiver, 0xcd009c33, "_gpl");
SYMBOL_CRC(close_candev, 0x19c09ff4, "_gpl");
SYMBOL_CRC(register_candev, 0xf1ae33ec, "_gpl");
SYMBOL_CRC(unregister_candev, 0xbe354b8a, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0x1dfd5252, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0xc7cf1c12, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x29cf1627, "skb_put" },
	{ 0x89226e07, "gpiod_set_value" },
	{ 0xe880c9d0, "skb_tstamp_tx" },
	{ 0xe119302a, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa797f98c, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xed0a0a5f, "unregister_netdev" },
	{ 0xde8880c5, "rtnl_link_register" },
	{ 0x2bf91b7e, "netdev_warn" },
	{ 0xe7fa9b13, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x734764a9, "netdev_err" },
	{ 0x164b1097, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xa77c394a, "device_property_read_u32_array" },
	{ 0x2ab2551c, "of_get_child_by_name" },
	{ 0xa68319b6, "rtnl_link_unregister" },
	{ 0xf8a64594, "sk_skb_reason_drop" },
	{ 0xf00a075f, "nla_put" },
	{ 0x99724181, "register_netdev" },
	{ 0xa6156f67, "free_netdev" },
	{ 0xdcb764ad, "memset" },
	{ 0xdbdb8af1, "sock_efree" },
	{ 0x7c5787b5, "netif_rx" },
	{ 0xadf59eab, "__netdev_alloc_skb" },
	{ 0x8514e418, "skb_trim" },
	{ 0x9a83633c, "__dynamic_netdev_dbg" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0x803b1a9e, "netif_carrier_off" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x38f9bcc5, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x716c0759, "netif_carrier_on" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xbaa92d50, "dev_err_probe" },
	{ 0x788cbe70, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x85a42a9, "skb_clone_tx_timestamp" },
	{ 0x28435eab, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C85A0E37287CD8A1D19CA13");
MODULE_INFO(rhelversion, "9.6");
