#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x2bbb995b, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x6466edf3, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x6afe2978, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xf0423b36, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xf19c8209, "__skb_checksum_complete" },
	{ 0x2f75e65a, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xe25e1cde, "skb_copy_bits" },
	{ 0x37771cbc, "__nlmsg_put" },
	{ 0x64346638, "netdev_adjacent_change_commit" },
	{ 0x7ecbdba0, "eth_mac_addr" },
	{ 0x29cf1627, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x32adee9, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe16126cb, "ip6_dst_hoplimit" },
	{ 0x82e82918, "param_ops_ushort" },
	{ 0xa797f98c, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xa35b55e3, "udp_sock_create4" },
	{ 0x535791c4, "rt_mutex_base_init" },
	{ 0xc1b47f65, "udp_tunnel6_xmit_skb" },
	{ 0xde8880c5, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x2e5515e7, "__unregister_nexthop_notifier" },
	{ 0x76a31612, "netif_inherit_tso_max" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe85156b8, "eth_validate_addr" },
	{ 0x38bd64a1, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x692c402f, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7ff1c478, "rtnl_create_link" },
	{ 0xe7627af1, "unregister_netdevice_queue" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xb3a18586, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xc0b38726, "ether_setup" },
	{ 0xd94533b7, "udp_tunnel_drop_rx_port" },
	{ 0x64a228a7, "netdev_upper_dev_link" },
	{ 0x2e8f0cd7, "pskb_expand_head" },
	{ 0x50ce4dc0, "register_pernet_subsys" },
	{ 0xc7de9fbf, "eth_type_trans" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x53ca8f0d, "__alloc_skb" },
	{ 0x38deb461, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x760474e8, "eth_gro_complete" },
	{ 0xae1ccea7, "rtnl_set_sk_err" },
	{ 0x9532c8b4, "eth_gro_receive" },
	{ 0xa2aa05bf, "rtnl_configure_link" },
	{ 0x31aeb8e6, "skb_tunnel_check_pmtu" },
	{ 0x7c806d45, "udp_tunnel_dst_lookup" },
	{ 0xf82d06f9, "rtnl_unicast" },
	{ 0x11074e31, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9cb4f41c, "__skb_get_hash_net" },
	{ 0xd24c2d3f, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x26d17c37, "__dev_get_by_index" },
	{ 0xa68319b6, "rtnl_link_unregister" },
	{ 0x9b4053b2, "ipv6_stub" },
	{ 0x35014501, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x7b986277, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf8a64594, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xcf407d58, "dev_get_by_index_rcu" },
	{ 0xf9a23a67, "gro_cells_receive" },
	{ 0x8cea02d, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xd4a3a8c8, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0xa6156f67, "free_netdev" },
	{ 0x4cba5ed1, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x744becec, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x52c34b71, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8135318f, "ethtool_op_get_link" },
	{ 0x63a1cecf, "nexthop_find_by_id" },
	{ 0x92705508, "arp_create" },
	{ 0xbe06b82f, "__ethtool_get_link_ksettings" },
	{ 0x4a880e4, "netdev_adjacent_change_prepare" },
	{ 0x2f861c8d, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xa9363661, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x30e18e33, "rhashtable_free_and_destroy" },
	{ 0xdcb764ad, "memset" },
	{ 0x9a2c7570, "rht_bucket_nested_insert" },
	{ 0x6e3abe7, "netdev_adjacent_change_abort" },
	{ 0x470b8cdc, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x5d1af108, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe3dfd6d5, "__iptunnel_pull_header" },
	{ 0x13a10ef5, "__pskb_pull_tail" },
	{ 0x58c251c2, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x7c5787b5, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x917eaf8f, "rhashtable_destroy" },
	{ 0x268d5fab, "rt_spin_unlock" },
	{ 0x50167b17, "setup_udp_tunnel_sock" },
	{ 0x6b014776, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8514e418, "skb_trim" },
	{ 0x6036ba59, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x9a83633c, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2280d1b8, "skb_scrub_packet" },
	{ 0xba0d8ff9, "nexthop_select_path" },
	{ 0xe4e1a0ed, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x11765883, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x24ee8da4, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xedbdc3a, "param_ops_bool" },
	{ 0xc8e402e2, "udp_tun_rx_dst" },
	{ 0xbaabe29c, "rtnl_notify" },
	{ 0x303445b, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb2af0a84, "__netif_rx" },
	{ 0x38f9bcc5, "skb_clone" },
	{ 0xda0061ac, "metadata_dst_alloc" },
	{ 0xfa1d2218, "dst_release" },
	{ 0xf6076528, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xada1e2bb, "udp_tunnel_notify_del_rx_port" },
	{ 0x719d4f24, "register_nexthop_notifier" },
	{ 0x6e8e3914, "ip_mc_leave_group" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe2ae9939, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85c979, "gro_find_receive_by_type" },
	{ 0x859492d0, "netdev_core_stats_inc" },
	{ 0x95ececc5, "kmalloc_caches" },
	{ 0x28435eab, "netdev_info" },
	{ 0x845251ec, "neigh_lookup" },
	{ 0xf5c04ea, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x301cf308, "register_netdevice" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "2843CFAE04B8BC03483FF07");
MODULE_INFO(rhelversion, "9.6");
