#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wwan_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_put_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_create_port, "_gpl", "");
KSYMTAB_FUNC(wwan_remove_port, "_gpl", "");
KSYMTAB_FUNC(wwan_port_rx, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txon, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txoff, "_gpl", "");
KSYMTAB_FUNC(wwan_port_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(wwan_register_ops, "_gpl", "");
KSYMTAB_FUNC(wwan_unregister_ops, "_gpl", "");

SYMBOL_CRC(wwan_get_debugfs_dir, 0x0258b936, "_gpl");
SYMBOL_CRC(wwan_put_debugfs_dir, 0x6f1a3325, "_gpl");
SYMBOL_CRC(wwan_create_port, 0x641cc7f7, "_gpl");
SYMBOL_CRC(wwan_remove_port, 0xb74c31cd, "_gpl");
SYMBOL_CRC(wwan_port_rx, 0x9fc29069, "_gpl");
SYMBOL_CRC(wwan_port_txon, 0x3d9bbf75, "_gpl");
SYMBOL_CRC(wwan_port_txoff, 0x4dff61e5, "_gpl");
SYMBOL_CRC(wwan_port_get_drvdata, 0x526bcf2a, "_gpl");
SYMBOL_CRC(wwan_register_ops, 0x7c9b940e, "_gpl");
SYMBOL_CRC(wwan_unregister_ops, 0x1dd7c3cb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15bb892a, "ida_alloc_range" },
	{ 0x364f29b8, "class_dev_iter_next" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x37771cbc, "__nlmsg_put" },
	{ 0x29cf1627, "skb_put" },
	{ 0xd7324dbc, "dev_set_name" },
	{ 0xa797f98c, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdf68d96e, "device_unregister" },
	{ 0x9e358e0d, "skb_dequeue" },
	{ 0x535791c4, "rt_mutex_base_init" },
	{ 0xfbd2a5bb, "finish_wait" },
	{ 0xde8880c5, "rtnl_link_register" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0x70cfe7ab, "device_for_each_child" },
	{ 0xb6597f13, "prepare_to_wait_event" },
	{ 0x3e53496, "__wake_up" },
	{ 0x7ff1c478, "rtnl_create_link" },
	{ 0xe7627af1, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x45fed257, "skb_queue_purge_reason" },
	{ 0x164b1097, "alloc_netdev_mqs" },
	{ 0x59bc161b, "class_dev_iter_exit" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x30285f8, "put_device" },
	{ 0x53ca8f0d, "__alloc_skb" },
	{ 0x1ae40711, "_dev_info" },
	{ 0xf31fdfe8, "skb_queue_tail" },
	{ 0xa2aa05bf, "rtnl_configure_link" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa68319b6, "rtnl_link_unregister" },
	{ 0x9c8a07cb, "init_net" },
	{ 0x35014501, "skb_pull" },
	{ 0xf8a64594, "sk_skb_reason_drop" },
	{ 0xf0e8e1a, "noop_llseek" },
	{ 0x9e96bccc, "mutex_lock" },
	{ 0xe7dc472, "debugfs_remove" },
	{ 0xf00a075f, "nla_put" },
	{ 0x6f3bd942, "ida_free" },
	{ 0xa6156f67, "free_netdev" },
	{ 0x4af0f6a2, "class_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x63221f91, "class_dev_iter_init" },
	{ 0xd96fc30, "device_register" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xdcb764ad, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x94a84a2d, "__init_waitqueue_head" },
	{ 0x268d5fab, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6036ba59, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb482edd5, "mutex_unlock" },
	{ 0x31b14ffe, "__register_chrdev" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x257d63a6, "stream_open" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe2ae9939, "kmalloc_trace" },
	{ 0xbcf97f4a, "device_find_child_by_name" },
	{ 0x98cf60b3, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x9610a17c, "debugfs_create_dir" },
	{ 0xfa50e426, "__mutex_rt_init" },
	{ 0x2fd8866b, "class_register" },
	{ 0x95ececc5, "kmalloc_caches" },
	{ 0xfcc87d55, "skb_queue_head" },
	{ 0x3ca97c75, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x301cf308, "register_netdevice" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3549841979CC29F5D1EEDEF");
MODULE_INFO(rhelversion, "9.6");
