#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_FUNC(nvme_get_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_admin_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_fabrics_opcode_str, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0x173f8cc6, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x47603a2a, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0xc5365639, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0x9d00ea55, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0xf95fab23, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0xc979cf3f, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x53bb47b0, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x8ffe9002, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x3a5cfaba, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0xb7ffe21f, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0xdd45f259, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0x974b0a1f, "_gpl");
SYMBOL_CRC(nvme_init_request, 0xd20eae0a, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0x444f4cf8, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x39087a2b, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0x8f2fb479, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0xff61855c, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0xa5ca7eab, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0xf35d5e60, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x49e4e230, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x932a9e5f, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x7e9b3d7b, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0xfc4b13bb, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x1ffd65a1, "_gpl");
SYMBOL_CRC(nvme_set_features, 0xcaee4894, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x45585ac9, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x2844533f, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x25dfcd5f, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0xa951f975, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0xc9b6ba9f, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0x2022e0c3, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0xc1ac2f4f, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0x443562a0, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x00f52200, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0xb7dd8914, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0x5d6e7b78, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x0f185235, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x22834475, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x10853920, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0x2500c611, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0x938d9c3a, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0x48ffbb27, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x2910c8c1, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0xf8e0dfdc, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x9fd26677, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0xbf6c542e, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0x4d7808ea, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0xe8105dc4, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0xb19d1bd9, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0x068ba86d, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0x66587959, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0xb03f36ab, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x9800f800, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0xc3493d66, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0xe8a6c52f, "_gpl");
SYMBOL_CRC(nvme_get_opcode_str, 0xedb8efd2, "_gpl");
SYMBOL_CRC(nvme_get_admin_opcode_str, 0xe1edd5b5, "_gpl");
SYMBOL_CRC(nvme_get_fabrics_opcode_str, 0xa7b9633b, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x8e7ec2b6, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x96ab96ea, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x11abc494, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0xf7a2f562, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0x82753ffd, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0x569b01e5, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0x4cd81612, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x92a9951f, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0xf08d9ce3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfaf86ea1, "set_capacity_and_notify" },
	{ 0xd79e8678, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa5955d8e, "set_disk_ro" },
	{ 0xa451bd7e, "__blk_alloc_disk" },
	{ 0x15bb892a, "ida_alloc_range" },
	{ 0x8313795b, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x1042dc19, "blk_rq_integrity_map_user" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x88ead35d, "ida_destroy" },
	{ 0x9538703, "device_remove_file_self" },
	{ 0x7aa93a1a, "param_ops_uint" },
	{ 0xcaa18874, "param_ops_ulong" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd7324dbc, "dev_set_name" },
	{ 0x2f67c8da, "bio_split_to_limits" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0xdeabe138, "dev_pm_qos_expose_latency_tolerance" },
	{ 0x89349070, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4a047f4e, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x7386d8b7, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x98b6f646, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x535791c4, "rt_mutex_base_init" },
	{ 0xfbd2a5bb, "finish_wait" },
	{ 0x233a4b69, "queue_limits_stack_bdev" },
	{ 0xff3a6dac, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0xbcae9ec7, "device_initialize" },
	{ 0x52c41f56, "blk_mq_unquiesce_queue" },
	{ 0x3fefdda8, "blk_mq_quiesce_queue" },
	{ 0x8d31dc6c, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0xd097fe6d, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x3683fa11, "__traceiter_block_bio_remap" },
	{ 0x234ce6f4, "__traceiter_block_bio_complete" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb9e7d28b, "bpf_trace_run2" },
	{ 0xb6597f13, "prepare_to_wait_event" },
	{ 0xda25f182, "disk_uevent" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x3e53496, "__wake_up" },
	{ 0x1c133ae9, "event_triggers_call" },
	{ 0xdb936ba8, "synchronize_srcu" },
	{ 0xba1823a1, "param_ops_byte" },
	{ 0x2b42ebce, "kmem_cache_create" },
	{ 0x5ecd9445, "get_device" },
	{ 0x5c72e0c3, "blk_mq_end_request" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xe9b4011b, "__blk_mq_alloc_disk" },
	{ 0x393ef53e, "__dynamic_dev_dbg" },
	{ 0x998a567c, "mempool_free" },
	{ 0x916758a3, "node_states" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1a77e368, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x97b6560c, "blk_mq_alloc_tag_set" },
	{ 0x31c71832, "blk_rq_is_poll" },
	{ 0xc5e8679c, "trace_event_buffer_commit" },
	{ 0x206ec85c, "crypto_destroy_tfm" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0x63cfc1d7, "mempool_create" },
	{ 0x52e1df0d, "put_disk" },
	{ 0xf85cb0ce, "crypto_alloc_kpp" },
	{ 0xbb166cd9, "cdev_device_add" },
	{ 0x56f12e29, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xf9a1bb66, "blk_execute_rq" },
	{ 0x30285f8, "put_device" },
	{ 0xfffd5db7, "trace_event_ignore_this_pid" },
	{ 0xa68e54fc, "blk_mq_unquiesce_tagset" },
	{ 0xa916b694, "strnlen" },
	{ 0x7f8babee, "kmalloc_node_trace" },
	{ 0xec9d59c4, "mempool_alloc" },
	{ 0x84bd51db, "blk_mq_free_request" },
	{ 0x618911fc, "numa_node" },
	{ 0x72f67ca5, "__free_pages" },
	{ 0x1ae40711, "_dev_info" },
	{ 0x235da99d, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0x8f284b3a, "module_put" },
	{ 0x3edf40ab, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7b28bb72, "nvme_auth_gen_pubkey" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x48b3c66e, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0x59db5678, "blk_mq_quiesce_tagset" },
	{ 0x2a4e3dec, "kobject_uevent_env" },
	{ 0x3ef16aa7, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xf9b09713, "init_srcu_struct" },
	{ 0x903ca073, "perf_trace_run_bpf_submit" },
	{ 0x7125ebfe, "_dev_err" },
	{ 0x872c0a55, "blk_revalidate_disk_zones" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x826c874c, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8d854ed2, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xce90d323, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xee8ebdfe, "sysfs_remove_link" },
	{ 0x496e44c4, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x8c78fb02, "__srcu_read_lock" },
	{ 0xd4d1e4fb, "set_capacity" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xe734bac0, "submit_bio_noacct" },
	{ 0x5f0c7d1f, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9e96bccc, "mutex_lock" },
	{ 0x8d59f72a, "blk_sync_queue" },
	{ 0xfa36299d, "bdev_start_io_acct" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x9da01381, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x3c8efcc0, "blk_mq_alloc_request_hctx" },
	{ 0xd8a46521, "blk_mq_alloc_request" },
	{ 0x6f3bd942, "ida_free" },
	{ 0xdaf769d1, "crypto_shash_update" },
	{ 0x4af0f6a2, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x57dd9f11, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x6d45816d, "del_gendisk" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xdd5501c, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x42feebc5, "blk_set_stacking_limits" },
	{ 0x52be39d2, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x76b8f27f, "blk_put_queue" },
	{ 0x81bc8e0e, "bpf_trace_run1" },
	{ 0x4c60edb2, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xdcb764ad, "memset" },
	{ 0x5e623f23, "_dev_warn" },
	{ 0x4c124a6e, "blk_mq_wait_quiesce_done" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x94a84a2d, "__init_waitqueue_head" },
	{ 0x268d5fab, "rt_spin_unlock" },
	{ 0x53f604ec, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x56e47eb, "bdev_disk_changed" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6036ba59, "rt_spin_lock" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0xbb995ae6, "xa_erase" },
	{ 0x4972a953, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x576eee3e, "blk_mq_complete_request" },
	{ 0x8e6d2006, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xa4b51e0, "trace_event_buffer_reserve" },
	{ 0x2cd130fd, "crypto_shash_final" },
	{ 0xb482edd5, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xedbdc3a, "param_ops_bool" },
	{ 0x97dcc3bc, "blk_mq_destroy_queue" },
	{ 0x1c5d8e0c, "xa_destroy" },
	{ 0xaddb6eb4, "blk_freeze_queue_start" },
	{ 0xc74a7b17, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x7b0464bb, "xa_find" },
	{ 0x826c9d7f, "alloc_pages" },
	{ 0xcd3c5c10, "mempool_destroy" },
	{ 0xaf4329f1, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65f3c8c, "__tracepoint_block_bio_complete" },
	{ 0xed6ac11a, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x546fbc86, "__srcu_read_unlock" },
	{ 0xae64f1dd, "__tracepoint_block_bio_remap" },
	{ 0x784b3513, "blk_mq_unfreeze_queue" },
	{ 0xffa2b907, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0xd4b48e37, "queue_limits_commit_update" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe6616058, "xa_find_after" },
	{ 0xe2ae9939, "kmalloc_trace" },
	{ 0x85f47468, "blk_mark_disk_dead" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x56adc3bf, "crypto_alloc_shash" },
	{ 0x5b7497cc, "blk_mq_freeze_queue_wait" },
	{ 0x8da43bc1, "nvme_auth_gen_privkey" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x5202cbc0, "blk_mq_requeue_request" },
	{ 0xfa50e426, "__mutex_rt_init" },
	{ 0x2fd8866b, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x5c2b546e, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf007450a, "bdev_end_io_acct" },
	{ 0x95ececc5, "kmalloc_caches" },
	{ 0x2e267b3, "blk_steal_bios" },
	{ 0xd22bd67a, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "F02EA9D30425E87D0B882CD");
MODULE_INFO(rhelversion, "9.6");
