#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0x39c75887, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb7dd8914, "nvme_remove_admin_tag_set" },
	{ 0xb03f36ab, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x15bb892a, "ida_alloc_range" },
	{ 0x2500c611, "nvme_uninit_ctrl" },
	{ 0x88ead35d, "ida_destroy" },
	{ 0x9d00ea55, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xedb8efd2, "nvme_get_opcode_str" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2aef9d02, "nvmf_free_options" },
	{ 0xcdb67ac4, "nvmf_subsystem_reset" },
	{ 0x7386d8b7, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x535791c4, "rt_mutex_base_init" },
	{ 0xfbd2a5bb, "finish_wait" },
	{ 0x1ffd65a1, "nvme_stop_keep_alive" },
	{ 0x14c050bc, "blk_mq_complete_request_remote" },
	{ 0xbb106f16, "dma_unmap_page_attrs" },
	{ 0xff61855c, "nvme_setup_cmd" },
	{ 0x10853920, "nvme_start_ctrl" },
	{ 0xe1edd5b5, "nvme_get_admin_opcode_str" },
	{ 0xf52200, "nvme_alloc_admin_tag_set" },
	{ 0x714da386, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0xb6597f13, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x240d9644, "nvmf_reg_read32" },
	{ 0x3e53496, "__wake_up" },
	{ 0xc5365639, "nvme_delete_ctrl" },
	{ 0x5ecd9445, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1c7e05a0, "dev_driver_string" },
	{ 0xe07e4308, "nvmf_get_address" },
	{ 0x80bc5546, "dma_map_page_attrs" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf185235, "nvme_remove_io_tag_set" },
	{ 0x8f2fb479, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf7a2f562, "nvme_mpath_start_request" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x260ef489, "nvmf_unregister_transport" },
	{ 0x9c1bd244, "blkcg_get_fc_appid" },
	{ 0x30285f8, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb7ffe21f, "nvme_change_ctrl_state" },
	{ 0x1ae40711, "_dev_info" },
	{ 0x938d9c3a, "nvme_init_ctrl" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x5d6e7b78, "nvme_alloc_io_tag_set" },
	{ 0x444f4cf8, "nvme_fail_nonready_command" },
	{ 0x2a4e3dec, "kobject_uevent_env" },
	{ 0xed5b88a3, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x7125ebfe, "_dev_err" },
	{ 0xa7b9633b, "nvme_get_fabrics_opcode_str" },
	{ 0xfbdb2c00, "device_create" },
	{ 0x8d59f72a, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0xa6f49dd6, "__blk_rq_map_sg" },
	{ 0x6f3bd942, "ida_free" },
	{ 0x769b2640, "nvmf_reg_read64" },
	{ 0x4af0f6a2, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x9d493218, "nvmf_connect_admin_queue" },
	{ 0xa951f975, "nvme_enable_ctrl" },
	{ 0x66587959, "nvme_unquiesce_admin_queue" },
	{ 0xdcb764ad, "memset" },
	{ 0x5e623f23, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x94a84a2d, "__init_waitqueue_head" },
	{ 0x268d5fab, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6036ba59, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb19d1bd9, "nvme_unquiesce_io_queues" },
	{ 0x995fc3b5, "blk_mq_update_nr_hw_queues" },
	{ 0x2ed006cb, "nvmf_reg_write32" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x6d179d, "nvmf_should_reconnect" },
	{ 0x903de6f4, "__dma_sync_single_for_device" },
	{ 0x443562a0, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x8c32fad1, "device_destroy" },
	{ 0x2844533f, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x826c3c7d, "nvmf_register_transport" },
	{ 0x3a724d2f, "blk_mq_start_request" },
	{ 0xe8105dc4, "nvme_quiesce_io_queues" },
	{ 0xffa2b907, "blk_mq_tagset_busy_iter" },
	{ 0x22834475, "nvme_stop_ctrl" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdba21307, "dma_unmap_sg_attrs" },
	{ 0xe2ae9939, "kmalloc_trace" },
	{ 0xc9b6ba9f, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0x47603a2a, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x68ba86d, "nvme_quiesce_admin_queue" },
	{ 0x2fd8866b, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x39087a2b, "__nvme_check_ready" },
	{ 0x95ececc5, "kmalloc_caches" },
	{ 0xe9f659a2, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x48ffbb27, "nvme_add_ctrl" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "837806316F0ED06192F0363");
MODULE_INFO(rhelversion, "9.6");
