#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x1b8a2c6f, "");
SYMBOL_CRC(sas_remove_host, 0x32575628, "");
SYMBOL_CRC(sas_get_address, 0xa9300d30, "");
SYMBOL_CRC(sas_tlr_supported, 0x1c79906e, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x0c699e85, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0xd440587f, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0xbace1d78, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x2785a10c, "");
SYMBOL_CRC(sas_phy_add, 0x3406e960, "");
SYMBOL_CRC(sas_phy_free, 0xca20aa57, "");
SYMBOL_CRC(sas_phy_delete, 0xf929ff27, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x6adcef85, "");
SYMBOL_CRC(sas_port_alloc, 0x1b1a00ca, "");
SYMBOL_CRC(sas_port_alloc_num, 0xd36e3f7e, "");
SYMBOL_CRC(sas_port_add, 0xb98f5441, "");
SYMBOL_CRC(sas_port_free, 0x4b40da3e, "");
SYMBOL_CRC(sas_port_delete, 0x8245000a, "");
SYMBOL_CRC(scsi_is_sas_port, 0x0c038fdb, "");
SYMBOL_CRC(sas_port_get_phy, 0x64aff9f2, "");
SYMBOL_CRC(sas_port_add_phy, 0xddb6556d, "");
SYMBOL_CRC(sas_port_delete_phy, 0x3f802fb1, "");
SYMBOL_CRC(sas_port_mark_backlink, 0xb846efdb, "");
SYMBOL_CRC(sas_read_port_mode_page, 0xa9d3bce9, "");
SYMBOL_CRC(sas_end_device_alloc, 0xcb4d76d2, "");
SYMBOL_CRC(sas_expander_alloc, 0x9b72c6c5, "");
SYMBOL_CRC(sas_rphy_add, 0xa64d0cb7, "");
SYMBOL_CRC(sas_rphy_free, 0x37ca5c35, "");
SYMBOL_CRC(sas_rphy_delete, 0xa1c23489, "");
SYMBOL_CRC(sas_rphy_unlink, 0x4f6a1898, "");
SYMBOL_CRC(sas_rphy_remove, 0x4698fee4, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0xc52e536b, "");
SYMBOL_CRC(sas_attach_transport, 0x3b350eff, "");
SYMBOL_CRC(sas_release_transport, 0x14b3e949, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x70cfe7ab, "device_for_each_child" },
	{ 0x30285f8, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x8d854ed2, "device_add" },
	{ 0xa335bae3, "transport_add_device" },
	{ 0x72ddc62f, "transport_configure_device" },
	{ 0x4c60edb2, "device_del" },
	{ 0xdea9c5e3, "transport_destroy_device" },
	{ 0x9e96bccc, "mutex_lock" },
	{ 0x5ecd9445, "get_device" },
	{ 0xb482edd5, "mutex_unlock" },
	{ 0x3edf40ab, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0xeb15729d, "scsi_scan_target" },
	{ 0xf14305f, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xf7f48e5c, "transport_class_register" },
	{ 0xcce6b4dd, "transport_class_unregister" },
	{ 0x4d7cd02d, "transport_remove_device" },
	{ 0x95ececc5, "kmalloc_caches" },
	{ 0xe2ae9939, "kmalloc_trace" },
	{ 0xb31fcd02, "attribute_container_register" },
	{ 0xee8ebdfe, "sysfs_remove_link" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc4f60c48, "dev_printk" },
	{ 0xd1145652, "scsi_mode_sense" },
	{ 0xa7156091, "attribute_container_unregister" },
	{ 0x1b7e04a6, "scsi_remove_host" },
	{ 0x3d23fa90, "bsg_remove_queue" },
	{ 0xacba6d98, "scsi_remove_target" },
	{ 0x55f66df5, "scsi_is_host_device" },
	{ 0x5e623f23, "_dev_warn" },
	{ 0x92e55386, "bsg_job_done" },
	{ 0x535791c4, "rt_mutex_base_init" },
	{ 0xfa50e426, "__mutex_rt_init" },
	{ 0x6b4826d4, "dma_opt_mapping_size" },
	{ 0xbcae9ec7, "device_initialize" },
	{ 0xd7324dbc, "dev_set_name" },
	{ 0x188b1245, "transport_setup_device" },
	{ 0x46c24f9c, "scsi_get_vpd_page" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "176C35C46ED21A5F600B01B");
MODULE_INFO(rhelversion, "9.6");
