#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6012192c, "devm_thermal_add_hwmon_sysfs" },
	{ 0x465def2c, "thermal_zone_device_priv" },
	{ 0x2f3f4aa4, "regmap_write" },
	{ 0xd9a87694, "devm_request_threaded_irq" },
	{ 0x83547558, "devm_kmalloc" },
	{ 0xe119302a, "of_property_read_variable_u32_array" },
	{ 0xf787f766, "platform_driver_unregister" },
	{ 0xbfe0201, "of_find_device_by_node" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x377bbcbc, "pm_suspend_target_state" },
	{ 0x535791c4, "rt_mutex_base_init" },
	{ 0x11a1c02d, "nvmem_cell_get" },
	{ 0xac675708, "thermal_zone_device_update" },
	{ 0x37a0cba, "kfree" },
	{ 0x54d27b5c, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3ec010e6, "regmap_field_update_bits_base" },
	{ 0x393ef53e, "__dynamic_dev_dbg" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x8b5e1e6c, "nvmem_cell_read_variable_le_u32" },
	{ 0x85540ebc, "nvmem_cell_put" },
	{ 0x586cb0f, "platform_get_irq_byname" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x30285f8, "put_device" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0xa82d21c4, "regmap_field_read" },
	{ 0xd2ad65e5, "devm_regmap_field_alloc" },
	{ 0xceee1c92, "debugfs_lookup" },
	{ 0x7125ebfe, "_dev_err" },
	{ 0x91df7f6c, "platform_get_resource" },
	{ 0xe7dc472, "debugfs_remove" },
	{ 0x10f1ad5a, "syscon_node_to_regmap" },
	{ 0xe28d5a4f, "of_match_node" },
	{ 0x5e623f23, "_dev_warn" },
	{ 0x7e48fd5b, "__devm_regmap_init_mmio_clk" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x268d5fab, "rt_spin_unlock" },
	{ 0x6036ba59, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa564d5fb, "__platform_driver_register" },
	{ 0x7ca0f38f, "seq_read" },
	{ 0x5f7cf74, "debugfs_create_file" },
	{ 0xf876329, "regmap_read" },
	{ 0x5c37d12e, "devm_ioremap_resource" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xeef7094f, "seq_printf" },
	{ 0xac83c810, "seq_puts" },
	{ 0x9994e237, "single_release" },
	{ 0xc7d6544c, "regmap_update_bits_base" },
	{ 0xd6912d86, "devm_thermal_of_zone_register" },
	{ 0x1cf06f76, "single_open" },
	{ 0x9610a17c, "debugfs_create_dir" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cqcom,ipq8064-tsens");
MODULE_ALIAS("of:N*T*Cqcom,ipq8064-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,ipq8074-tsens");
MODULE_ALIAS("of:N*T*Cqcom,ipq8074-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,mdm9607-tsens");
MODULE_ALIAS("of:N*T*Cqcom,mdm9607-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8226-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8226-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8909-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8909-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8916-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8916-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8939-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8939-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8956-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8956-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8960-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8960-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8974-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8974-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8976-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8976-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8996-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8996-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,tsens-v1");
MODULE_ALIAS("of:N*T*Cqcom,tsens-v1C*");
MODULE_ALIAS("of:N*T*Cqcom,tsens-v2");
MODULE_ALIAS("of:N*T*Cqcom,tsens-v2C*");

MODULE_INFO(srcversion, "EB5EE1BB07EC8B743CE28D9");
MODULE_INFO(rhelversion, "9.6");
