#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_ep_set_maxpacket_limit, "_gpl", "");
KSYMTAB_FUNC(usb_ep_enable, "_gpl", "");
KSYMTAB_FUNC(usb_ep_disable, "_gpl", "");
KSYMTAB_FUNC(usb_ep_alloc_request, "_gpl", "");
KSYMTAB_FUNC(usb_ep_free_request, "_gpl", "");
KSYMTAB_FUNC(usb_ep_queue, "_gpl", "");
KSYMTAB_FUNC(usb_ep_dequeue, "_gpl", "");
KSYMTAB_FUNC(usb_ep_set_halt, "_gpl", "");
KSYMTAB_FUNC(usb_ep_clear_halt, "_gpl", "");
KSYMTAB_FUNC(usb_ep_set_wedge, "_gpl", "");
KSYMTAB_FUNC(usb_ep_fifo_status, "_gpl", "");
KSYMTAB_FUNC(usb_ep_fifo_flush, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_frame_number, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_wakeup, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_set_remote_wakeup, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_set_selfpowered, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_clear_selfpowered, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_vbus_connect, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_vbus_draw, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_vbus_disconnect, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_connect, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_disconnect, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_deactivate, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_activate, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_map_request_by_dev, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_map_request, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_unmap_request_by_dev, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_unmap_request, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_giveback_request, "_gpl", "");
KSYMTAB_FUNC(gadget_find_ep_by_name, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_ep_match_desc, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_check_config, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_set_state, "_gpl", "");
KSYMTAB_FUNC(usb_udc_vbus_handler, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_udc_reset, "_gpl", "");
KSYMTAB_FUNC(usb_initialize_gadget, "_gpl", "");
KSYMTAB_FUNC(usb_add_gadget, "_gpl", "");
KSYMTAB_FUNC(usb_add_gadget_udc_release, "_gpl", "");
KSYMTAB_FUNC(usb_get_gadget_udc_name, "_gpl", "");
KSYMTAB_FUNC(usb_add_gadget_udc, "_gpl", "");
KSYMTAB_FUNC(usb_del_gadget, "_gpl", "");
KSYMTAB_FUNC(usb_del_gadget_udc, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_register_driver_owner, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_unregister_driver, "_gpl", "");

SYMBOL_CRC(usb_ep_set_maxpacket_limit, 0x89bf9dba, "_gpl");
SYMBOL_CRC(usb_ep_enable, 0xbcf61715, "_gpl");
SYMBOL_CRC(usb_ep_disable, 0xd152cd3f, "_gpl");
SYMBOL_CRC(usb_ep_alloc_request, 0x8ca7011c, "_gpl");
SYMBOL_CRC(usb_ep_free_request, 0x970607ff, "_gpl");
SYMBOL_CRC(usb_ep_queue, 0x7673e7f6, "_gpl");
SYMBOL_CRC(usb_ep_dequeue, 0x8c8eed8e, "_gpl");
SYMBOL_CRC(usb_ep_set_halt, 0x2d75696f, "_gpl");
SYMBOL_CRC(usb_ep_clear_halt, 0x861cbccd, "_gpl");
SYMBOL_CRC(usb_ep_set_wedge, 0x419d8389, "_gpl");
SYMBOL_CRC(usb_ep_fifo_status, 0x0b880a06, "_gpl");
SYMBOL_CRC(usb_ep_fifo_flush, 0xb2211837, "_gpl");
SYMBOL_CRC(usb_gadget_frame_number, 0xa50571f6, "_gpl");
SYMBOL_CRC(usb_gadget_wakeup, 0xd7a68dba, "_gpl");
SYMBOL_CRC(usb_gadget_set_remote_wakeup, 0xaa18e015, "_gpl");
SYMBOL_CRC(usb_gadget_set_selfpowered, 0xca5be16b, "_gpl");
SYMBOL_CRC(usb_gadget_clear_selfpowered, 0x5f2f325c, "_gpl");
SYMBOL_CRC(usb_gadget_vbus_connect, 0x0275ddcf, "_gpl");
SYMBOL_CRC(usb_gadget_vbus_draw, 0x7c43a43b, "_gpl");
SYMBOL_CRC(usb_gadget_vbus_disconnect, 0xb2f777be, "_gpl");
SYMBOL_CRC(usb_gadget_connect, 0x1fc7a7f4, "_gpl");
SYMBOL_CRC(usb_gadget_disconnect, 0x6a763e0e, "_gpl");
SYMBOL_CRC(usb_gadget_deactivate, 0xd9de2d9b, "_gpl");
SYMBOL_CRC(usb_gadget_activate, 0xca7f680e, "_gpl");
SYMBOL_CRC(usb_gadget_map_request_by_dev, 0x1c9fc258, "_gpl");
SYMBOL_CRC(usb_gadget_map_request, 0x3085e696, "_gpl");
SYMBOL_CRC(usb_gadget_unmap_request_by_dev, 0xea036ecb, "_gpl");
SYMBOL_CRC(usb_gadget_unmap_request, 0xe763f712, "_gpl");
SYMBOL_CRC(usb_gadget_giveback_request, 0x2bbc8df2, "_gpl");
SYMBOL_CRC(gadget_find_ep_by_name, 0xe4287e1d, "_gpl");
SYMBOL_CRC(usb_gadget_ep_match_desc, 0xc6405b65, "_gpl");
SYMBOL_CRC(usb_gadget_check_config, 0xbc59044d, "_gpl");
SYMBOL_CRC(usb_gadget_set_state, 0xb02bab8e, "_gpl");
SYMBOL_CRC(usb_udc_vbus_handler, 0x9e7266b3, "_gpl");
SYMBOL_CRC(usb_gadget_udc_reset, 0xfb393cc8, "_gpl");
SYMBOL_CRC(usb_initialize_gadget, 0x3602e3fb, "_gpl");
SYMBOL_CRC(usb_add_gadget, 0x56222850, "_gpl");
SYMBOL_CRC(usb_add_gadget_udc_release, 0x3dcb87cb, "_gpl");
SYMBOL_CRC(usb_get_gadget_udc_name, 0x50b88f41, "_gpl");
SYMBOL_CRC(usb_add_gadget_udc, 0xf9e3b81d, "_gpl");
SYMBOL_CRC(usb_del_gadget, 0x5aeb0db8, "_gpl");
SYMBOL_CRC(usb_del_gadget_udc, 0x02c4e1d3, "_gpl");
SYMBOL_CRC(usb_gadget_register_driver_owner, 0xfc4bb123, "_gpl");
SYMBOL_CRC(usb_gadget_unregister_driver, 0x05998da2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x15bb892a, "ida_alloc_range" },
	{ 0xd7324dbc, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4a047f4e, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xdf68d96e, "device_unregister" },
	{ 0x535791c4, "rt_mutex_base_init" },
	{ 0xbb106f16, "dma_unmap_page_attrs" },
	{ 0xd055a1f, "class_destroy" },
	{ 0xff3a6dac, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xbcae9ec7, "device_initialize" },
	{ 0x8d31dc6c, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9e7d28b, "bpf_trace_run2" },
	{ 0x1c133ae9, "event_triggers_call" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x393ef53e, "__dynamic_dev_dbg" },
	{ 0x1c7e05a0, "dev_driver_string" },
	{ 0xc5e8679c, "trace_event_buffer_commit" },
	{ 0x6787e8c7, "sysfs_notify" },
	{ 0x80bc5546, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x30285f8, "put_device" },
	{ 0xfffd5db7, "trace_event_ignore_this_pid" },
	{ 0x3edf40ab, "sysfs_create_link" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x903ca073, "perf_trace_run_bpf_submit" },
	{ 0xcff27e7f, "bus_unregister" },
	{ 0x7125ebfe, "_dev_err" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x8d854ed2, "device_add" },
	{ 0xee8ebdfe, "sysfs_remove_link" },
	{ 0x3463682b, "class_create" },
	{ 0x9e96bccc, "mutex_lock" },
	{ 0x9da01381, "trace_event_reg" },
	{ 0x6f3bd942, "ida_free" },
	{ 0x4396af44, "driver_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x4c60edb2, "device_del" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x4972a953, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xa4b51e0, "trace_event_buffer_reserve" },
	{ 0xb482edd5, "mutex_unlock" },
	{ 0x282cdabc, "usb_led_activity" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa719be16, "kobject_uevent" },
	{ 0xdba21307, "dma_unmap_sg_attrs" },
	{ 0xe2ae9939, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x4de17ab3, "usb_state_string" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x26bfbe2a, "driver_register" },
	{ 0xfa50e426, "__mutex_rt_init" },
	{ 0x95ececc5, "kmalloc_caches" },
	{ 0x5b7b355, "bus_register" },
	{ 0xe9f659a2, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1078B1E63BABB9CAB1ABE4D");
MODULE_INFO(rhelversion, "9.6");
