#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0xa7b50079, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0xec8c0e86, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0xa4b73c2b, "_gpl");
SYMBOL_CRC(fat_scan, 0x1e228b5b, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0xb83c0207, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0xacd76396, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x0a4a39b3, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x9ea0cdae, "_gpl");
SYMBOL_CRC(fat_getattr, 0x4b990ac1, "_gpl");
SYMBOL_CRC(fat_setattr, 0xba801100, "_gpl");
SYMBOL_CRC(fat_attach, 0x2ade945f, "_gpl");
SYMBOL_CRC(fat_detach, 0x41135cde, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x80b86803, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x83b3beb1, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x38cd1239, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x9ec6b8c8, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x747b7124, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0xbb58f5cd, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x7566dcf2, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x6108d874, "_gpl");
SYMBOL_CRC(fat_update_time, 0x4cb13a37, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2b7a42cc, "filemap_fdatawrite" },
	{ 0x7d5197dc, "generic_fillattr" },
	{ 0x1a1ee7bf, "setattr_prepare" },
	{ 0xa6efee2b, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x27e1cf3c, "__init_rwsem" },
	{ 0x5e1857e, "sync_blockdev_nowait" },
	{ 0xbad9a218, "make_vfsgid" },
	{ 0xe5b9b1f0, "blk_start_plug" },
	{ 0xfaadf84, "clear_inode" },
	{ 0x84a3e72a, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x3b3a242b, "generic_file_splice_read" },
	{ 0x2ba82275, "new_inode" },
	{ 0xa94f6449, "mark_buffer_dirty" },
	{ 0x3fd96368, "security_inode_setattr" },
	{ 0x94bfcef7, "__find_get_block" },
	{ 0xd75b74fc, "filemap_fdatawrite_range" },
	{ 0x535791c4, "rt_mutex_base_init" },
	{ 0x7b668335, "inode_needs_sync" },
	{ 0x14f36cce, "__blockdev_direct_IO" },
	{ 0xdec984e, "d_make_root" },
	{ 0x19616b9f, "__bforget" },
	{ 0x83bd91f2, "sb_set_blocksize" },
	{ 0x7ff9c43, "block_truncate_page" },
	{ 0x903f0094, "write_dirty_buffer" },
	{ 0x5caab4c3, "sync_filesystem" },
	{ 0xcd3690a3, "fsnotify" },
	{ 0x886a2de0, "current_time" },
	{ 0x4829a47e, "memcpy" },
	{ 0x54bdd5a, "from_vfsuid" },
	{ 0x1854e94c, "inode_dio_wait" },
	{ 0x9e3a14a5, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0xaf4b886c, "cont_write_begin" },
	{ 0xce3c01e6, "iput" },
	{ 0x59bae50e, "iter_file_splice_write" },
	{ 0xd922424f, "generic_file_write_iter" },
	{ 0x2b42ebce, "kmem_cache_create" },
	{ 0x316b34ce, "sync_inode_metadata" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbd58d7da, "make_vfsuid" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x827a666e, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x9a7ae0b9, "block_invalidate_folio" },
	{ 0x17aff165, "__breadahead" },
	{ 0xca13e0a5, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x922be59f, "load_nls" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xaad96c80, "generic_cont_expand_simple" },
	{ 0x738dcefd, "make_kuid" },
	{ 0x88fb5303, "truncate_inode_pages_final" },
	{ 0x6e603d21, "block_write_full_page" },
	{ 0x480ee49b, "generic_file_mmap" },
	{ 0x489cec8c, "sync_mapping_buffers" },
	{ 0x89cb37a0, "ilookup" },
	{ 0xdd651d70, "kmem_cache_alloc" },
	{ 0x41d65b93, "invalidate_inode_buffers" },
	{ 0x79a0e990, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5cc8958e, "mnt_drop_write_file" },
	{ 0x732352d1, "inode_init_once" },
	{ 0x8b5d22aa, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x4f1a835, "__brelse" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x16ca47be, "down_write" },
	{ 0x380f5788, "up_write" },
	{ 0x9915ed21, "generic_file_read_iter" },
	{ 0xa5b89064, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0x7b2e8683, "truncate_pagecache" },
	{ 0x8a6c7c33, "sync_dirty_buffer" },
	{ 0xc449e330, "setattr_copy" },
	{ 0x94f7b2dc, "__wait_on_buffer" },
	{ 0xf76e3119, "set_nlink" },
	{ 0x9e96bccc, "mutex_lock" },
	{ 0x123b1f6a, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x5e20495a, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0xf88d4f02, "from_vfsgid" },
	{ 0x3452e059, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x285758e9, "d_obtain_alias" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xfc489d00, "__bread_gfp" },
	{ 0xa9d81c5e, "block_dirty_folio" },
	{ 0x39ac88c5, "mpage_read_folio" },
	{ 0xdcb764ad, "memset" },
	{ 0xbd01d59a, "__insert_inode_hash" },
	{ 0x1e11b092, "make_kgid" },
	{ 0x268d5fab, "rt_spin_unlock" },
	{ 0x7a1dc551, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe9690b6d, "down_read" },
	{ 0x6036ba59, "rt_spin_lock" },
	{ 0x3ca573a1, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xde8a05c6, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x105a63, "igrab" },
	{ 0x1f06e418, "__getblk_gfp" },
	{ 0x745e483e, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0xb482edd5, "mutex_unlock" },
	{ 0x53978ee2, "mpage_readahead" },
	{ 0xbf523b71, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x6fb07ac, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0xeef7094f, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x2cf254a5, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x954b708b, "blkdev_issue_flush" },
	{ 0xac83c810, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x24c59f13, "generic_fh_to_parent" },
	{ 0x815b5dd4, "match_octal" },
	{ 0x2eaac0b6, "from_kuid_munged" },
	{ 0xe2ae9939, "kmalloc_trace" },
	{ 0x6b81d763, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd26aae9b, "kmem_cache_alloc_lru" },
	{ 0x5949f5a0, "__mark_inode_dirty" },
	{ 0xa71c9dcf, "generic_file_llseek" },
	{ 0x2f8f8548, "unload_nls" },
	{ 0x9874bc10, "up_read" },
	{ 0x6dce90fc, "mark_buffer_dirty_inode" },
	{ 0xfa50e426, "__mutex_rt_init" },
	{ 0x1f23c8c8, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x95ececc5, "kmalloc_caches" },
	{ 0xd22bd67a, "kmem_cache_destroy" },
	{ 0xb290c7d4, "blkdev_issue_discard" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0DF33C03A1CFD5AA6EBC33C");
MODULE_INFO(rhelversion, "9.6");
