#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(fuse_dax_cancel_work, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0xb4573ff1, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x3a9a7d40, "_gpl");
SYMBOL_CRC(fuse_request_end, 0x92b07212, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0x0668d92f, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0x09ba56f8, "");
SYMBOL_CRC(fuse_abort_conn, 0x1982fcb2, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x919212d6, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0xdb03ce2e, "_gpl");
SYMBOL_CRC(fuse_do_open, 0xebced062, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0x46095a0d, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x5f3a31d0, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0xbd28ce67, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0x2cde5aa0, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0xaf35456b, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0x7900b77c, "_gpl");
SYMBOL_CRC(fuse_send_init, 0xe8b6f063, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x170f7a35, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0xb899e128, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0xb2820f0a, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0x5638b24e, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0xe0f8d650, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x8e88032b, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0x170577d5, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0xf9de8ac9, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0xacf45502, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0xef07e97c, "");
SYMBOL_CRC(fuse_do_ioctl, 0x6ce16087, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0xe087c177, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x30219abb, "super_setup_bdi_name" },
	{ 0xb63a772e, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x4d107427, "truncate_inode_pages" },
	{ 0xa85008fd, "generic_copy_file_range" },
	{ 0xe672dcda, "noop_backing_dev_info" },
	{ 0xe914e41e, "strcpy" },
	{ 0xcacf9301, "pipe_lock" },
	{ 0x7d5197dc, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x6ff3d3c4, "vfs_fsync_range" },
	{ 0x1a1ee7bf, "setattr_prepare" },
	{ 0x63e8956d, "clear_nlink" },
	{ 0xa1a3b87c, "file_check_and_advance_wb_err" },
	{ 0x6db2a947, "d_alloc_parallel" },
	{ 0x6e405cd9, "flush_dcache_page" },
	{ 0x27e1cf3c, "__init_rwsem" },
	{ 0x99e96a2a, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0xd1d041c1, "misc_deregister" },
	{ 0xbad9a218, "make_vfsgid" },
	{ 0xfaadf84, "clear_inode" },
	{ 0xfcbc3ddc, "inode_to_bdi" },
	{ 0x63dec529, "find_pid_ns" },
	{ 0x63a8ed22, "grab_cache_page_write_begin" },
	{ 0x97961419, "simple_dir_inode_operations" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1154cd93, "pipe_unlock" },
	{ 0x6cd3fb7c, "fs_param_is_string" },
	{ 0xf4b61ed8, "folio_unlock" },
	{ 0x3b3a242b, "generic_file_splice_read" },
	{ 0x2ba82275, "new_inode" },
	{ 0x9bc77bce, "filemap_map_pages" },
	{ 0xa6257a2f, "complete" },
	{ 0xec984b6a, "dump_page" },
	{ 0xa9eff809, "forget_all_cached_acls" },
	{ 0x7eb6b0cb, "init_special_inode" },
	{ 0xaaca2ba0, "unregister_filesystem" },
	{ 0x45801878, "task_active_pid_ns" },
	{ 0x45b9ecdc, "iov_iter_single_seg_count" },
	{ 0xbf0ead45, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0xd75b74fc, "filemap_fdatawrite_range" },
	{ 0x535791c4, "rt_mutex_base_init" },
	{ 0xfbd2a5bb, "finish_wait" },
	{ 0x6280078c, "d_alloc_name" },
	{ 0xa4e9e82b, "replace_page_cache_folio" },
	{ 0x3536afdb, "inode_query_iversion" },
	{ 0xf8555834, "iov_iter_advance" },
	{ 0x5ff4d50, "kill_fasync" },
	{ 0xdec984e, "d_make_root" },
	{ 0x83bd91f2, "sb_set_blocksize" },
	{ 0xecfdf25c, "fget" },
	{ 0x755e5109, "simple_fill_super" },
	{ 0x826ead9d, "xas_find" },
	{ 0xae9c7531, "invalidate_mapping_pages" },
	{ 0x5caab4c3, "sync_filesystem" },
	{ 0xd5b8b2dd, "noop_dirty_folio" },
	{ 0xa96ca16b, "sget_fc" },
	{ 0xa31832e0, "param_set_uint" },
	{ 0x5b4c39ef, "d_splice_alias" },
	{ 0x9e56ad03, "iov_iter_get_pages2" },
	{ 0x886a2de0, "current_time" },
	{ 0x4829a47e, "memcpy" },
	{ 0x9629f4e1, "page_get_link" },
	{ 0x4b366976, "generic_permission" },
	{ 0x5980e120, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xfe049f20, "invalidate_inode_pages2_range" },
	{ 0x27c40b8c, "posix_lock_file" },
	{ 0xbe3c90b1, "finish_open" },
	{ 0xec8551a5, "dax_iomap_rw" },
	{ 0xce3c01e6, "iput" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x7fa5d73e, "logfc" },
	{ 0xbbc89321, "__put_devmap_managed_page_refs" },
	{ 0x59bae50e, "iter_file_splice_write" },
	{ 0xb6597f13, "prepare_to_wait_event" },
	{ 0x2d047240, "init_pid_ns" },
	{ 0x5cad8b43, "dax_iomap_fault" },
	{ 0x820048af, "iov_iter_init" },
	{ 0x6b98cd02, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xd74d241, "sysfs_create_mount_point" },
	{ 0xd922424f, "generic_file_write_iter" },
	{ 0x3e53496, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x83333815, "register_filesystem" },
	{ 0x2b42ebce, "kmem_cache_create" },
	{ 0xdbca391, "folio_add_lru" },
	{ 0xcc988157, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x316b34ce, "sync_inode_metadata" },
	{ 0x8dd157b, "simple_empty" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x50cc8f4d, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x554aa02d, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x4fa9156c, "shrink_dcache_parent" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0xbfcc2bb9, "get_tree_nodev" },
	{ 0xc482a39a, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xf80edcb0, "fs_param_is_u32" },
	{ 0xac2b390c, "inode_newsize_ok" },
	{ 0xcae60f85, "d_drop" },
	{ 0xcdffd9a7, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0xf681f99f, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x3d9ee9f0, "clear_page" },
	{ 0x25261586, "bdi_put" },
	{ 0x4cedaca4, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0xa463f400, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x738dcefd, "make_kuid" },
	{ 0x88fb5303, "truncate_inode_pages_final" },
	{ 0xb39cb20e, "fs_kobj" },
	{ 0xb968cc4a, "__filemap_set_wb_err" },
	{ 0x74d866e8, "simple_dir_operations" },
	{ 0x480ee49b, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x72f67ca5, "__free_pages" },
	{ 0xdd651d70, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xd053d642, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x77955965, "setattr_should_drop_suidgid" },
	{ 0x22e9489a, "capable_wrt_inode_uidgid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x9b3e835a, "__var_waitqueue" },
	{ 0x336d64bd, "copy_page_from_iter_atomic" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0x4a019ec2, "fs_context_for_submount" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x732352d1, "inode_init_once" },
	{ 0x5306bfc3, "file_write_and_wait_range" },
	{ 0xb340bd05, "nosteal_pipe_buf_ops" },
	{ 0xae1ff404, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf323ab99, "inode_nohighmem" },
	{ 0x2ec92e2b, "copy_highpage" },
	{ 0x96706ec0, "release_pages" },
	{ 0x67f65f9d, "generic_file_direct_write" },
	{ 0xcde30889, "fput" },
	{ 0x49608959, "migrate_disable" },
	{ 0x16ca47be, "down_write" },
	{ 0x380f5788, "up_write" },
	{ 0x9915ed21, "generic_file_read_iter" },
	{ 0xa5b89064, "inode_maybe_inc_iversion" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xd6fa283, "unlock_page" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x35e0495f, "inc_node_page_state" },
	{ 0xa07a37f0, "memchr" },
	{ 0x7b2e8683, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf7ee9994, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x55ca312b, "dec_node_page_state" },
	{ 0x989e1715, "write_cache_pages" },
	{ 0xac9c650f, "file_update_time" },
	{ 0xf76e3119, "set_nlink" },
	{ 0x9e96bccc, "mutex_lock" },
	{ 0x123b1f6a, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0xbc569056, "from_kgid" },
	{ 0x77e3d236, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x2c8f453d, "file_remove_privs" },
	{ 0x3452e059, "write_inode_now" },
	{ 0x6ee7fd4f, "dax_writeback_mapping_range" },
	{ 0x285758e9, "d_obtain_alias" },
	{ 0xffcf2527, "file_modified" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xdd1dd3a3, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xd1ebbbfc, "finish_no_open" },
	{ 0x11568184, "__folio_start_writeback" },
	{ 0x78dada43, "kill_litter_super" },
	{ 0xce9e26bd, "folio_end_writeback" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xca0503a1, "from_kuid" },
	{ 0x7a012068, "current_in_userns" },
	{ 0xfc411ac0, "fc_mount" },
	{ 0xdcb764ad, "memset" },
	{ 0xab6f544a, "sysfs_remove_mount_point" },
	{ 0x21a99656, "misc_register" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x94a84a2d, "__init_waitqueue_head" },
	{ 0x1e11b092, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x76191c6e, "d_delete" },
	{ 0x268d5fab, "rt_spin_unlock" },
	{ 0x7a1dc551, "from_kgid_munged" },
	{ 0x1103238b, "end_page_writeback" },
	{ 0xc3c258b2, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x11d526f, "kobject_create_and_add" },
	{ 0xe9690b6d, "down_read" },
	{ 0x6036ba59, "rt_spin_lock" },
	{ 0x941e78f0, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x627a42b1, "nonseekable_open" },
	{ 0x8ee26412, "dax_finish_sync_fault" },
	{ 0x81938e51, "set_page_dirty" },
	{ 0x20601069, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3b9c1420, "redirty_page_for_writepage" },
	{ 0x133d3402, "noop_direct_IO" },
	{ 0x105a63, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x745e483e, "generic_read_dir" },
	{ 0x7b38de36, "d_add" },
	{ 0x2b24d617, "set_page_writeback" },
	{ 0xb482edd5, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x6fb07ac, "init_user_ns" },
	{ 0x5036c314, "d_find_alias" },
	{ 0xb14491, "invalidate_inode_pages2" },
	{ 0x826c9d7f, "alloc_pages" },
	{ 0x6f85d26, "inc_nlink" },
	{ 0x5c5bdcdc, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x24ebdcc6, "get_tree_bdev" },
	{ 0x1daefbe6, "set_anon_super_fc" },
	{ 0xeef7094f, "seq_printf" },
	{ 0x5bbcf8b4, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xe0f9ace3, "generic_delete_inode" },
	{ 0xf17ea1e4, "deactivate_locked_super" },
	{ 0x88c13361, "touch_atime" },
	{ 0xc11960a2, "__percpu_down_read" },
	{ 0x1dc730d4, "__d_lookup_unhash_wake" },
	{ 0x1d12a062, "set_page_dirty_lock" },
	{ 0xaf3406e9, "pid_nr_ns" },
	{ 0x6c980711, "generic_file_open" },
	{ 0x8fda3586, "truncate_inode_pages_range" },
	{ 0x57e43011, "__put_user_ns" },
	{ 0xe3aa7806, "__folio_lock" },
	{ 0x99403a02, "filemap_dirty_folio" },
	{ 0xf9d09d42, "pagecache_get_page" },
	{ 0xac83c810, "seq_puts" },
	{ 0x257d63a6, "stream_open" },
	{ 0xa1f0bf07, "rcuwait_wake_up" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xc6f6519b, "__wake_up_sync" },
	{ 0x83f1d5c0, "add_to_pipe" },
	{ 0xcad7dbe2, "__fs_parse" },
	{ 0x39b0a92b, "dax_layout_busy_page_range" },
	{ 0x4dcd4df7, "posix_acl_to_xattr" },
	{ 0xe3f6fc52, "dget_parent" },
	{ 0x4d2a2b1a, "kill_anon_super" },
	{ 0x2eaac0b6, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0xe2ae9939, "kmalloc_trace" },
	{ 0x1dc1bb01, "iget5_locked" },
	{ 0xe50be3ef, "security_dentry_init_security" },
	{ 0x3357a2e6, "filemap_write_and_wait_range" },
	{ 0x6ed04b14, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0xccfd457a, "generic_write_checks" },
	{ 0x65320e91, "iov_iter_revert" },
	{ 0x99e9d7c, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xdae53ed4, "mntget" },
	{ 0xd26aae9b, "kmem_cache_alloc_lru" },
	{ 0x34d4d470, "filemap_fault" },
	{ 0xa2824d38, "d_invalidate" },
	{ 0x5949f5a0, "__mark_inode_dirty" },
	{ 0xa71c9dcf, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x9874bc10, "up_read" },
	{ 0xfa50e426, "__mutex_rt_init" },
	{ 0xb18aabff, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x7cd7de8b, "drop_nlink" },
	{ 0xda5a0980, "fault_in_iov_iter_readable" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xac3ffc4b, "filemap_check_errors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x95ececc5, "kmalloc_caches" },
	{ 0x2fadcf5e, "bdi_set_max_ratio" },
	{ 0xd22bd67a, "kmem_cache_destroy" },
	{ 0x8601bc1d, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7D7FAEDDA764AC772D6F805");
MODULE_INFO(rhelversion, "9.6");
