#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__traceiter_fl_getdevinfo, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0x8b345fef, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0x39fd0326, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x02bacd2f, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0x8101b6ac, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0x1040316a, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0xab6bcc96, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x01526fa7, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x308010dd, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x95d20bed, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0x404dc466, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0x062c49fa, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x392fa782, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x099b242f, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0xf0fc50f8, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0xe0356de8, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0xede41327, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0x4e0ef6a0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0xc7a9d954, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0x9a1a74c3, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0xf61ec28a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x533c198f, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0xeae8522f, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0x83341d2f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x5a4314e9, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0xd0ecfaad, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0x7048da25, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0xba53a1ef, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0x974a1614, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0xb83647b0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x0ff289f3, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x0f01076e, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0x7d6f5a42, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x7cd013a8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0x82409884, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0xe3188373, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x7a4e7f4e, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0x5ce462a3, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0x95010e23, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x27ad47ea, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0xcf29b95f, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0x6614f496, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x579126b8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0xe19f5ee0, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0x66920ef6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0xdf6991a4, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x0aebca68, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0xcd7c385e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x785c06ab, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x32bb6e05, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0xfdeddc45, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x30a44ac3, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x7ab7bcc6, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0x82c7b2e0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x08b2c467, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg, 0x2069ac1b, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg, 0xc5642f90, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg, 0x02884be0, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg_err, 0xff07ac0d, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg_err, 0xa5531996, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg_err, 0x90c878c7, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg, 0x5d1e2248, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg, 0x4461d0ec, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg, 0x94384f04, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg_err, 0x83ded87b, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg_err, 0x66e89fe9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg_err, 0x33759ebd, "_gpl");
SYMBOL_CRC(__tracepoint_fl_getdevinfo, 0xad99458e, "_gpl");
SYMBOL_CRC(__traceiter_fl_getdevinfo, 0x1774a3a5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_fl_getdevinfo, 0x8f78a275, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0x7a4d1ef5, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0xe63dec55, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0xa84f6502, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0x3283d0a3, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0xdfca2e92, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0xb5d4850c, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0xcaf0cef4, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x89475aef, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0x77d60a35, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0x60daca4a, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0xf8e00012, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0x91cf708e, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0x785c7c79, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0xf2239b38, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0x5da19f28, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0xa30b961c, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0x02144aa4, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0x5d1b4ce5, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0x110aaa9a, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0x3c88d700, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0xb948d94a, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0xc5a56f11, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0x4880df74, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0xdb0388bf, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0x7268ccf8, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0xeed64f69, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0xd1b7a4d8, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0x65aeea39, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0x3d5017b1, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0xa7893c1e, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0xbed1d77f, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0x0595db34, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0xc231efc1, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0x37d2cd55, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0xb545c725, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0xa0ce06ab, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0xd4370f18, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0x4623e531, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0xc8791e1a, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x861f1788, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0xec7afee8, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0x501775ce, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0x7cdb7dcc, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0xe4d1818e, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0xc434e126, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0xc3442980, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0x0dd1cc86, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0xe04b3c7c, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0xcdc40a78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb33d61bf, "rpc_put_task" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xa85008fd, "generic_copy_file_range" },
	{ 0x8a215a2c, "svc_generic_rpcbind_set" },
	{ 0x368aad07, "nfs_clone_server" },
	{ 0xa29b8662, "nfs_access_add_cache" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2b7a42cc, "filemap_fdatawrite" },
	{ 0xb6b6b8d, "nfs_show_stats" },
	{ 0x15bb892a, "ida_alloc_range" },
	{ 0xeb664bc2, "nfs_server_remove_lists" },
	{ 0xeb82e2a4, "nfs42_ssc_unregister" },
	{ 0x68772f61, "generic_listxattr" },
	{ 0x8313795b, "try_module_get" },
	{ 0x1eb43a6b, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xf855ae70, "nfs_writeback_update_inode" },
	{ 0xfaadf84, "clear_inode" },
	{ 0xfcbc3ddc, "inode_to_bdi" },
	{ 0xc2a30bf1, "bpf_trace_run4" },
	{ 0x2f0dcd00, "user_destroy" },
	{ 0xe392359c, "idr_find" },
	{ 0x7aa93a1a, "param_ops_uint" },
	{ 0x2a41794b, "user_revoke" },
	{ 0xf66a57e9, "d_exact_alias" },
	{ 0x9b7e1002, "nfs_alloc_client" },
	{ 0x4d5cb956, "register_sysctl" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0xd14ef539, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4ddef107, "rpc_clnt_probe_trunked_xprts" },
	{ 0xc4626d83, "nfs_pageio_reset_read_mds" },
	{ 0xba619e95, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0xc92e69da, "rpc_shutdown_client" },
	{ 0x398010ca, "svc_bind" },
	{ 0x1b3e32a3, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0x1fd00fbb, "nfs_free_inode" },
	{ 0x234929dc, "nfs_access_zap_cache" },
	{ 0x9d049490, "nfs_sb_deactive" },
	{ 0x245bf09f, "nfs_wb_all" },
	{ 0x3b3a242b, "generic_file_splice_read" },
	{ 0x4e0f0ab8, "__break_lease" },
	{ 0x31a0c2bd, "nfs_pageio_init_write" },
	{ 0x4ddc8f7e, "svc_recv" },
	{ 0xf2ebc4bb, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc2b59dbc, "xdr_inline_decode" },
	{ 0x177d842, "nfs_pageio_init_read" },
	{ 0x4a047f4e, "trace_raw_output_prep" },
	{ 0x4cc33bb4, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x1da5d621, "nfs_init_commit" },
	{ 0x7cef5f48, "nfs_commitdata_release" },
	{ 0x5e23123c, "bpf_trace_run6" },
	{ 0xf6cda3eb, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0x591e7fe6, "rpc_net_ns" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x535791c4, "rt_mutex_base_init" },
	{ 0xec078164, "nfs_mknod" },
	{ 0xf84b49c4, "nfs_inode_attach_open_context" },
	{ 0xfbd2a5bb, "finish_wait" },
	{ 0x5ceb483b, "nfs4_label_alloc" },
	{ 0xf61c9f41, "rpc_localaddr" },
	{ 0x389e5305, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0xff3a6dac, "trace_event_printf" },
	{ 0x487af665, "nfs_access_get_cached" },
	{ 0x96848186, "scnprintf" },
	{ 0x94c9afc8, "idr_replace" },
	{ 0xaaecb4b2, "nfs_lock" },
	{ 0x6bb75b9d, "unregister_key_type" },
	{ 0x74fc6d12, "nfs_client_init_is_complete" },
	{ 0xfbf9c4c9, "register_shrinker" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x5b4c39ef, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x4e8f118f, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x8d31dc6c, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xf1bef13, "ihold" },
	{ 0x5980e120, "truncate_pagecache_range" },
	{ 0xd9f262c0, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0xfe049f20, "invalidate_inode_pages2_range" },
	{ 0x4e2952a6, "nfs_post_op_update_inode" },
	{ 0xdeadd06e, "svc_exit_thread" },
	{ 0xce3c01e6, "iput" },
	{ 0xc3518048, "xdr_set_pagelen" },
	{ 0x6f78a229, "nfs_pgio_header_free" },
	{ 0x73f80931, "nfs_request_add_commit_list_locked" },
	{ 0xda1913ff, "add_wait_queue" },
	{ 0x7fa5d73e, "logfc" },
	{ 0xe6d33ab, "nfs_pgio_header_alloc" },
	{ 0xbbc89321, "__put_devmap_managed_page_refs" },
	{ 0x59bae50e, "iter_file_splice_write" },
	{ 0x61f1de12, "rpc_pton" },
	{ 0xd17c3e76, "nfs_sb_active" },
	{ 0x20efa000, "mod_node_page_state" },
	{ 0x1f2a9970, "rpc_ntop" },
	{ 0xa9a21343, "rpc_wake_up_queued_task" },
	{ 0xb9e7d28b, "bpf_trace_run2" },
	{ 0xb6597f13, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x8af7d278, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xabbeaa5c, "rpc_restart_call_prepare" },
	{ 0x1c133ae9, "event_triggers_call" },
	{ 0x3e53496, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x3544f613, "_copy_from_pages" },
	{ 0xffba7adb, "__module_get" },
	{ 0x2b42ebce, "kmem_cache_create" },
	{ 0x382980f, "rpc_task_release_transport" },
	{ 0x1f817062, "xdr_page_pos" },
	{ 0x790c454f, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xa993d4, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x2672b85f, "key_instantiate_and_link" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0xecf3b2cf, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xb0c9d9f2, "register_key_type" },
	{ 0x630dd57f, "rpc_sleep_on" },
	{ 0x65e8b115, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x838db7f3, "nfs_pageio_resend" },
	{ 0x4e265288, "keyring_alloc" },
	{ 0x554aa02d, "vfs_setpos" },
	{ 0x6073f140, "nfs_create" },
	{ 0xbeb93ba5, "complete_request_key" },
	{ 0xa1d91caa, "__put_cred" },
	{ 0xcdc52093, "nfs_update_delegated_mtime" },
	{ 0x920851b2, "nfs_statfs" },
	{ 0x16295895, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xd6f3e189, "rpc_max_bc_payload" },
	{ 0xc5e8679c, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0xc75802a9, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0xc482a39a, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xb930e5cd, "nfs_mkdir" },
	{ 0x4d7950db, "nfs_revalidate_inode" },
	{ 0xac2b390c, "inode_newsize_ok" },
	{ 0x6f8c69d9, "nfs_file_mmap" },
	{ 0x3721b363, "nfs_get_lock_context" },
	{ 0xcae60f85, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0x534fabd7, "nfs_set_cache_invalid" },
	{ 0x7033b04e, "rpc_release_client" },
	{ 0x43d25079, "rpc_clnt_manage_trunked_xprts" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8015d9d1, "rt_spin_trylock" },
	{ 0x43111082, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3723ca33, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2104c6e, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xfffd5db7, "trace_event_ignore_this_pid" },
	{ 0x868b719e, "nfs_generic_pgio" },
	{ 0x738dcefd, "make_kuid" },
	{ 0x88fb5303, "truncate_inode_pages_final" },
	{ 0xfb326e16, "generic_setlease" },
	{ 0x760604, "xprt_destroy_backchannel" },
	{ 0x57395496, "rpc_switch_client_transport" },
	{ 0xa916b694, "strnlen" },
	{ 0xec24e81a, "nfs_scan_commit_list" },
	{ 0x8c6d6275, "xdr_stream_decode_string_dup" },
	{ 0x9e9df18, "nfs_commit_inode" },
	{ 0x73f78684, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0x57bf7ab7, "unregister_shrinker" },
	{ 0x27aefc08, "rpc_destroy_pipe_data" },
	{ 0x6a74e25e, "nfs_get_client" },
	{ 0x72f67ca5, "__free_pages" },
	{ 0xdd651d70, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x9574c842, "nfs_atomic_open" },
	{ 0x9bf5254f, "rpc_pipe_generic_upcall" },
	{ 0xc5165d7, "nfs_file_fsync" },
	{ 0x8f284b3a, "module_put" },
	{ 0x9b3e835a, "__var_waitqueue" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x1939e35c, "mntput" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xa6bf46, "nfs_put_lock_context" },
	{ 0xba640f8c, "nfs_rename" },
	{ 0x5c61b6f2, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x4f811c1b, "nfs_sysfs_link_rpc_client" },
	{ 0xafa22863, "nfs_put_client" },
	{ 0x2ad13992, "nfs_show_options" },
	{ 0x9999276b, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x34476382, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xf73e5486, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x49fca7a, "get_nfs_open_context" },
	{ 0x903ca073, "perf_trace_run_bpf_submit" },
	{ 0xc77d305b, "nfs_clear_verifier_delegated" },
	{ 0xd16acd0d, "nfs_sysfs_add_server" },
	{ 0xcde30889, "fput" },
	{ 0x49608959, "migrate_disable" },
	{ 0x16ca47be, "down_write" },
	{ 0xd18b7e4a, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x5b34552f, "nfs_do_submount" },
	{ 0xc3ccc346, "vfs_dup_fs_context" },
	{ 0x380f5788, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xa092a0, "request_key_with_auxdata" },
	{ 0x460e694c, "rpc_clone_client_set_auth" },
	{ 0x869c7c97, "rpc_clone_client" },
	{ 0x7e9bf89c, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0xf14d1acf, "nfs_client_init_status" },
	{ 0xc6efaf99, "idr_alloc" },
	{ 0x707e72aa, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x7592ea81, "radix_tree_preloads" },
	{ 0x8e756405, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf7ee9994, "put_fs_context" },
	{ 0xd26ff5f, "nfs_retry_commit" },
	{ 0xa2a9c2f7, "nfs4_dentry_operations" },
	{ 0xaf8078f0, "__module_put_and_kthread_exit" },
	{ 0xd80c824d, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x323eba44, "nfs_client_for_each_server" },
	{ 0x73af53fe, "nfs_clear_inode" },
	{ 0x47de104, "rpc_sleep_on_priority" },
	{ 0xcf6dfa72, "nfs_invalidate_atime" },
	{ 0x738f2cc6, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0x2135e308, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xf70b7af5, "nfs_getattr" },
	{ 0x9e96bccc, "mutex_lock" },
	{ 0x48a26b9c, "nfs_pageio_reset_write_mds" },
	{ 0x123b1f6a, "kmem_cache_free" },
	{ 0x818ce121, "nfs_generic_pg_test" },
	{ 0x5a921311, "strncmp" },
	{ 0x62c5ff75, "xdr_stream_subsegment" },
	{ 0x71621b44, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x791b4510, "nfs_fscache_open_file" },
	{ 0xbc569056, "from_kgid" },
	{ 0x9da01381, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xdd24bd41, "nfs_write_inode" },
	{ 0xbcd5828e, "nfs_request_remove_commit_list" },
	{ 0x6f3bd942, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x93e5589b, "rpc_wake_up_first" },
	{ 0x4c55050b, "alloc_nfs_open_context" },
	{ 0x7acb1b8d, "list_lru_add_obj" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x68064f73, "vfs_parse_fs_param" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x59558ab3, "nfs_path" },
	{ 0xc55ba347, "rpc_sleep_on_priority_timeout" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xd8f49e1e, "nfs_create_rpc_client" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x8c873a41, "register_nfs_version" },
	{ 0xe37d80bf, "rpc_sleep_on_timeout" },
	{ 0xbbb8d752, "list_lru_count_one" },
	{ 0x2cc176f5, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xd2d541f5, "rpc_call_start" },
	{ 0xfcd52cd7, "xprt_setup_backchannel" },
	{ 0x81bc8e0e, "bpf_trace_run1" },
	{ 0x61a3d07b, "svc_create" },
	{ 0x83063c25, "rpc_clnt_iterate_for_each_xprt" },
	{ 0x78870cfc, "nfs_file_set_open_context" },
	{ 0x1ebaf83a, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x2a8303d7, "rpc_call_sync" },
	{ 0xca0503a1, "from_kuid" },
	{ 0x6cb1753a, "rpc_put_task_async" },
	{ 0x8ae86f16, "rpc_prepare_reply_pages" },
	{ 0xc2c89c44, "rpc_queue_upcall" },
	{ 0x672571ae, "nfs_free_server" },
	{ 0xfc411ac0, "fc_mount" },
	{ 0x7d9bc249, "nfs_setattr" },
	{ 0xdcb764ad, "memset" },
	{ 0x6ba5abc, "xdr_terminate_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x12ec9ece, "nfs4_fs_type" },
	{ 0x2398f47a, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x2e29ccdb, "rpc_delay" },
	{ 0x72ba63b8, "nfs_flock" },
	{ 0xe97f9986, "__list_lru_init" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x94a84a2d, "__init_waitqueue_head" },
	{ 0x501c0070, "svc_generic_init_request" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0xc3bb7fa3, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x65b45ede, "rpc_exit" },
	{ 0x1e11b092, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x268d5fab, "rt_spin_unlock" },
	{ 0x5f4944bb, "rpc_remove_pipe_dir_object" },
	{ 0xc4aaba10, "nfs_may_open" },
	{ 0x7a1dc551, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0xc7ee6ce7, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe9690b6d, "down_read" },
	{ 0x6036ba59, "rt_spin_lock" },
	{ 0x276e1a47, "xdr_reserve_space" },
	{ 0x51d6897b, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbb7f5ad, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xd5d60179, "nfs_rmdir" },
	{ 0x4972a953, "bpf_trace_run3" },
	{ 0xb7748da2, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x1470248b, "nfs_filemap_write_and_wait_range" },
	{ 0xc0d3f3aa, "rpc_mkpipe_dentry" },
	{ 0x59710e4d, "alloc_file_pseudo" },
	{ 0x3886d80c, "rpc_mkpipe_data" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xbd35fd12, "rpc_add_pipe_dir_object" },
	{ 0x105a63, "igrab" },
	{ 0xc18e39f9, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9ff2570b, "nfs_async_iocounter_wait" },
	{ 0xb6c262d1, "nfs_file_read" },
	{ 0xa4b51e0, "trace_event_buffer_reserve" },
	{ 0xec095dca, "nfs_alloc_fattr_with_label" },
	{ 0xb482edd5, "mutex_unlock" },
	{ 0xbf523b71, "filemap_fdatawait_range" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x8815dc04, "nfs_commitdata_alloc" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x4d00aa4e, "nfs_setattr_update_inode" },
	{ 0x54f59fed, "nfs_instantiate" },
	{ 0x6fb07ac, "init_user_ns" },
	{ 0xc8d0a63e, "rpc_uaddr2sockaddr" },
	{ 0xbefc3d48, "user_read" },
	{ 0x5b8b597e, "rpc_restart_call" },
	{ 0x7b9fa16c, "request_key_tag" },
	{ 0x949440a9, "xprt_force_disconnect" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0x826c9d7f, "alloc_pages" },
	{ 0x265591f, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x44950887, "svc_xprt_destroy_all" },
	{ 0x882b7861, "generic_key_instantiate" },
	{ 0x6f85d26, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x493104b2, "nfs_link" },
	{ 0x5c5bdcdc, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1641d6c2, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0xd811a52f, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5bbcf8b4, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xa07217f5, "rpc_init_wait_queue" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xfa46595a, "xdr_stream_move_subsegment" },
	{ 0xd2aecb42, "put_rpccred" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0x3908ac7e, "nfs_post_op_update_inode_force_wcc" },
	{ 0x236468a5, "nfs_pgheader_init" },
	{ 0xcb27244e, "put_nfs_open_context" },
	{ 0x5a0ff6f2, "nfs_show_path" },
	{ 0xcfd94e98, "nfs_show_devname" },
	{ 0x6a095831, "nfs_permission" },
	{ 0x276e4625, "nfs_initiate_commit" },
	{ 0x8fda3586, "truncate_inode_pages_range" },
	{ 0x57e43011, "__put_user_ns" },
	{ 0xd7e9327a, "cred_fscmp" },
	{ 0xc93382f8, "rpc_unlink" },
	{ 0xf3e77ec8, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xde55f11f, "proc_dointvec" },
	{ 0xea0912b1, "remove_wait_queue" },
	{ 0x3976477, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x1baa3849, "node_data" },
	{ 0xb5b94ad1, "nfs_probe_server" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xba65ea63, "nfs_setsecurity" },
	{ 0x7a703fb, "rpc_clnt_xprt_switch_has_addr" },
	{ 0xcc689540, "rpc_clnt_test_and_add_xprt" },
	{ 0x7a1b8015, "file_ra_state_init" },
	{ 0x3f8de7b0, "nfs_force_lookup_revalidate" },
	{ 0x9dd2ca50, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x37b514f6, "rpc_clnt_add_xprt" },
	{ 0xe3f6fc52, "dget_parent" },
	{ 0x2eaac0b6, "from_kuid_munged" },
	{ 0xff7be22c, "prepare_kernel_cred" },
	{ 0xe2ae9939, "kmalloc_trace" },
	{ 0x178e5260, "nfs_alloc_server" },
	{ 0xaa23bf66, "rpc_call_async" },
	{ 0xe50be3ef, "security_dentry_init_security" },
	{ 0x3357a2e6, "filemap_write_and_wait_range" },
	{ 0x2059ede7, "list_lru_del_obj" },
	{ 0xbd180ef6, "nfs_server_insert_lists" },
	{ 0x8bf7b7b4, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x98cf60b3, "strlen" },
	{ 0xc5c94697, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x223308ba, "rpc_init_pipe_dir_object" },
	{ 0x6e192610, "bpf_trace_run7" },
	{ 0x9d87fdbe, "nfs_refresh_inode" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0x6119e523, "nfs_init_server_rpcclient" },
	{ 0x5949f5a0, "__mark_inode_dirty" },
	{ 0x134e1b0b, "rpc_set_connect_timeout" },
	{ 0xced220d0, "rpcauth_create" },
	{ 0xffb22a37, "xdr_stream_pos" },
	{ 0x29fa68c2, "key_set_timeout" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x9874bc10, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0xfa50e426, "__mutex_rt_init" },
	{ 0x7c3d036a, "svc_xprt_create" },
	{ 0x3d579e46, "nfs42_ssc_register" },
	{ 0x91c31377, "rpc_wait_for_completion_task" },
	{ 0x7cd7de8b, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x9f104b98, "rpc_num_bc_slots" },
	{ 0xacb36e15, "nfs_alloc_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9d36501f, "rpc_destroy_wait_queue" },
	{ 0x95ececc5, "kmalloc_caches" },
	{ 0x71c07228, "security_inode_listsecurity" },
	{ 0x4dc37f3e, "nfs_fhget" },
	{ 0x7dca1196, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x20760fd3, "locks_copy_lock" },
	{ 0xd22bd67a, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x4196baaf, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf3abf3b8, "nfs_set_verifier" },
	{ 0xd8703503, "proc_dointvec_minmax" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "112E964764B3DF7C07280CA");
MODULE_INFO(rhelversion, "9.6");
