#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_sock_linked, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_lookup_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0x2cf3052d, "");
SYMBOL_CRC(bt_sock_register, 0x15f72c5a, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0xd5470663, "");
SYMBOL_CRC(bt_sock_link, 0x1abee6f7, "");
SYMBOL_CRC(bt_sock_unlink, 0xfe0617be, "");
SYMBOL_CRC(bt_sock_linked, 0x67f268e5, "");
SYMBOL_CRC(bt_accept_enqueue, 0x17740bac, "");
SYMBOL_CRC(bt_accept_unlink, 0x5adfb951, "");
SYMBOL_CRC(bt_accept_dequeue, 0xb53e3909, "");
SYMBOL_CRC(bt_sock_recvmsg, 0xa850ad5e, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0x2fdd0e0b, "");
SYMBOL_CRC(bt_sock_poll, 0x73c03e8c, "");
SYMBOL_CRC(bt_sock_ioctl, 0x97081cc6, "");
SYMBOL_CRC(bt_sock_wait_state, 0xc59a4ebd, "");
SYMBOL_CRC(bt_sock_wait_ready, 0x5d7355b4, "");
SYMBOL_CRC(bt_procfs_init, 0x565e3d96, "");
SYMBOL_CRC(bt_procfs_cleanup, 0x89ffa10d, "");
SYMBOL_CRC(bt_debugfs, 0xdc43dea2, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0x789db578, "");
SYMBOL_CRC(hci_free_dev, 0xe12d0e11, "");
SYMBOL_CRC(hci_register_dev, 0xd8dc2307, "");
SYMBOL_CRC(hci_unregister_dev, 0xd7d8178f, "");
SYMBOL_CRC(hci_release_dev, 0x32e4f5d0, "");
SYMBOL_CRC(hci_suspend_dev, 0x6f007292, "");
SYMBOL_CRC(hci_resume_dev, 0x5cd05d5d, "");
SYMBOL_CRC(hci_reset_dev, 0x87991b7a, "");
SYMBOL_CRC(hci_recv_frame, 0xf67feccf, "");
SYMBOL_CRC(hci_recv_diag, 0xd3f3fc2b, "");
SYMBOL_CRC(hci_set_hw_info, 0x36a9ecfb, "");
SYMBOL_CRC(hci_set_fw_info, 0xd234f81f, "");
SYMBOL_CRC(hci_register_cb, 0x44fc33f4, "");
SYMBOL_CRC(hci_unregister_cb, 0xb5f395c8, "");
SYMBOL_CRC(__hci_cmd_send, 0x6b2033d1, "");
SYMBOL_CRC(hci_get_route, 0xbce09134, "");
SYMBOL_CRC(hci_conn_security, 0x61a02b50, "");
SYMBOL_CRC(hci_conn_check_secure, 0x0cfbb6e3, "");
SYMBOL_CRC(hci_conn_switch_role, 0xd238639e, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0x56b89b5f, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0x3c6417f6, "");
SYMBOL_CRC(l2cap_add_psm, 0x6c6800fa, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0x027559b2, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0x6f05f076, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x8d5e01cc, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0x906c9c5d, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0x38988b49, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0x141794e4, "");
SYMBOL_CRC(l2cap_register_user, 0x2e4e26df, "");
SYMBOL_CRC(l2cap_unregister_user, 0xe7bf279c, "");
SYMBOL_CRC(l2cap_conn_get, 0x17c3525e, "");
SYMBOL_CRC(l2cap_conn_put, 0x868bea76, "");
SYMBOL_CRC(l2cap_chan_send, 0x79f896a5, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0x246420c1, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0x4495e332, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0x93d3dfec, "");
SYMBOL_CRC(__hci_cmd_sync, 0x818a4ef1, "");
SYMBOL_CRC(hci_cmd_sync, 0x563be6f9, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0x11c2eb06, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0x940ef758, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0x36078e0a, "");
SYMBOL_CRC(hci_cmd_sync_status, 0xd652688e, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x555f0660, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0x3725e511, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0x314b0cf9, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0xabfcd8ba, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0x2090048f, "");
SYMBOL_CRC(hci_cmd_sync_run, 0x6f77096e, "");
SYMBOL_CRC(hci_cmd_sync_run_once, 0x80fbe5c1, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0x68a226b9, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0x31fd7001, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0xd4008796, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0x30cc4f0d, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0x40399f82, "");
SYMBOL_CRC(hci_devcd_init, 0xfb376d06, "");
SYMBOL_CRC(hci_devcd_append, 0x679e6042, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0xc612aa29, "");
SYMBOL_CRC(hci_devcd_complete, 0xfb129645, "");
SYMBOL_CRC(hci_devcd_abort, 0xee33ecae, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x6992392a, "skb_free_datagram" },
	{ 0xb6b5d8ff, "sock_queue_rcv_skb_reason" },
	{ 0x15bb892a, "ida_alloc_range" },
	{ 0x8313795b, "try_module_get" },
	{ 0x47470fc1, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xcf6bce48, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0x88ead35d, "ida_destroy" },
	{ 0xe392359c, "idr_find" },
	{ 0x66a0ef38, "debugfs_attr_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x29cf1627, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xd7324dbc, "dev_set_name" },
	{ 0x68366101, "scm_detach_fds" },
	{ 0x28beee09, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xdf68d96e, "device_unregister" },
	{ 0x9e358e0d, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x535791c4, "rt_mutex_base_init" },
	{ 0x6ce737a, "debugfs_create_u16" },
	{ 0xfbd2a5bb, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xefb4242a, "add_wait_queue_exclusive" },
	{ 0xbcae9ec7, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x54d27b5c, "seq_lseek" },
	{ 0xda1913ff, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xa1daada6, "sock_no_connect" },
	{ 0xb6597f13, "prepare_to_wait_event" },
	{ 0xe33a40ca, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x3e53496, "__wake_up" },
	{ 0xffba7adb, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x5ecd9445, "get_device" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xff4afbea, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa1d91caa, "__put_cred" },
	{ 0x9315eae0, "put_cmsg" },
	{ 0x45fed257, "skb_queue_purge_reason" },
	{ 0x206ec85c, "crypto_destroy_tfm" },
	{ 0xd5b64dc4, "disable_delayed_work" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x176e4952, "disable_work_sync" },
	{ 0xf85cb0ce, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0x6b991b8b, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x46d6768e, "sock_register" },
	{ 0x92279774, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x30285f8, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x53ca8f0d, "__alloc_skb" },
	{ 0xc63d5ed4, "idr_get_next" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x1bbe4e10, "rt_write_unlock" },
	{ 0x1f580e51, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf31fdfe8, "skb_queue_tail" },
	{ 0x8f284b3a, "module_put" },
	{ 0xf52c70f0, "__sock_recv_ts_and_drops" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x938915b2, "idr_remove" },
	{ 0x208f3eac, "debugfs_attr_read" },
	{ 0x5bc6cef, "__sock_recv_timestamp" },
	{ 0xc009fa9d, "sock_no_shutdown" },
	{ 0xe37bc53d, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xb93e8042, "crypto_req_done" },
	{ 0x9c8a07cb, "init_net" },
	{ 0x826c874c, "crypto_shash_setkey" },
	{ 0xd251ac8e, "simple_open" },
	{ 0x35014501, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8d854ed2, "device_add" },
	{ 0xc6efaf99, "idr_alloc" },
	{ 0xa096d199, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x73e92604, "init_uts_ns" },
	{ 0xf8a64594, "sk_skb_reason_drop" },
	{ 0xed6cae9a, "sk_free" },
	{ 0xb78db9b3, "device_move" },
	{ 0xd5795f33, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9e96bccc, "mutex_lock" },
	{ 0x8cea02d, "skb_push" },
	{ 0xb14ac711, "sock_no_listen" },
	{ 0xe7dc472, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xed5de40a, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9e0bfdb1, "iov_iter_kvec" },
	{ 0x6f3bd942, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x4af0f6a2, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x52c34b71, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5c11bfb4, "device_find_child" },
	{ 0x51d00b3f, "dev_coredumpv" },
	{ 0x461d4b25, "skb_copy_datagram_iter" },
	{ 0x4ab52f6d, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0x560084a7, "sk_alloc" },
	{ 0x4c60edb2, "device_del" },
	{ 0x194ca9cb, "__sock_queue_rcv_skb" },
	{ 0xa7327b57, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x7f08124, "default_llseek" },
	{ 0x8e7c1b07, "__sock_recv_wifi_status" },
	{ 0xca0503a1, "from_kuid" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x969a2d1e, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x14429285, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xc0025f5a, "sock_no_mmap" },
	{ 0x94a84a2d, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x13a10ef5, "__pskb_pull_tail" },
	{ 0x268d5fab, "rt_spin_unlock" },
	{ 0xe169d5d7, "__scm_destroy" },
	{ 0x7a1dc551, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x8514e418, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x6036ba59, "rt_spin_lock" },
	{ 0xd7db8da8, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7ca0f38f, "seq_read" },
	{ 0x51f812ab, "rt_read_lock" },
	{ 0x6514cbf7, "sock_i_ino" },
	{ 0x5f7cf74, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0xb482edd5, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x425ba16f, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xedbdc3a, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x5ac8500d, "skb_recv_datagram" },
	{ 0xa1496a89, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x1fb7bf86, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8d3febd4, "remove_proc_entry" },
	{ 0x8c9839b9, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xeef7094f, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb7b5a152, "skb_copy" },
	{ 0x38f9bcc5, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x8bfe698d, "rt_write_lock" },
	{ 0xc1fc00e1, "_copy_from_iter" },
	{ 0x231ec1c8, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xea0912b1, "remove_wait_queue" },
	{ 0xac83c810, "seq_puts" },
	{ 0x7863a366, "sock_gettstamp" },
	{ 0x9994e237, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc3520542, "pid_vnr" },
	{ 0x32768431, "disable_delayed_work_sync" },
	{ 0x2eaac0b6, "from_kuid_munged" },
	{ 0xe2ae9939, "kmalloc_trace" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x65320e91, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5aedec90, "proc_create_seq_private" },
	{ 0xa8cb501b, "debugfs_create_u8" },
	{ 0x1cf06f76, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x56adc3bf, "crypto_alloc_shash" },
	{ 0x9610a17c, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xdb068f4a, "fwnode_property_read_u8_array" },
	{ 0xfa50e426, "__mutex_rt_init" },
	{ 0x3f0bcb03, "put_pid" },
	{ 0x2fd8866b, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xb4d060ae, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x350fbbc9, "__dev_fwnode" },
	{ 0x95ececc5, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xf5c04ea, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xfcc87d55, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "ecdh_generic,rfkill");


MODULE_INFO(srcversion, "5880F8254D66A61830D7FD1");
MODULE_INFO(rhelversion, "9.6");
