#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0x04ec9b9c, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x668fa956, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0xe56b94ac, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0xd7e0c059, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x243f3915, "_gpl");
SYMBOL_CRC(br_forward, 0x4500e483, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xce0ff083, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0xa91a4264, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x6e8bc7e1, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x7cc5df1e, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x65f9f4ac, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x79cbbd3c, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x9c50c75b, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x20f18586, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x67267beb, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0xf2499957, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0xcf2503a6, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0xc11b4dd4, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x0c1a0af8, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0xcebfdeca, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0x5f12a3a2, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x59d05c1f, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x514918bb, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x1ccbb9b4, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0xcea1e457, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf1af783e, "netdev_lower_get_next" },
	{ 0x6227b14d, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf9e82eae, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xe25e1cde, "skb_copy_bits" },
	{ 0x37771cbc, "__nlmsg_put" },
	{ 0x93a0aa55, "switchdev_port_attr_set" },
	{ 0x8b8b4c3d, "ipv6_mc_check_mld" },
	{ 0x29cf1627, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x32adee9, "call_switchdev_notifiers" },
	{ 0xcf3ea378, "sysfs_create_file_ns" },
	{ 0x8e92f7c4, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf2164360, "netdev_update_features" },
	{ 0xa797f98c, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xed8a2aff, "__traceiter_br_fdb_add" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xb7231e2c, "__traceiter_br_fdb_update" },
	{ 0x535791c4, "rt_mutex_base_init" },
	{ 0xc577527a, "dev_uc_del" },
	{ 0xde8880c5, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x79578085, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x4829a47e, "memcpy" },
	{ 0x872494c7, "switchdev_port_obj_act_is_deferred" },
	{ 0x6a3d933d, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x233c1f24, "dev_set_promiscuity" },
	{ 0x38bd64a1, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe7627af1, "unregister_netdevice_queue" },
	{ 0x2b42ebce, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x1b399255, "netdev_state_change" },
	{ 0xff4afbea, "__pskb_copy_fclone" },
	{ 0x5eb00ae7, "__dev_get_by_name" },
	{ 0xc0b38726, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x734764a9, "netdev_err" },
	{ 0x2e8f0cd7, "pskb_expand_head" },
	{ 0x50ce4dc0, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x142b2fcc, "brioctl_set" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xdbfa5d5d, "arp_xmit" },
	{ 0xa31daf40, "__traceiter_br_mdb_full" },
	{ 0x164b1097, "alloc_netdev_mqs" },
	{ 0xdd4b5966, "passthru_features_check" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xcb44e137, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6954cc62, "rtnl_af_register" },
	{ 0x4ed6cf42, "__tracepoint_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0x53ca8f0d, "__alloc_skb" },
	{ 0xdd651d70, "kmem_cache_alloc" },
	{ 0xae1ccea7, "rtnl_set_sk_err" },
	{ 0x14179821, "skb_vlan_pop" },
	{ 0xf82d06f9, "rtnl_unicast" },
	{ 0x3edf40ab, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd2a7ca02, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x65cc7c2c, "nla_reserve_64bit" },
	{ 0x5088f964, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x26d17c37, "__dev_get_by_index" },
	{ 0xa68319b6, "rtnl_link_unregister" },
	{ 0x3451d592, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0x7661c105, "dev_get_port_parent_id" },
	{ 0x9c8a07cb, "init_net" },
	{ 0x9b4053b2, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x4d9ff700, "inet_confirm_addr" },
	{ 0x35014501, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xee8ebdfe, "sysfs_remove_link" },
	{ 0xd166bf02, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa2222a0a, "rtnl_af_unregister" },
	{ 0xf8a64594, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xf55df06f, "arp_send" },
	{ 0xcf407d58, "dev_get_by_index_rcu" },
	{ 0xb7cc0cff, "__tracepoint_br_fdb_add" },
	{ 0xe94e2f23, "__traceiter_fdb_delete" },
	{ 0x652032cb, "mac_pton" },
	{ 0x8cea02d, "skb_push" },
	{ 0x123b1f6a, "kmem_cache_free" },
	{ 0x3bb2a48, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0xd4a3a8c8, "netdev_upper_dev_unlink" },
	{ 0xe615cee3, "netif_receive_skb" },
	{ 0xf00a075f, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xe0e18b44, "llc_mac_hdr_init" },
	{ 0xa6156f67, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xb781efde, "kobject_init_and_add" },
	{ 0xffb4a1a5, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7139d111, "ns_capable" },
	{ 0xf5c3ca82, "inet_select_addr" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x850aad34, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8135318f, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x92705508, "arp_create" },
	{ 0xbe06b82f, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x7e5117aa, "stp_proto_register" },
	{ 0x2f861c8d, "rtnl_register_module" },
	{ 0x27dc9471, "__tracepoint_br_fdb_update" },
	{ 0xa5c1520b, "sysfs_rename_link_ns" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xa9363661, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x9a2c7570, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x1c570f1b, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x13a10ef5, "__pskb_pull_tail" },
	{ 0x58c251c2, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x7c5787b5, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0xf393f16b, "ip_mc_check_igmp" },
	{ 0xadf59eab, "__netdev_alloc_skb" },
	{ 0x917eaf8f, "rhashtable_destroy" },
	{ 0x268d5fab, "rt_spin_unlock" },
	{ 0x736d5c11, "switchdev_port_obj_del" },
	{ 0xe9ff5c62, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x11d526f, "kobject_create_and_add" },
	{ 0x8514e418, "skb_trim" },
	{ 0x25c649a, "nf_hook_slow" },
	{ 0x6036ba59, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x9a83633c, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xeb090753, "__ip_mc_inc_group" },
	{ 0xd09bb203, "netdev_walk_all_upper_dev_rcu" },
	{ 0x1b36d367, "sysfs_remove_group" },
	{ 0xaf394cf2, "__traceiter_br_fdb_external_learn_add" },
	{ 0x7c2263e8, "in_dev_finish_destroy" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0xe4e1a0ed, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x19821689, "__tracepoint_fdb_delete" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb25cce27, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x49326b83, "vlan_vid_add" },
	{ 0x24ee8da4, "neigh_destroy" },
	{ 0xc662ecda, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x899f8843, "kobject_del" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xcf63e095, "call_netdevice_notifiers" },
	{ 0x4a939de9, "is_skb_forwardable" },
	{ 0x818a644, "vlan_vid_del" },
	{ 0x8f84f0f0, "dev_set_allmulti" },
	{ 0x4a68e900, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1f94db2b, "netdev_master_upper_dev_get" },
	{ 0x16034b7d, "ipv6_dev_mc_inc" },
	{ 0xbaabe29c, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x803b1a9e, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1524c9c2, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x38f9bcc5, "skb_clone" },
	{ 0xda0061ac, "metadata_dst_alloc" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xfa1d2218, "dst_release" },
	{ 0x716c0759, "netif_carrier_on" },
	{ 0xa719be16, "kobject_uevent" },
	{ 0xf6076528, "arp_tbl" },
	{ 0x50433dce, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe4caf534, "netdev_rx_handler_register" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x6794a887, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9f1a0ae2, "netif_set_tso_max_size" },
	{ 0x8a222567, "dev_disable_lro" },
	{ 0xe2ae9939, "kmalloc_trace" },
	{ 0x426f124a, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x3e1f17f0, "dev_get_flags" },
	{ 0x98cf60b3, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x788cbe70, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xb5e10058, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x20386e84, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x1a488586, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0x198c25ed, "skb_ext_add" },
	{ 0x8b07822b, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x891ecbb7, "stp_proto_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x95ececc5, "kmalloc_caches" },
	{ 0x845251ec, "neigh_lookup" },
	{ 0xd22bd67a, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x8601bc1d, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x301cf308, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "ipv6,llc,stp");


MODULE_INFO(srcversion, "6688CB620D23305C0BE1643");
MODULE_INFO(rhelversion, "9.6");
