#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_nat_sip_hooks, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_request, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_header, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_header_uri, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_address_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_numerical_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_sdp_header, "_gpl", "");

SYMBOL_CRC(nf_nat_sip_hooks, 0x0ffae082, "_gpl");
SYMBOL_CRC(ct_sip_parse_request, 0x4681b63d, "_gpl");
SYMBOL_CRC(ct_sip_get_header, 0x8d34c11c, "_gpl");
SYMBOL_CRC(ct_sip_parse_header_uri, 0xbf70eb13, "_gpl");
SYMBOL_CRC(ct_sip_parse_address_param, 0x92aef990, "_gpl");
SYMBOL_CRC(ct_sip_parse_numerical_param, 0x67880d7a, "_gpl");
SYMBOL_CRC(ct_sip_get_sdp_header, 0xaa3f813f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11089ac7, "_ctype" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x609bcd98, "in6_pton" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x9254f7b2, "nf_ct_helper_init" },
	{ 0xce488987, "nf_conntrack_helpers_register" },
	{ 0x92997ed8, "_printk" },
	{ 0x2c356aff, "nf_conntrack_helpers_unregister" },
	{ 0x9915d0fc, "nf_ct_helper_log" },
	{ 0xb528a5c9, "nf_conntrack_expect_lock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x6036ba59, "rt_spin_lock" },
	{ 0x268d5fab, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe09e4d01, "nf_ct_remove_expect" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x1615ea7c, "__nf_ct_refresh_acct" },
	{ 0x13a10ef5, "__pskb_pull_tail" },
	{ 0xe25e1cde, "skb_copy_bits" },
	{ 0xb440d5e0, "nf_ct_expect_alloc" },
	{ 0xc0431f1d, "nf_ct_expect_init" },
	{ 0xf54ffa3d, "nf_ct_expect_put" },
	{ 0x2cd98830, "nf_ct_expect_related_report" },
	{ 0xd79a167a, "__nf_ct_expect_find" },
	{ 0xdcb764ad, "memset" },
	{ 0x77334863, "nf_ipv6_ops" },
	{ 0xfa1d2218, "dst_release" },
	{ 0x8cb9f89c, "nf_ip_route" },
	{ 0x54de142c, "nf_ct_unexpect_related" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7cf86232, "mod_timer_pending" },
	{ 0x82e82918, "param_ops_ushort" },
	{ 0xfa15319, "param_ops_int" },
	{ 0x7aa93a1a, "param_ops_uint" },
	{ 0x673d15d2, "param_array_ops" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "AD455FB6BE9E047D00AD0A3");
MODULE_INFO(rhelversion, "9.6");
