#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0x73285c94, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0xa3233821, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x4cc44e0a, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6992392a, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb6b5d8ff, "sock_queue_rcv_skb_reason" },
	{ 0xe66c97f6, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xc2a30bf1, "bpf_trace_run4" },
	{ 0xe25e1cde, "skb_copy_bits" },
	{ 0x37dccaaa, "radix_tree_insert" },
	{ 0x29cf1627, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa797f98c, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4a047f4e, "trace_raw_output_prep" },
	{ 0x33fc2a31, "get_user_ifreq" },
	{ 0x55908dc1, "radix_tree_lookup" },
	{ 0x535791c4, "rt_mutex_base_init" },
	{ 0xff3a6dac, "trace_event_printf" },
	{ 0xbf4a4089, "kernel_bind" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x8d31dc6c, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x1c133ae9, "event_triggers_call" },
	{ 0x3e53496, "__wake_up" },
	{ 0xffba7adb, "__module_get" },
	{ 0x223dbf45, "kernel_recvmsg" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xff4afbea, "__pskb_copy_fclone" },
	{ 0xaaa3938c, "sk_error_report" },
	{ 0x45fed257, "skb_queue_purge_reason" },
	{ 0x6de3691b, "radix_tree_iter_delete" },
	{ 0xc5e8679c, "trace_event_buffer_commit" },
	{ 0x92997ed8, "_printk" },
	{ 0x6b991b8b, "proto_unregister" },
	{ 0x46d6768e, "sock_register" },
	{ 0x92279774, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xfffd5db7, "trace_event_ignore_this_pid" },
	{ 0x53ca8f0d, "__alloc_skb" },
	{ 0x1bbe4e10, "rt_write_unlock" },
	{ 0x1f580e51, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x8f284b3a, "module_put" },
	{ 0x9598843d, "__xa_alloc" },
	{ 0xc009fa9d, "sock_no_shutdown" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x903ca073, "perf_trace_run_bpf_submit" },
	{ 0xe0a1a40b, "__traceiter_sk_data_ready" },
	{ 0x9c8a07cb, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x69896cbe, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf8a64594, "sk_skb_reason_drop" },
	{ 0x5f0c7d1f, "xa_load" },
	{ 0xf674d12b, "kernel_getsockname" },
	{ 0x9748c17c, "do_wait_intr_irq" },
	{ 0xed6cae9a, "sk_free" },
	{ 0xd5795f33, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9e96bccc, "mutex_lock" },
	{ 0x8cea02d, "skb_push" },
	{ 0xb14ac711, "sock_no_listen" },
	{ 0x9da01381, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x52c34b71, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x461d4b25, "skb_copy_datagram_iter" },
	{ 0x560084a7, "sk_alloc" },
	{ 0x969a2d1e, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0xc0025f5a, "sock_no_mmap" },
	{ 0x94a84a2d, "__init_waitqueue_head" },
	{ 0x970c2832, "sock_no_sendpage" },
	{ 0xadf59eab, "__netdev_alloc_skb" },
	{ 0x268d5fab, "rt_spin_unlock" },
	{ 0x6036ba59, "rt_spin_lock" },
	{ 0x5c95a723, "__xa_insert" },
	{ 0xbb995ae6, "xa_erase" },
	{ 0x4972a953, "bpf_trace_run3" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xe005cd41, "skb_set_owner_w" },
	{ 0xa4b51e0, "trace_event_buffer_reserve" },
	{ 0xb482edd5, "mutex_unlock" },
	{ 0x1c47b7d, "sock_create_kern" },
	{ 0x7b0464bb, "xa_find" },
	{ 0x5ac8500d, "skb_recv_datagram" },
	{ 0xa1496a89, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xed6ac11a, "xa_store" },
	{ 0x8bfe698d, "rt_write_lock" },
	{ 0xc1fc00e1, "_copy_from_iter" },
	{ 0xf560a813, "sock_release" },
	{ 0x7863a366, "sock_gettstamp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xe6616058, "xa_find_after" },
	{ 0xe2ae9939, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x65320e91, "iov_iter_revert" },
	{ 0xf106e87e, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xfa50e426, "__mutex_rt_init" },
	{ 0xb4d060ae, "sock_init_data" },
	{ 0x38f48af7, "put_user_ifreq" },
	{ 0x95ececc5, "kmalloc_caches" },
	{ 0xf5c04ea, "release_sock" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9CAAD44A10994D30D5FD142");
MODULE_INFO(rhelversion, "9.6");
