#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x1b9b2b76, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0xccc9f875, "_gpl");
SYMBOL_CRC(gss_mech_get, 0xce987b8f, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0xc4965cf9, "");
SYMBOL_CRC(gss_mech_put, 0x2201554c, "");
SYMBOL_CRC(svcauth_gss_flavor, 0xe0590c54, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0xd940e3d6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb33d61bf, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0x8313795b, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xedfb4879, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0xf53507a2, "xdr_buf_from_iov" },
	{ 0xc2a30bf1, "bpf_trace_run4" },
	{ 0x1fc45a48, "xdr_stream_decode_opaque_auth" },
	{ 0x7aa93a1a, "param_ops_uint" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba619e95, "xdr_write_pages" },
	{ 0xc92e69da, "rpc_shutdown_client" },
	{ 0xe4ca7b8d, "auth_domain_find" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc2b59dbc, "xdr_inline_decode" },
	{ 0x2110b2a9, "cache_create_net" },
	{ 0x5e28f41c, "rpcauth_destroy_credcache" },
	{ 0x4a047f4e, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x5e23123c, "bpf_trace_run6" },
	{ 0x591e7fe6, "rpc_net_ns" },
	{ 0x9efa6f51, "read_bytes_from_xdr_buf" },
	{ 0x535791c4, "rt_mutex_base_init" },
	{ 0xfbd2a5bb, "finish_wait" },
	{ 0x389e5305, "rpc_wake_up" },
	{ 0xff3a6dac, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xc04e9b39, "sunrpc_cache_lookup_rcu" },
	{ 0x4e8f118f, "prepare_to_wait" },
	{ 0x8d31dc6c, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0xbbc89321, "__put_devmap_managed_page_refs" },
	{ 0x2948e7c4, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0xb9e7d28b, "bpf_trace_run2" },
	{ 0xb6597f13, "prepare_to_wait_event" },
	{ 0x44a04620, "xdr_truncate_decode" },
	{ 0x19b2ebff, "rpcauth_unregister" },
	{ 0x1c133ae9, "event_triggers_call" },
	{ 0x3e53496, "__wake_up" },
	{ 0xfeac4783, "__xdr_commit_encode" },
	{ 0xffba7adb, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x630dd57f, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xa1d91caa, "__put_cred" },
	{ 0x50ce4dc0, "register_pernet_subsys" },
	{ 0xc5e8679c, "trace_event_buffer_commit" },
	{ 0x230f1cd9, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0x7033b04e, "rpc_release_client" },
	{ 0x89ad55fa, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1e3f629f, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xce2c207a, "svc_auth_register" },
	{ 0xa9d0d2cd, "xdr_stream_encode_opaque_auth" },
	{ 0xfffd5db7, "trace_event_ignore_this_pid" },
	{ 0x738dcefd, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x27aefc08, "rpc_destroy_pipe_data" },
	{ 0x72f67ca5, "__free_pages" },
	{ 0x9bf5254f, "rpc_pipe_generic_upcall" },
	{ 0x8f284b3a, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x11ef6107, "cache_unregister_net" },
	{ 0x9bf42f7a, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x903ca073, "perf_trace_run_bpf_submit" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb9407e4a, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x38f9cb29, "rpcauth_init_credcache" },
	{ 0x66264f23, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x7d600e5b, "xdr_init_decode" },
	{ 0x9e96bccc, "mutex_lock" },
	{ 0x9da01381, "trace_event_reg" },
	{ 0x2c41a933, "rpc_call_null" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xe37d80bf, "rpc_sleep_on_timeout" },
	{ 0x3625d353, "rpc_create" },
	{ 0x81bc8e0e, "bpf_trace_run1" },
	{ 0x2a8303d7, "rpc_call_sync" },
	{ 0xca0503a1, "from_kuid" },
	{ 0xa9363661, "unregister_pernet_subsys" },
	{ 0xc2c89c44, "rpc_queue_upcall" },
	{ 0x77af4561, "xdr_encode_word" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x80dcfe5d, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x14e90513, "svcauth_unix_set_client" },
	{ 0x9c8cc030, "xdr_buf_subsegment" },
	{ 0x94a84a2d, "__init_waitqueue_head" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0x1e11b092, "make_kgid" },
	{ 0x268d5fab, "rt_spin_unlock" },
	{ 0x5f4944bb, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x6036ba59, "rt_spin_lock" },
	{ 0x276e1a47, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x627a42b1, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x4972a953, "bpf_trace_run3" },
	{ 0x59139b3f, "__put_net" },
	{ 0xc0d3f3aa, "rpc_mkpipe_dentry" },
	{ 0x3886d80c, "rpc_mkpipe_data" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x77b12c6c, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xa4b51e0, "trace_event_buffer_reserve" },
	{ 0xb482edd5, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0x4be99075, "cache_register_net" },
	{ 0x6fb07ac, "init_user_ns" },
	{ 0x826c9d7f, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x49396830, "xdr_inline_pages" },
	{ 0x5c5bdcdc, "__folio_put" },
	{ 0x8d3febd4, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0xa07217f5, "rpc_init_wait_queue" },
	{ 0xd2aecb42, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc93382f8, "rpc_unlink" },
	{ 0xdbf61281, "rpcauth_wrap_req_encode" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0x2eaac0b6, "from_kuid_munged" },
	{ 0xe2ae9939, "kmalloc_trace" },
	{ 0xc2be7ab0, "rpcauth_init_cred" },
	{ 0x8e154dc5, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x13800254, "cache_destroy_net" },
	{ 0x98cf60b3, "strlen" },
	{ 0x223308ba, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xffb22a37, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xfa50e426, "__mutex_rt_init" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x6c5a3a2e, "sunrpc_cache_update" },
	{ 0x36d97f48, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9d36501f, "rpc_destroy_wait_queue" },
	{ 0x95ececc5, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa5e7e027, "auth_domain_put" },
	{ 0xf3bcb3a1, "rpcauth_unwrap_resp_decode" },
	{ 0x6c3a45cd, "rpcauth_register" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "042216EF997B5C7D2FED528");
MODULE_INFO(rhelversion, "9.6");
