#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tipc_nl_sk_walk, "", "");
KSYMTAB_FUNC(tipc_dump_start, "", "");
KSYMTAB_FUNC(tipc_dump_done, "", "");
KSYMTAB_FUNC(tipc_sk_fill_sock_diag, "", "");

SYMBOL_CRC(tipc_nl_sk_walk, 0x55ff57d4, "");
SYMBOL_CRC(tipc_dump_start, 0x34bb537d, "");
SYMBOL_CRC(tipc_dump_done, 0x83c95d08, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0xb946a1a2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe58e11cd, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xe914e41e, "strcpy" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x47470fc1, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xc2a30bf1, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x37771cbc, "__nlmsg_put" },
	{ 0xe392359c, "idr_find" },
	{ 0x29cf1627, "skb_put" },
	{ 0xba23f9a2, "register_net_sysctl" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe16126cb, "ip6_dst_hoplimit" },
	{ 0xb48104f2, "trace_output_call" },
	{ 0xa797f98c, "consume_skb" },
	{ 0xbe120f59, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4a047f4e, "trace_raw_output_prep" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xa35b55e3, "udp_sock_create4" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0x535791c4, "rt_mutex_base_init" },
	{ 0xff3a6dac, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x84360d5b, "__ip_dev_find" },
	{ 0xab15a4a9, "dst_cache_set_ip4" },
	{ 0xc1b47f65, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x1fab26b4, "genlmsg_put" },
	{ 0xbdef2d94, "___pskb_trim" },
	{ 0x8d31dc6c, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xda1913ff, "add_wait_queue" },
	{ 0x38bd64a1, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x7e875177, "crypto_alloc_aead" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x2bf91b7e, "netdev_warn" },
	{ 0xe4fc6910, "crypto_aead_setauthsize" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x256d9b76, "crypto_aead_decrypt" },
	{ 0x1c133ae9, "event_triggers_call" },
	{ 0x6f272924, "kernel_accept" },
	{ 0xffba7adb, "__module_get" },
	{ 0xb8a7b240, "ip_route_output_flow" },
	{ 0xa59ada46, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xff4afbea, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2e8f0cd7, "pskb_expand_head" },
	{ 0x50ce4dc0, "register_pernet_subsys" },
	{ 0x9315eae0, "put_cmsg" },
	{ 0x45fed257, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xc5e8679c, "trace_event_buffer_commit" },
	{ 0x206ec85c, "crypto_destroy_tfm" },
	{ 0xc7de9fbf, "eth_type_trans" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x6b991b8b, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x46d6768e, "sock_register" },
	{ 0x138b6675, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xfffd5db7, "trace_event_ignore_this_pid" },
	{ 0xa916b694, "strnlen" },
	{ 0x53ca8f0d, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x1bbe4e10, "rt_write_unlock" },
	{ 0x6af5ed16, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0x843b1b2d, "skb_try_coalesce" },
	{ 0x1f580e51, "proto_register" },
	{ 0xbe4759dd, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x3c8cce87, "__wake_up_sync_key" },
	{ 0xf31fdfe8, "skb_queue_tail" },
	{ 0x8f284b3a, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x938915b2, "idr_remove" },
	{ 0xac9d003b, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x26d17c37, "__dev_get_by_index" },
	{ 0x903ca073, "perf_trace_run_bpf_submit" },
	{ 0xe0a1a40b, "__traceiter_sk_data_ready" },
	{ 0x9c8a07cb, "init_net" },
	{ 0x9b4053b2, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x35014501, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc6efaf99, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x206f4b80, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xf8a64594, "sk_skb_reason_drop" },
	{ 0x62a9b6fd, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x27d8ddd1, "dev_remove_pack" },
	{ 0xed6cae9a, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x1bd5674a, "kernel_sock_shutdown" },
	{ 0xd5795f33, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x8cea02d, "skb_push" },
	{ 0x97141ee8, "dst_cache_get" },
	{ 0xb14ac711, "sock_no_listen" },
	{ 0xf00a075f, "nla_put" },
	{ 0x2630ea35, "proc_doulongvec_minmax" },
	{ 0x9da01381, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9e0bfdb1, "iov_iter_kvec" },
	{ 0x4cba5ed1, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xfadf1023, "rhashtable_walk_start_check" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x4881882, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x52c34b71, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x461d4b25, "skb_copy_datagram_iter" },
	{ 0x37fe2a95, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x560084a7, "sk_alloc" },
	{ 0xa7327b57, "idr_destroy" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xa9363661, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xdcb764ad, "memset" },
	{ 0xc583c956, "kfree_skb_partial" },
	{ 0x9a2c7570, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x470b8cdc, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0xc0025f5a, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x13a10ef5, "__pskb_pull_tail" },
	{ 0x970c2832, "sock_no_sendpage" },
	{ 0x7c5787b5, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0x917eaf8f, "rhashtable_destroy" },
	{ 0x268d5fab, "rt_spin_unlock" },
	{ 0x50167b17, "setup_udp_tunnel_sock" },
	{ 0x6b014776, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8514e418, "skb_trim" },
	{ 0x6036ba59, "rt_spin_lock" },
	{ 0x396cdd7c, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4972a953, "bpf_trace_run3" },
	{ 0xe4e1a0ed, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x68fe9053, "sock_rfree" },
	{ 0x51f812ab, "rt_read_lock" },
	{ 0x6514cbf7, "sock_i_ino" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xd4de21f7, "kernel_listen" },
	{ 0xb25cce27, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa4b51e0, "trace_event_buffer_reserve" },
	{ 0xe2b9b180, "dev_nit_active" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x1c47b7d, "sock_create_kern" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x5b6845a9, "rt_spin_trylock_bh" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x31c52eb4, "dst_cache_set_ip6" },
	{ 0x85c4fe28, "pskb_put" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x1fb7bf86, "rt_read_unlock" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x303445b, "udp_tunnel_xmit_skb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x8d4e6394, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb7b5a152, "skb_copy" },
	{ 0x38f9bcc5, "skb_clone" },
	{ 0xfc4085ce, "dev_get_by_name" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x8bfe698d, "rt_write_lock" },
	{ 0xc1fc00e1, "_copy_from_iter" },
	{ 0xf560a813, "sock_release" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xea0912b1, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xc81343cb, "rhashtable_walk_next" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8be7fbb6, "crypto_default_rng" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x64007d5b, "sk_stop_timer" },
	{ 0xa038e4b, "unregister_net_sysctl_table" },
	{ 0x15598f87, "genl_unregister_family" },
	{ 0x2eaac0b6, "from_kuid_munged" },
	{ 0xe2ae9939, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x65320e91, "iov_iter_revert" },
	{ 0x349cba85, "strchr" },
	{ 0x82eda248, "genl_register_family" },
	{ 0xf106e87e, "kernel_sendmsg" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x29460466, "skb_to_sgvec" },
	{ 0x50100052, "rhashtable_walk_exit" },
	{ 0xfd706323, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xb4d060ae, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x95ececc5, "kmalloc_caches" },
	{ 0xf5c04ea, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd8703503, "proc_dointvec_minmax" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,ipv6");


MODULE_INFO(srcversion, "5C25E4FED17CD5184039F3F");
MODULE_INFO(rhelversion, "9.6");
