#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x3a880f0a, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0xb8a74bc0, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0xb6b64c23, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x9ca97a4f, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x0503f965, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0x5ab252fc, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x7d5cc9b8, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x90ff266b, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x3348bba8, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0x91a1193b, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0x64a290e1, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0xa598ad5f, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0x437fb532, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0x945626bc, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x6d17b12c, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x98b5a693, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x1ca38666, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0x54e78ef3, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x650b4c38, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0x74e3dab2, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x24897970, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x3c29793d, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0x3e2b6a33, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x1a0cb2ab, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x10391725, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0x1888a7bf, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0xea6ae1bd, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0xd7ec06be, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0x830b3696, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0x2d99070e, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0xb86f24f0, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0xd06dcd29, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0x72a278dc, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x92d3728f, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0xddc6f206, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x36a932c3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1064b87, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x374c31ed, "vsock_insert_connected" },
	{ 0x29cf1627, "skb_put" },
	{ 0xa797f98c, "consume_skb" },
	{ 0x4a047f4e, "trace_raw_output_prep" },
	{ 0x535791c4, "rt_mutex_base_init" },
	{ 0xec5108b9, "vsock_remove_sock" },
	{ 0xff3a6dac, "trace_event_printf" },
	{ 0xe43a4bf, "vsock_deliver_tap" },
	{ 0x8d31dc6c, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xda1913ff, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x1c133ae9, "event_triggers_call" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xaaa3938c, "sk_error_report" },
	{ 0xc5e8679c, "trace_event_buffer_commit" },
	{ 0x30c888a1, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xfffd5db7, "trace_event_ignore_this_pid" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0x53ca8f0d, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x903ca073, "perf_trace_run_bpf_submit" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xf8a64594, "sk_skb_reason_drop" },
	{ 0xed6cae9a, "sk_free" },
	{ 0x9da01381, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xd28644cc, "__skb_recv_datagram" },
	{ 0x52c34b71, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8ec6f71d, "vsock_stream_has_data" },
	{ 0x461d4b25, "skb_copy_datagram_iter" },
	{ 0x49be3665, "bpf_trace_run9" },
	{ 0xf97b9895, "vsock_find_connected_socket" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xdbdb8af1, "sock_efree" },
	{ 0x268d5fab, "rt_spin_unlock" },
	{ 0xc05423b2, "bpf_trace_run10" },
	{ 0x6036ba59, "rt_spin_lock" },
	{ 0x706f9e3d, "vsock_core_get_transport" },
	{ 0x9b6ff515, "__zerocopy_sg_from_iter" },
	{ 0x5c38b661, "vsock_stream_has_space" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xe005cd41, "skb_set_owner_w" },
	{ 0xa4b51e0, "trace_event_buffer_reserve" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xc1fc00e1, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xea0912b1, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xbbc7fcb8, "msg_zerocopy_realloc" },
	{ 0xe2ae9939, "kmalloc_trace" },
	{ 0xf2de6adf, "vsock_create_connected" },
	{ 0x50412531, "vsock_assign_transport" },
	{ 0x65320e91, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb18aabff, "iov_iter_npages" },
	{ 0x95ececc5, "kmalloc_caches" },
	{ 0xf5c04ea, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xdb203a3, "vsock_data_ready" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "913D087CE8DB0EF5E728FBA");
MODULE_INFO(rhelversion, "9.6");
